#!/usr/bin/perl --
# MonArch - Groundwork Monitor Architect
# monarch.cgi
#
###############################################################################
# Release 0.97a
# 30-Sept-2005
###############################################################################
#


use lib qq(STRINGTOREPLACE/lib);
use strict;
use CGI;
use MonarchForms;
use MonarchStorProc;
use MonarchDoc;
$|++;


#
###########################################################################################################################
# Global Declarations
#

my $debug = 0;
my $query = new CGI;
my $top_menu = $query->param('top_menu');
my $view = $query->param('view');
my $obj = $query->param('obj');
my $obj_view = $query->param('obj_view');
my $task = $query->param('task');
my $submit = $query->param('submit');
my $user_acct = $query->param('user_acct');
my $password = $query->param('password');
my $page_title = 'Monarch';
my (%auth_add, %auth_modify, %auth_delete, %properties, %authentication, %hidden) = ();
my ($nagios_ver, $nagios_bin, $nagios_etc, $nagios_etc, $monarch_home, $backup_home, $is_portal, $upload_home, $monarch_ver) = 0;
my $cgi_bin = '/cgi-bin';
$hidden{'selected'} = $query->param('selected');
$hidden{'top_menu'} = $query->param('top_menu');
$hidden{'view'} = $view;
$hidden{'obj'} = $obj;
$hidden{'user_acct'} = $user_acct;
$hidden{'nocache'} = time;
unless ($top_menu) { $top_menu = 'hosts' }
if ($task && $task ne 'No') { $hidden{'task'} = $task }
my $table = $obj;
if ($obj eq 'commands') { $table = 'commands' }
my @errors = ();
my @messages = ();
my ($body,$javascript) = undef;
my $doc_root = $ENV{'DOCUMENT_ROOT'};
my $userid = undef;
my $refresh_url = undef;

my @common_menus = ('time_periods','commands','contact_templates','contacts','contactgroups');
my @host_menus = ('hosts','host_templates','extended_host_info_templates','profiles','hostgroups','parent_child','host_dependencies');
my @service_menus = ('services','profiles','service_templates','service_dependency_templates','extended_service_info_templates');
my @tool_menus = ('export');				

my @control_menus = ('users','user_groups','setup','nagios_cgi_configuration','nagios_main_configuration','nagios_resource_macros',
'load','files','pre_flight_test','commit');


my %property_list = ();
$property_list{'host_templates'} = "name,process_perf_data,retain_status_information,flap_detection_enabled,low_flap_threshold,high_flap_threshold,".
"retain_nonstatus_information,checks_enabled,active_checks_enabled,passive_checks_enabled,check_period,obsess_over_host,check_freshness,freshness_threshold,check_command,command_line,max_check_attempts,event_handler_enabled,event_handler,notifications_enabled,".
"notification_interval,notification_period,notification_options,stalking_options,contactgroup";

$property_list{'host_overrides'} = "process_perf_data,retain_status_information,flap_detection_enabled,low_flap_threshold,high_flap_threshold,".
"retain_nonstatus_information,checks_enabled,active_checks_enabled,passive_checks_enabled,check_period,obsess_over_host,check_freshness,freshness_threshold,check_command,command_line,max_check_attempts,event_handler_enabled,event_handler,notifications_enabled,".
"notification_interval,notification_period,notification_options,stalking_options";


$property_list{'hosts'} = "name,alias,address,template,parents,checks_enabled,check_command,command_line,max_check_attempts,event_handler_enabled,event_handler,".
"flap_detection_enabled,process_perf_data,retain_status_information,retain_nonstatus_information,notifications_enabled,notification_interval,".
"notification_period,notification_options,stalking_options";

$property_list{'host_dependencies'} = "dependent_host,parent_host,notification_failure_criteria";

$property_list{'extended_host_info_templates'} = "name,notes_url,script,icon_image,icon_image_alt,vrml_image,statusmap_image,2d_coords,3d_coords";
$property_list{'extended_host_info'} = "host_name,notes_url,template,2d_coords,3d_coords";
$property_list{'extended_service_info_templates'} = "name,notes_url,script,icon_image,icon_image_alt";
$property_list{'extended_service_info'} = "template,service_description,host_name,notes_url";

$property_list{'hostgroups'} = "name,alias,members,contactgroup,hostgroup_escalation_id,host_escalation_id,service_escalation_id";

$property_list{'service_templates'} = "name,template,is_volatile,check_period,max_check_attempts,normal_check_interval,retry_check_interval,".
"active_checks_enabled,passive_checks_enabled,parallelize_check,obsess_over_service,check_freshness,freshness_threshold,notifications_enabled,notification_interval,".
"notification_period,notification_options,event_handler_enabled,event_handler,flap_detection_enabled,low_flap_threshold,high_flap_threshold,process_perf_data,".
"retain_status_information,retain_nonstatus_information,check_command,command_line,contactgroup";

$property_list{'service_overrides'} = "check_period,max_check_attempts,normal_check_interval,retry_check_interval,".
"active_checks_enabled,passive_checks_enabled,parallelize_check,obsess_over_service,check_freshness,freshness_threshold,notifications_enabled,notification_interval,".
"notification_period,notification_options,event_handler_enabled,event_handler,flap_detection_enabled,low_flap_threshold,high_flap_threshold,process_perf_data,".
"retain_status_information,retain_nonstatus_information";


$property_list{'services'} = "name,template,host_name,check_period,max_check_attempts,normal_check_interval,retry_check_interval,".
"active_checks_enabled,passive_checks_enabled,parallelize_check,obsess_over_service,check_freshness,notifications_enabled,notification_interval,".
"notification_options,event_handler_enabled,event_handler,flap_detection_enabled,low_flap_threshold,high_flap_threshold,process_perf_data,".
"retain_status_information,retain_nonstatus_information,check_command,contactgroup";

$property_list{'service_dependency_templates'} = "name,service_name,execution_failure_criteria,notification_failure_criteria";
$property_list{'service_dependency'} = "service_name,host_name,depend_on_host,template";
$property_list{'contact_templates'} = "name,host_notification_period,service_notification_period,host_notification_options,service_notification_options,".
"host_notification_commands,service_notification_commands";
$property_list{'contacts'} = "name,template,alias,email,pager";
$property_list{'contactgroups'} = "name,alias,contact";
$property_list{'hostgroup_escalation_templates'} = "name,contactgroup,type,first_notification,last_notification,notification_interval"; 
$property_list{'host_escalation_templates'} = "name,contactgroup,type,first_notification,last_notification,notification_interval"; 
$property_list{'service_escalation_templates'} = "name,service_description,contactgroup,type,first_notification,last_notification,notification_interval"; 
$property_list{'time_periods'} = "name,alias,sunday,monday,tuesday,wednesday,thursday,friday,saturday";
$property_list{'commands'} = "name,type,command_line";
$property_list{'escalation_templates'} = "name,contactgroup,first_notification,last_notification,notification_interval,service_description"; 
$property_list{'servicegroups'} = "name,alias";

my %db_values = ();
$db_values{'time_periods'} = "name,alias,data,comment";
$db_values{'commands'} = "name,type,data,comment";
$db_values{'contactgroups'} = "name,alias,comment";
$db_values{'contact_templates'} = "name,host_notification_period,service_notification_period,data,comment";
$db_values{'contacts'} = "name,alias,email,pager,contacttemplate_id,status,comment";
$db_values{'hosts'} = "name,alias,address,os,hosttemplate_id,hostextinfo_id,hostprofile_id,serviceprofile_id,host_escalation_id,service_escalation_id,status,comment";
$db_values{'hostgroups'} = "name,alias,hostgroup_escalation_id,host_escalation_id,service_escalation_id,status,comment";
$db_values{'service_templates'} = "name,parent_id,check_period,notification_period,check_command,event_handler,data,comment";
$db_values{'service_overrides'} = "check_period,notification_period,event_handler,data";
$db_values{'services'} = "name,host_name,template,data,comment";
$db_values{'extended_host_info_templates'} = "name,data,script,comment";
$db_values{'extended_info_coords'} = "data";
$db_values{'extended_service_info_templates'} = "name,data,script,comment";
$db_values{'host_dependencies'} = "host_id,parent_id,data,comment";
$db_values{'service_dependency'} = "servicename_id,host_name,depend_on_host,template,comment";
$db_values{'service_dependency_templates'} = "name,servicename_id,data,comment";
$db_values{'host_templates'} = "name,check_period,notification_period,check_command,event_handler,data,comment";
$db_values{'host_overrides'} = "check_period,notification_period,check_command,event_handler,data";
$db_values{'stage_hosts'} = "name,userid,type,status,alias,address,os,info";
$db_values{'stage_host_services'} = "name,userid,type,status,host,info";
$db_values{'escalation_templates'} = "name,type,data,comment,servicename_id";

my %required = ();
$required{'commands'} = "name,type,command_line";
$required{'contactgroups'} = "name,alias,contact";
$required{'contact_templates'} = "name,host_notification_period,service_notification_period,host_notification_options,service_notification_options";
$required{'contacts'} = "name,alias,template";
$required{'contact_overrides'} = "host_notification_period,service_notification_period,host_notification_options,service_notification_options";
$required{'extended_host_info_templates'} = "name";
$required{'extended_host_info'} = "name,template";
$required{'extended_service_info'} = "name";
$required{'extended_service_info_templates'} = "name";
$required{'host_dependencies'} = "dependent_host,parent_host,notification_failure_criteria";
$required{'hostgroups'} = "name,alias,members,contactgroup";
$required{'host_templates'} = "name,max_check_attempts,notification_interval,notification_period,notification_options";
$required{'hosts'} = "name,alias,address";
$required{'service_dependency'} = "service_name";
$required{'service_dependency_templates'} = "name,service_name";
$required{'escalation_templates'} = "name,first_notification,last_notification,notification_interval";
$required{'service_templates'} = "name";
$required{'services'} = "name,host_name";
$required{'time_periods'} = "name,alias";

my %obj_id = ('commands' => 'command_id','contact_templates' => 'contacttemplate_id','contactgroups' => 'contactgroup_id','contacts' => 'contact_id',
'escalation_templates' => 'template_id','hostgroup_escalation_templates' => 'template_id','host_escalation_templates' => 'template_id',
'escalation_trees' => 'tree_id','service_escalation_templates' => 'template_id','extended_host_info_templates' => 'hostextinfo_id',
'extended_service_info_templates' => 'serviceextinfo_id','host_dependencies' => 'host_id','host_templates' => 'hosttemplate_id',
'hostgroups' => 'hostgroup_id','hosts' => 'host_id','service_dependency' => 'id','service_dependency_templates' => 'id',
'service_templates' => 'servicetemplate_id','servicegroups' =>  'servicegroup_id','services' => 'service_id','time_periods' => 'timeperiod_id');

my %obj_template = ('contacts' => 'contact_templates','service_templates' => 'service_templates','services' => 'service_templates',
'service_dependency' => 'service_dependency_templates','hosts' => 'host_templates');

my %obj_template_id = ('commands' => 'command_id',
'contact_templates' => 'contacttemplate_id',
'contactgroups' => 'contactgroup_id',
'contacts' => 'contact_id',
'escalation_templates' => 'template_id',
'escalation_trees' => 'tree_id',
'extended_host_info_templates' => 'hostextinfo_id',
'extended_service_info_templates' => 'serviceextinfo_id',
'host_dependencies' => 'host_id',
'host_templates' => 'hosttemplate_id',
'hostgroups' => 'hostgroup_id',
'hosts' => 'hosttemplate_id',
'service_dependency' => 'id',
'service_dependency_templates' => 'id',
'service_templates' => 'parent_id',
'servicegroups' =>  'servicegroup_id',
'services' =>  'servicetemplate_id',
'time_periods' => 'timeperiod_id');

my %textsize = ();
$textsize{'low_flap_threshold'} = 3;
$textsize{'high_flap_threshold'} = 3;
$textsize{'notification_interval'} = 5;
$textsize{'first_notification'} = 3;
$textsize{'last_notification'} = 3;
$textsize{'max_check_attempts'} = 3;
$textsize{'normal_check_interval'} = 3;
$textsize{'retry_check_interval'} = 3;
$textsize{'freshness_threshold'} = 5;
$textsize{'notes_url'} = 75;
$textsize{'email'} = 75;
$textsize{'pager'} = 75;
$textsize{'name'} = 50;
$textsize{'alias'} = 75;
$textsize{'address'} = 16;
$textsize{'description'} = 75;
$textsize{'command_line'} = 75;
$textsize{'icon_image'} = 70;
$textsize{'icon_image_alt'} = 70;
$textsize{'vrml_image'} = 70;
$textsize{'statusmap_image'} = 70;
$textsize{'2d_coords'} = 7;
$textsize{'3d_coords'} = 7;
$textsize{'sunday'} = 75;
$textsize{'monday'} = 75;
$textsize{'tuesday'} = 75;
$textsize{'wednesday'} = 75;
$textsize{'thursday'} = 75;
$textsize{'friday'} = 75;
$textsize{'saturday'} = 75;
$textsize{'small'} = 5;
$textsize{'short_name'} = 20;
$textsize{'long_name'} = 70;
my $empty_data = qq(<?xml version="1.0" ?>
<data>
</data>);

# Some buttons

my %add = ('name' => 'submit', 'value' => 'Add');
my %modify = ('name' => 'submit', 'value' => 'Modify');
my %save = ('name' => 'submit', 'value' => 'Save');
my %delete = ('name' => 'submit', 'value' => 'Delete');
my %select = ('name' => 'select', 'value' => 'Select');
my %cancel = ('name' => 'cancel', 'value' => 'Cancel');
my %close = ('name' => 'submit','value' => 'Close');
my %next = ('name' => 'submit', 'value' => 'Next >>');
my %back = ('name' => 'submit', 'value' => '<< Back');
my %extended_properties = ('name' => 'ext_props', 'value' => 'List Extended Properties');
my %continue = ('name' => 'submit', 'value' => 'Continue');
my %host_vitals = ('name' => 'obj_view', 'value' => 'Host Vitals');
my %service_list = ('name' => 'obj_view', 'value' => 'Service List');
my %service_detail = ('name' => 'obj_view', 'value' => 'Service Detail');
my %rename = ('name' => 'rename', 'value' => 'Rename');


#
###########################################################################################################################
#	Sub to present errors
#

sub error_out($) {
	my $err = shift;
	$body .= "<h2>$err</h2><br>";
}

#
###########################################################################################################################
#	Sub to parse queries
#

sub parse_query($$) {
	my $data = shift;
	my $object = shift;
	my %data_vals = ();
	my %data_props = ();
	my @contactgroups = ();
	if ($db_values{$data} =~ /,data/) { 
		$data_vals{'data'} = "<?xml version=\"1.0\" ?>\n<data>";
	}
	my %overrides = ();
	foreach my $name ($query->param) {
		if ($name =~ /_override$/) {
			$name =~ s/_override$//;		
			$overrides{$name} = 1;
			$overrides{'template'} = 1;
		}
	}
	my %name_vals = ();
	foreach my $name ($query->param) {
		unless ($overrides{$name} || $name =~ /_override|nocache|servicename_id/) {
			my $val = $query->param($name);
			if ($val eq '0') { $val = '-zero-' }
			$name_vals{$name} = $val;
		}
	}
	delete $name_vals{'nocache'};
	if ($object eq 'host_templates' || $object eq 'host_overrides') {
		my @checks =();
		if ($nagios_ver eq '2.x') {
			@checks = ('notifications_enabled','check_freshness','obsess_over_host',
				'passive_checks_enabled','active_checks_enabled','event_handler_enabled','flap_detection_enabled',
				'process_perf_data','retain_status_information','retain_nonstatus_information');
		} else {
			@checks = ('checks_enabled','notifications_enabled','event_handler_enabled','flap_detection_enabled',
				'process_perf_data','retain_status_information','retain_nonstatus_information');
		}
		foreach my $check (@checks) {
			unless ($name_vals{$check}) { $name_vals{$check} = '-zero-'}
		}
	}
	if ($object eq 'service_templates' || $object eq 'service_overrides') {
		my @checks =  ('is_volatile','active_checks_enabled','passive_checks_enabled','parallelize_check',
			'obsess_over_service','check_freshness','event_handler_enabled','flap_detection_enabled',
			'process_perf_data','retain_status_information','retain_nonstatus_information','notifications_enabled');
		foreach my $check (@checks) {
			unless ($name_vals{$check}) { $name_vals{$check} = '-zero-'}
		}
	}
	my @db_vals = split(/,/, $db_values{$data});
	my @props = split(/,/, $property_list{$object});
	my $use_template_command = $query->param('use_template_command');
	foreach my $name (keys %name_vals) {
		if ($name =~ /check_command|^event_handler$/) {
			unless ($use_template_command || $object eq 'service_overrides') {
				my %c = StorProc->fetch_one('commands','name',$name_vals{$name});
				$data_vals{$name} = $c{'command_id'};
				$properties{$name} = $name_vals{$name};
				$data_props{$name} = $data_vals{$name};
			}
		} elsif ($name eq 'command_line') {
			unless ($use_template_command || $object eq 'service_overrides') {
				my $command_line = $name_vals{$name};
				$data_vals{'data'} .= "\n  <prop name=\"command_line\"><![CDATA[$command_line]]>\n  </prop>";
				delete $data_vals{$name};
				$properties{$name} = $name_vals{$name};
				$data_props{$name} = $name_vals{$name};
			}
		} elsif ($name =~ /service_description|service_name/) {
			$properties{$name} = $name_vals{$name};
			my %s = StorProc->fetch_one('service_names','name',$properties{$name});		
			$data_vals{'servicename_id'} = $s{'servicename_id'};
		} elsif ($name eq 'host_profile') {
			my %p = StorProc->fetch_one('profiles_host','name',$name_vals{$name});
			$data_vals{'hostprofile_id'} = $p{'hostprofile_id'};
			$properties{$name} = $name_vals{$name};
		} elsif ($name eq 'dependent_host') {
			my %h = StorProc->fetch_one('hosts','name',$name_vals{$name});
			$data_vals{'host_id'} = $h{'host_id'};
			$properties{$name} = $name_vals{$name};
		} elsif ($name eq 'parent_host') {
			my %h = StorProc->fetch_one('hosts','name',$name_vals{$name});
			$data_vals{'parent_id'} = $h{'host_id'};
			$properties{$name} = $name_vals{$name};
		} elsif ($name =~ /members|contact|contactgroup|parents/) {
			my @members = $query->param($name);
			if ($name eq 'contactgroup' && $obj eq 'service_templates') { @contactgroups = sort @members }
			foreach  (@members) { $properties{$name} .= "$_," }
			chop $properties{$name};
			$data_vals{$name} = $properties{$name};
			$data_props{$name} = $properties{$name};
		} elsif ($name =~ /notification_options$|^stalking_options$|^notification_failure_criteria$|^execution_failure_criteria$/) {
			my @members = $query->param( $name );
			foreach  (@members) { $properties{$name} .= "$_," }
			chop $properties{$name};
		} elsif ($name =~ /notification_commands/) {
			my @members = $query->param( $name );
			foreach my $m (@members) { 
				if ($m) {
					$properties{$name} .= "$m,";
					my %c = StorProc->fetch_one('commands','name',$m);
					$data_vals{$name} .= "$c{'command_id'},";
				}
			}
			chop $data_vals{$name};
			chop $properties{$name};
		} elsif ($name eq 'last_notification') {
			my $last_notification = $query->param('last_notification');
			if ($last_notification eq '0') { 
				$properties{'last_notification'} = '-zero-';
			} else {
				$properties{'last_notification'} = $last_notification;
			}
		} elsif ($name =~ /escalation/) {
			my %t = StorProc->fetch_one('escalation_trees','name',$name_vals{$name});
			$data_vals{$name} = $t{'tree_id'};
			$properties{$name} = $name_vals{$name};
		} elsif ($name =~ /period/) {
			my %t = StorProc->fetch_one('time_periods','name',$name_vals{$name});
			$data_vals{$name} = $t{'timeperiod_id'};
			$data_props{$name} = $data_vals{$name};
			$properties{$name} = $name_vals{$name};
		} elsif ($name =~ /template/) {
			my $value = $name_vals{$name};
			my %t = StorProc->fetch_one($obj_template{$object},'name',$value);
			$data_vals{$obj_template_id{$obj_template{$object}}} = $t{$obj_template_id{$obj_template{$object}}};
			delete $data_vals{'template'};
			if ($obj eq 'service_templates') {
				$data_props{'parent_id'} = $t{'servicetemplate_id'};
				$data_vals{'parent_id'} = $t{'servicetemplate_id'};
			}
			delete $data_vals{'template'};
			delete $data_props{'template'};
			if (!$properties{'template'}) {$properties{'template'} = $name_vals{$name}}
		} else {
			$properties{$name} = $name_vals{$name};
			$data_props{$name} = $properties{$name};
		}
		foreach my $p (@props) {
			if ($overrides{$p}) { next }
			unless ($name =~ /^template_id|^event_handler$|command|service_description|members|contact|contactgroup|parents|escalation|period/) {
				if ($p eq $name) { 
					my $match = undef;
					foreach my $val (@db_vals) {
						unless ($val =~ /template/) {
							if ($val eq $name) { 
								$data_vals{$val} = $name_vals{$name};
								if ($name eq 'pager') { $data_vals{$val} =~ s/\(|\)|\s|-//g }
								$match = 1;
								last;
							}
						}
					}
					if (!$match && $data_vals{'data'}) {
						if ($properties{$p}) {
							$data_vals{'data'} .= "\n  <prop name=\"$name\"><![CDATA[$properties{$p}]]>\n  </prop>";  
							$data_props{$name} = $properties{$p};
						}
					}
				}
			}
		}
	}

	if ($obj eq 'service_templates') {
		if ($data_props{'parent_id'}) {
			%data_vals = ();
			$data_vals{'parent_id'} = $data_props{'parent_id'};
			$data_vals{'data'} = "<?xml version=\"1.0\" ?>\n<data>";
			my %parent = StorProc->get_template_properties($data_props{'parent_id'});
			foreach my $name (keys %data_props) {
				if ($parent{$name} eq $data_props{$name}) { delete $data_props{$name} }
			}
			delete $data_props{'template'};
			foreach my $name (keys %data_props) {
				my $got_it = 0;
				foreach my $p (@props) { 
					if ($name eq $p) { $got_it = 1 }
				}
				unless ($got_it) { delete $data_props{$name} }
			}
			foreach my $name (keys %data_props) {
				if ($name =~ /^event_handler$|parent_id|check_command|contactgroup|parent|period|name/) {
					$data_vals{$name} = $data_props{$name};
				} else {
					$data_vals{'data'} .= "\n  <prop name=\"$name\"><![CDATA[$data_props{$name}]]>\n  </prop>";  					
				}
			}
			foreach my $cg (@contactgroups) {
				my $got_group = 0;
				foreach my $pg (@{$parent{'contactgroup'}}) {
					if ($pg eq $cg) { $got_group = 1 }
				}
			}
		}	
	}
	$properties{'save'} = 1;
	if ($data_vals{'data'}) { $data_vals{'data'} .= "\n </data>" }
	return %data_vals;
}

#
###########################################################################################################################
# Check Fields - uniqueness/missing info
#

sub check_fields() {
	my @req = split(/,/, $required{$table});
	my $missing = undef;
	foreach my $r (@req) {
		if (!$properties{$r}) {
			$required{$r} = 1;
			$required{'missing'} = 1;
			$missing .= "$r,";
		}
	}
	chop $missing;
	$missing .= ".";

	if ($required{'missing'}) {
		push @errors, "Missing required fields: $missing";
	} elsif ($submit eq 'Add') {
		unless ($obj =~ /host_dependencies/) {
			my %res = StorProc->fetch_one($table,'name',$properties{'name'}); 
			if ($res{'name'}) {
				my $type = $obj;
				$type =~ s/_/ /g;
				$type =~ s/s$//g;
				push @errors, "\u$type $properties{'name'} already exists.";
			} 
		}
	} 
	if (@errors) {
		return 1;
	} else {
		return 0;
	}
}

#
###########################################################################################################################
# Sub eval errors
#

sub eval_errors($) {
	my @eval = shift;
	my @errors = ();
	foreach my $err (@eval) {
		unless ($err =~ /duplicate|1/i) { 
			push @errors, $err;
		}
	}
	return @errors;
}

#
###########################################################################################################################
# Sub to build most forms
#

sub build_form() {
	my $form = undef;
	my $extended_props = undef;
	my $name = $query->param('name');
	my $source = $query->param('source');
	my $ext_props = $query->param('ext_props');

	$hidden{'source'} = $source;

#############################################################################
# Get Properties
#

	unless($properties{'save'}) { 
		if ($task eq 'new') {
			my @p_list = split(/,/, $property_list{$obj});
			foreach my $p (@p_list) { $properties{$p} = '' }			
		} elsif ($task =~ /copy|use/) { 
			$name = $source;
			%properties = StorProc->fetch_one($table,'name',$name); 
			if ($task eq 'use') { $properties{'template'} = $source }
			$properties{'name'} = undef;
		} else {
			%properties = StorProc->fetch_one($table,'name',$name); 
		}
	}

	if ($obj eq 'contacts' && $task eq 'new') { 
		$table = 'contact_templates'; 
		$task = 'use';
	}


#############################################################################
# Determine Service template
#
	my %parent_def = ();
	my @props = split(/,/, $property_list{$obj});
	if ($obj eq 'service_templates') {
		if ($properties{'parent_id'}) {
			my %parent = StorProc->get_template_properties($properties{'parent_id'});
			foreach my $prop (keys %parent) {
				unless (defined $properties{$prop}) {
					$properties{$prop} = $parent{$prop};
				}
			}
		}
	}
	if ($task eq 'modify') { $source = $name}

#############################################################################
# Top of form
#
	my $title = undef;
	my @t_parse = split(/_/, $obj);
	foreach (@t_parse) { $_ =~ s/ies/y/g; $title .= "\u$_ "; }
	$title =~ s/s\s$//;
	$title =~ s/Wizard/Extended/;
	my $form_top = Forms->form_top("$title Properties",'');
	if ($task eq 'modify'){
		$form .= Forms->display_hidden('Name:','name',$properties{'name'});
	} elsif ($obj eq 'host_dependencies') {
		my @hosts = StorProc->fetch_list('hosts','name'); 
		$form .= Forms->list_box('Dependent host name:','name',\@hosts,$properties{'name'},$required{'name'});
	} else {
		$form .= Forms->text_box('Name:','name',$properties{'name'},$textsize{'name'},$required{'name'});
	}
	my %props = ();
	foreach my $property (@props) { $props{$property} = $property }
	if ($obj eq 'host_templates') {
		if ($nagios_ver eq '1.x') {
			delete $props{'active_checks_enabled'};
			delete $props{'passive_checks_enabled'};
			delete $props{'obsess_over_host'};
			delete $props{'check_period'};
			delete $props{'check_freshness'};
			delete $props{'freshness_threshold'};
			delete $props{'contactgroup'};
		} else {
			delete $props{'checks_enabled'};
		}
	}
#############################################################################
# Body of form
#
	my %docs = Doc->properties_doc($obj,\@props);
	foreach my $property (@props) {
		$properties{$property} =~ s/-zero-/0/g;
		my $p_title = "\u$property:";
		$p_title =~ s/_/ /g;
		if ($props{$property} =~ /^is_volatile|^checks_enabled$|^notifications_enabled$|^parallelize_check$|^obsess_over_host|^obsess_over_service$|^check_freshness$|^passive_checks_enabled$|^active_checks_enabled$|^event_handler_enabled$|^flap_detection_enabled$|^process_perf_data$|^retain_status_information$|^retain_nonstatus_information$/) {
			$form .= Forms->checkbox($p_title,$property,$properties{$property},$docs{$property},$parent_def{$property});
		} elsif ($props{$property}  eq 'contactgroup') {
			my @members = ();
			if ($properties{'save'}) {
				@members = split(/,/, $properties{'contactgroup'});
			} else { 
				@members = StorProc->get_contactgroups($obj,$properties{$obj_id{$obj}}); 
			}
			my @nonmembers = StorProc->fetch_list('contactgroups','name'); 
			if ($obj =~ /escalation|service_templates/) {
				$form .= Forms->members('Contact Groups:','contactgroup',\@members,\@nonmembers,$required{$property},'10',$docs{$property});
				$form_top = Forms->form_top("$title Properties",$cgi_bin.'/monarch.cgi onsubmit="selIt();"');	
			} else {
				$form .= Forms->list_box_multiple('Contact Groups:','contactgroup',\@nonmembers,\@members,$required{'contactgroup'},$docs{$property});
			}
		} elsif ($props{$property}  eq 'members') {
			my @members;
			if ($properties{'save'}) {
				@members = split(/,/, $properties{'members'});
			} elsif ($task =~ /copy|modify/) { 
				@members = StorProc->get_names_in('host_id','hosts','hostgroup_host','hostgroup_id',$properties{'hostgroup_id'});
			}
			my @nonmembers = StorProc->fetch_list('hosts','name'); 
			$form .= Forms->members($p_title,$property,\@members,\@nonmembers,$required{$property},'',$docs{$property});
			$form_top = Forms->form_top("$title Properties",$cgi_bin.'/monarch.cgi onsubmit="selIt();"');
		} elsif ($props{$property}  eq 'contact') {
			my @members = ();
			if ($properties{'save'}) {
				@members = split(/,/, $properties{'contact'});
			} elsif ($task =~ /copy|modify/) { 
				@members = StorProc->get_names_in('contact_id','contacts','contactgroup_contact','contactgroup_id',$properties{$obj_id{$obj}});
				@members = sort @members;
			}
			my @nonmembers = StorProc->fetch_list('contacts','name'); 
			$form .= Forms->members('Contacts:','contact',\@members,\@nonmembers,$required{$property},'',$docs{$property});
			$form_top = Forms->form_top("$title Properties",$cgi_bin.'/monarch.cgi onsubmit="selIt();"');
		} elsif ($props{$property}  eq 'stalking_options') {
			my @opts = split(/,/, $properties{$property});
			$form .= Forms->stalking_options(\@opts,$required{$property},$docs{$property});
		} elsif ($props{$property}  =~ /notification_options/) {
			my @opts = split(/,/, $properties{$property});
			$form .= Forms->notification_options($obj,$property,\@opts,$required{$property},$nagios_ver,$docs{$property});
		} elsif ($props{$property}  =~ /host_name$/) {
			my @hosts = StorProc->fetch_list('hosts','name'); 
			$form .= Forms->list_box($p_title,$property,\@hosts,$properties{$property},$required{$property},$docs{$property});
		} elsif ($props{$property}  =~ /hostgroup_escalation|host_escalation|service_escalation/) {
			my $type = $property;
			$type =~ s/_escalation_id//;
			my %where = ('type' => $type);
			my @list = StorProc->fetch_list_where('escalation_trees','name',\%where ); 
			%where = ('tree_id' => $properties{$property});
			my %t = StorProc->fetch_one_where('escalation_trees',\%where);
			$form .= Forms->list_box($p_title,$property,\@list,$t{'name'},'',$docs{$property});
		} elsif ($props{$property}  =~ /service_name$|service_description/) {
			unless ($task eq 'new' || $properties{'save'}) {
				my %s = StorProc->fetch_one('service_names','servicename_id',$properties{'servicename_id'});
				$properties{$property} = $s{'name'};
			}
			my @services;
			if ($obj =~ /escalation/) { push @services, '*'	}
			my @svcs = StorProc->fetch_list('service_names','name'); 
			push (@services, @svcs);
			$form .= Forms->list_box($p_title,$property,\@services,$properties{$property},$required{$property},$docs{$property});
		} elsif ($props{$property}  =~ /check_command$|event_handler$/) {
			unless ($task eq 'new' || $properties{'save'}) {
				my %p = StorProc->fetch_one('commands','command_id',$properties{$property});
				$properties{$property} = $p{'name'};
			}
			my %w = ('type' => 'check');
			my @commands = StorProc->fetch_list_where('commands','name',\%w); 
			@commands = sort @commands;
			$form .= Forms->list_box($p_title,$property,\@commands,$properties{$property},$required{$property},$docs{$property});
		} elsif ($props{$property}  eq 'type') {
			unless ($obj =~ /escalation/) {
				my @types = ('check','notify','other'); 
				$form .= Forms->list_box($p_title,$property,\@types,$properties{$property},$required{$property},$docs{$property});
			}
		} elsif ($props{$property}  =~ /notification_commands/) {
			my %w = ('type' => 'notify');
			my @commands = StorProc->fetch_list_where('commands','name',\%w); 
			my @selected = split(/,/, $properties{$property}); 
			unless ($task eq 'new' || $properties{'save'}) {
				if ($property =~ /(\S+)_notification_commands/) {
					my %w = ('type' => $1,'contacttemplate_id' => $properties{'contacttemplate_id'});
					@selected = StorProc->fetch_list_where('contact_command','command_id',\%w);
					my @sel;
					foreach (@selected) {
						my %p = StorProc->fetch_one('commands','command_id',$_);
						push @sel, $p{'name'};
					}
					@selected = @sel;
				}
			}
			$form .= Forms->list_box_multiple($p_title,$property,\@commands,\@selected,$required{$property},$docs{$property});
		} elsif ($props{$property} =~ /notification_period|check_period/) {
			unless ($task eq 'new' || $properties{'save'}) {
				my %p = StorProc->fetch_one('time_periods','timeperiod_id',$properties{$property});
				$properties{$property} = $p{'name'};
			}
			my @periods = StorProc->fetch_list('time_periods','name'); 
			$form .= Forms->list_box($p_title,$property,\@periods,$properties{$property},$required{$property},$docs{$property});

		} elsif ($props{$property} =~ /notification_failure_criteria|execution_failure_criteria/) {
			my @opts = split(/,/, $properties{$property});
			$form .= Forms->failure_criteria($property,\@opts,'',$required{$property},$docs{$property});
		} elsif ($props{$property}  eq 'template') {
			if ($obj eq 'contacts') { $table = 'contact_templates' }
			unless ($obj eq 'service_templates' || $task eq 'new' || $properties{'save'}) {
				my %t = StorProc->fetch_one($obj_template{$obj},$obj_id{$obj_template{$obj}},$properties{$obj_id{$obj_template{$obj}}});
				$properties{$property} = $t{'name'};
			} elsif ($obj eq 'service_templates') {
				my %t = StorProc->fetch_one('service_templates','servicetemplate_id',$properties{'parent_id'});
				$properties{$property} = $t{'name'};
			}
			my @templates = StorProc->fetch_list($table,'name'); 
			$form .= Forms->list_box('Use:',$property,\@templates,$properties{'template'},$required{$property},$docs{$property});
		} elsif ($props{$property}  =~ /^command_line/) {
			$form .= Forms->text_area($p_title,$property,$properties{$property},'',$textsize{$property},$required{$property},$docs{$property});
		
		
		} elsif ($props{$property}) {
			unless ($property eq 'name') {
				if ($properties{'last_notification'} eq '-zero-') { $properties{'last_notification'} = 0 }
				$form .= Forms->text_box($p_title,$property,$properties{$property},$textsize{$property},$required{$property},$docs{$property});
			}
		}
	}
	$form .= Forms->hidden(\%hidden);
	my %submit = ();
	if ($view eq 'design') {
		%submit = %add;
	} else {
		%submit = %save;
	}
	my $auth = $obj;
	if ($auth =~ /escalation_templates/) { $auth = 'escalations' }
	if ($task eq 'modify' && $auth_delete{$auth}) {
		$form .= Forms->form_bottem_four_button(\%delete,\%rename,\%cancel,\%submit);
	} elsif ($task eq 'modify') {
		$form .= Forms->form_bottem_three_button(\%rename,\%cancel,\%submit);
	} else {
		$form .= Forms->form_bottem_two_button(\%cancel,\%submit);			
	}
	my $errstr = undef;
	if (@errors) { $errstr = Forms->form_errors(\@errors)."\n" }
	return $form_top."\n".$errstr.$form;
}

sub build_host_template($) {
	my $name = shift;
	my $form = undef;
	my $select_all = undef;
	$hidden{'host_id'} = $query->param('host_id');
	my $host_template = $query->param('template');
	my %host = StorProc->fetch_one('hosts','name',$name);
	my %overrides_saved = StorProc->fetch_one('host_overrides','host_id',$host{'host_id'});
	my %where = ('type' => 'hosts','object' => $host{'host_id'});
	my @override_contactgroup = StorProc->fetch_list_where('contactgroup_assign','contactgroup_id',\%where);
	my %override = ();
	my %template = ();
	my $hosttemplate_id = $host{'hosttemplate_id'};
	if ($host_template) {
		%template = StorProc->fetch_one('host_templates','name',$host_template);
		$hosttemplate_id = $template{'hosttemplate_id'}
	} else {
		%template = StorProc->fetch_one('host_templates','hosttemplate_id',$hosttemplate_id);
		$host_template = $template{'name'};
	}
	my %np =  StorProc->fetch_one('time_periods','timeperiod_id',$template{'notification_period'});
	$template{'notification_period'} = $np{'name'};
	my %check =  StorProc->fetch_one('commands','command_id',$overrides_saved{'check_command'});
	$template{'check_command'} = $check{'name'};
	my %event =  StorProc->fetch_one('commands','command_id',$overrides_saved{'event_handler'});
	$template{'event_handler'} = $event{'name'};

	my @contactgroups = ();
	my @override_conactgroups = ();

	unless ($nagios_ver eq '1.x') {
		my %cp =  StorProc->fetch_one('time_periods','timeperiod_id',$template{'check_period'});
		$template{'check_period'} = $cp{'name'};
		my %where = ('type' => 'host_templates','object' => $template{'hosttemplate_id'});
		my @temp_contactgroups = StorProc->fetch_list_where('contactgroup_assign','contactgroup_id',\%where);
		foreach (@temp_contactgroups) {
			my %c = StorProc->fetch_one('contactgroups','contactgroup_id',$_);
			push @contactgroups, $c{'name'};
		}
		$override{'contactgroups'} = 'checked';
		my %where = ('type' => 'hosts','object' => $host{'host_id'});
		@override_conactgroups = StorProc->fetch_list_where('contactgroup_assign','contactgroup_id',\%where);
	}

	my @props = split(/,/, $property_list{'host_templates'});
	foreach (@props) { 
		$override{$_} = 'checked';
	} 

	if ($query->param('select_all')) {
		$select_all = 1;
	} else {
		foreach (@props) { 
			if ($overrides_saved{$_}) {
				$override{$_} = 'unchecked';
				if ($_ eq 'notification_period') {
					my %np =  StorProc->fetch_one('time_periods','timeperiod_id',$overrides_saved{'notification_period'});
					$template{$_} = $np{'name'};
				} elsif ($_ eq 'check_period') {
					my %check =  StorProc->fetch_one('time_periods','timeperiod_id',$overrides_saved{'check_period'});
					$template{$_} = $check{'name'};
				} elsif ($_ eq 'check_command') {
					my %check =  StorProc->fetch_one('commands','command_id',$overrides_saved{'check_command'});
					$template{$_} = $check{'name'};
				} elsif ($_ eq 'event_handler') {
					my %event =  StorProc->fetch_one('commands','command_id',$overrides_saved{'event_handler'});
					$template{$_} = $event{'name'};
				} else {
					$template{$_} = $overrides_saved{$_};
				}
			}
		} 
		unless ($nagios_ver eq '1.x') {
			@contactgroups = ();
			$override{'contactgroups'} = 'checked';
			if (@override_conactgroups) {
				foreach (@override_conactgroups) {
					my %c = StorProc->fetch_one('contactgroups','contactgroup_id',$_);
					push @contactgroups, $c{'name'};
				}
				$override{'contactgroups'} = 'unchecked';
			}
		}
	}
	my @timeperiods = StorProc->fetch_list('time_periods','name'); 
	my @members = StorProc->fetch_list('host_templates','name'); 
	my %docs = Doc->manage_hosts_vitals();
	$form .= Forms->list_box_submit('Host template:','template',\@members,$host_template,$required{'template'},$docs{'host_template'});
	%docs = Doc->properties_doc('host_templates',\@props);

	$form .= Forms->checkbox_override('Inherit all values from template','select_all',$select_all,$docs{'override'});

# process_perf_data
	$form .= Forms->checkbox('Process performance data:','process_perf_data',$template{'process_perf_data'},$docs{'process_perf_data'},$override{'process_perf_data'});

# retain_status_information
	$form .= Forms->checkbox('Retain status information:','retain_status_information',$template{'retain_status_information'},$docs{'retain_status_information'},$override{'retain_status_information'});
# flap_detection_enabled
	$form .= Forms->checkbox('Flap detection enabled:','flap_detection_enabled',$template{'flap_detection_enabled'},$docs{'flap_detection_enabled'},$override{'flap_detection_enabled'});
# low_flap_threshold
	$form .= Forms->text_box('Low flap threshold:','low_flap_threshold',$template{'low_flap_threshold'},$textsize{'low_flap_threshold'},$required{'low_flap_threshold'},$docs{'low_flap_threshold'},$override{'low_flap_threshold'});

# high_flap_threshold
	$form .= Forms->text_box('High flap threshold:','high_flap_threshold',$template{'high_flap_threshold'},$textsize{'high_flap_threshold'},$required{'high_flap_threshold'},$docs{'high_flap_threshold'},$override{'high_flap_threshold'});

# retain_nonstatus_information
	$form .= Forms->checkbox('Retain nonstatus information:','retain_nonstatus_information',$template{'retain_nonstatus_information'},$docs{'retain_nonstatus_information'},$override{'retain_nonstatus_information'});
	if ($nagios_ver eq '1.x') {
# checks_enabled
		$form .= Forms->checkbox('Checks enabled:','checks_enabled',$template{'checks_enabled'},$docs{'checks_enabled'},$override{'checks_enabled'});
	} else {
# active_checks_enabled
		$form .= Forms->checkbox('Active checks enabled:','active_checks_enabled',$template{'active_checks_enabled'},$docs{'active_checks_enabled'},$override{'active_checks_enabled'});
		$form .= Forms->checkbox('Passive checks enabled:','passive_checks_enabled',$template{'passive_checks_enabled'},$docs{'passive_checks_enabled'},$override{'passive_checks_enabled'});
# obsess_over_host
		$form .= Forms->checkbox('Obsess over host:','obsess_over_host',$template{'obsess_over_host'},$docs{'obsess_over_host'},$override{'obsess_over_host'});
# check_freshness
		$form .= Forms->checkbox('Check freshness:','check_freshness',$template{'check_freshness'},$docs{'check_freshness'},$override{'check_freshness'});
# freshness_threshold
		$form .= Forms->text_box('Freshness threshold:','freshness_threshold',$template{'freshness_threshold'},$textsize{'freshness_threshold'},$required{'freshness_threshold'},$docs{'freshness_threshold'},$override{'high_flap_threshold'});
	}
# check_command
# command_line
	my @commands = StorProc->fetch_list('commands','name'); 
	$form .= Forms->list_box('Check command:','check_command',\@commands,$template{'check_command'},'',$docs{'check_command'},$override{'check_command'});
	$form .= Forms->text_area('Command line:','command_line',$template{'command_line'},'',$textsize{'command_line'},'',$docs{'command_line'},$override{'command_line'});

# max_check_attempts
	$form .= Forms->text_box('Max check attempts:','max_check_attempts',$template{'max_check_attempts'},$textsize{'max_check_attempts'},$required{'max_check_attempts'},$docs{'max_check_attempts'},$override{'max_check_attempts'});

# event_handler_enabled
	$form .= Forms->checkbox('Event handler enabled:','event_handler_enabled',$template{'event_handler_enabled'},$docs{'event_handler_enabled'},$override{'event_handler_enabled'});

# event_handler
	$form .= Forms->list_box('Event handler:','event_handler',\@commands,$template{'event_handler'},'',$docs{'event_handler'},$override{'event_handler'});

# notifications_enabled
	$form .= Forms->checkbox('Notifications enabled:','notifications_enabled',$template{'notifications_enabled'},$docs{'notifications_enabled'},$override{'notifications_enabled'});
# notification_interval
	$form .= Forms->text_box('Notification interval:','notification_interval',$template{'notification_interval'},$textsize{'notification_interval'},$required{'notification_interval'},$docs{'notification_interval'},$override{'notification_interval'});

# notification_period
	$form .= Forms->list_box('Notification period:','notification_period',\@timeperiods,$template{'notification_period'},'',$docs{'notification_period'},$override{'notification_period'});

# notification_options
	my @opts = split(/,/, $template{'notification_options'});
	$form .= Forms->notification_options('host_templates','notification_options',\@opts,$required{'notification_options'},$nagios_ver,$docs{'notification_options'},$override{'notification_options'});

# stalking_options
	my @opts = split(/,/, $template{'stalking_options'});
	$form .= Forms->stalking_options(\@opts,$required{'stalking_options'},$docs{'stalking_options'},$override{'stalking_options'});

	unless ($nagios_ver eq '1.x') {
# contactgroups
		@contactgroups = sort @contactgroups;
		my @nonmembers = StorProc->fetch_list('contactgroups','name'); 
		$form .= Forms->members('Contact groups:','contactgroup',\@contactgroups,\@nonmembers,'','10',$docs{'contactgroup'},$override{'contactgroups'});
	}
	return $form;
}

sub build_service_template() {
	my $form = undef;
	my $select_all = undef;
	$hidden{'service_id'} = $query->param('service_id');
	my $service_template = $query->param('template');
	my %service = StorProc->fetch_one('services','service_id',$hidden{'service_id'});
	my %overrides_saved = StorProc->fetch_one('service_overrides','service_id',$service{'service_id'});
	$overrides_saved{'check_command'} = $service{'check_command'};
	$overrides_saved{'command_line'} = $service{'command_line'};
	my %where = ('type' => 'services','object' => $service{'service_id'});
	my @override_contactgroup = StorProc->fetch_list_where('contactgroup_assign','contactgroup_id',\%where);
	my %override = ();
	my %template = ();
	my @contactgroups = ();
	my $servicetemplate_id = $service{'servicetemplate_id'};
	if ($service_template) {
		my %t = StorProc->fetch_one('service_templates','name',$service_template);
		$servicetemplate_id = $t{'servicetemplate_id'}
	} else {
		my %t = StorProc->fetch_one('service_templates','servicetemplate_id',$servicetemplate_id);
		$service_template = $t{'name'};
	}
	my @template_contactgroup = ();
	my $got_parent = 0;
	my $got_contactgroup = 0;
	my $i = 0;
	until ($got_parent || $i == 10) {
		$i++;
		my %tpl = StorProc->fetch_one('service_templates','servicetemplate_id',$servicetemplate_id);
		my @props = split(/,/, $property_list{'service_templates'});
		foreach my $t (@props) { 
			unless ($template{$t}) { 
				if ($t eq 'check_command') {
					my %c =  StorProc->fetch_one('commands','command_id',$tpl{'check_command'});
					$template{$t} = $c{'name'};
				} elsif ($t eq 'notification_period') {
					my %np =  StorProc->fetch_one('time_periods','timeperiod_id',$tpl{'notification_period'});
					$template{$t} = $np{'name'};
				} elsif ($t eq 'check_period') {
					my %cp =  StorProc->fetch_one('time_periods','timeperiod_id',$tpl{'check_period'});
					$template{$t} = $cp{'name'};
				} elsif ($t eq 'event_handler') {
					my %e =  StorProc->fetch_one('commands','command_id',$tpl{'event_handler'});
					$template{$t} = $e{'name'};
				} else { 
					$template{$t} = $tpl{$t};
				}
			}
		}
		unless ($got_contactgroup) {
			my %where = ('type' => 'service_templates','object' => $tpl{'servicetemplate_id'});
			@template_contactgroup = StorProc->fetch_list_where('contactgroup_assign','contactgroup_id',\%where);
			if (@template_contactgroup) { $got_contactgroup = 1 }
		}
		if ($tpl{'parent_id'}) { 
			$servicetemplate_id = $tpl{'parent_id'};
		} else {
			$got_parent = 1;
		}
	}
	
	my @props = split(/,/, $property_list{'service_templates'});
	foreach (@props) { 
		$override{$_} = 'checked';
		$properties{$_} = $template{$_};
	} 
	foreach (@template_contactgroup) {
		$override{'contactgroups'} = 'checked';
		my %g = StorProc->fetch_one('contactgroups','contactgroup_id',$_);
		push @contactgroups, $g{'name'};
	}
	if ($query->param('select_all')) {
		$select_all = 1;
	} else {
		foreach (@props) { 
			if ($overrides_saved{$_}) {
				$override{$_} = 'unchecked';
				if ($_ eq 'check_command') {
					my %c =  StorProc->fetch_one('commands','command_id',$overrides_saved{'check_command'});
					$properties{$_} = $c{'name'};
				} elsif ($_ eq 'notification_period') {
					my %np =  StorProc->fetch_one('time_periods','timeperiod_id',$overrides_saved{'notification_period'});
					$properties{$_} = $np{'name'};
				} elsif ($_ eq 'check_period') {
					my %cp =  StorProc->fetch_one('time_periods','timeperiod_id',$overrides_saved{'check_period'});
					$properties{$_} = $cp{'name'};
				} elsif ($_ eq 'event_handler') {
					my %e =  StorProc->fetch_one('commands','command_id',$overrides_saved{'event_handler'});
					$properties{$_} = $e{'name'};
				} else {
					$properties{$_} = $overrides_saved{$_};
				}
			}
		} 
		if (@override_contactgroup) {
			@contactgroups = ();
			$override{'contactgroups'} = 'unchecked';
			foreach (@override_contactgroup) {
				my %g = StorProc->fetch_one('contactgroups','contactgroup_id',$_);
				push @contactgroups, $g{'name'};
			}
		}
	}

	my %docs = Doc->properties_doc('service_templates',\@props);
	my @members = StorProc->fetch_list('service_templates','name'); 
	$form .= Forms->list_box_submit('Service template:','template',\@members,$service_template,'',$docs{'template'});

	$form .= Forms->checkbox_override('Inherit all values from template','select_all',$select_all,$docs{'override'});
# is_volatile
	$form .= Forms->checkbox('Is volatile:','is_volatile',$properties{'is_volatile'},$docs{'is_volatile'},$override{'is_volatile'});
# check_period,
	my @timeperiods = StorProc->fetch_list('time_periods','name'); 
	$form .= Forms->list_box('Check period:','check_period',\@timeperiods,$properties{'check_period'},'',$docs{'check_period'},$override{'check_period'});
# max_check_attempts,
	$form .= Forms->text_box('Max check attempts:','max_check_attempts',$properties{'max_check_attempts'},$textsize{'max_check_attempts'},$required{'max_check_attempts'},$docs{'max_check_attempts'},$override{'max_check_attempts'});
# normal_check_interval,
	$form .= Forms->text_box('Normal check interval:','normal_check_interval',$properties{'normal_check_interval'},$textsize{'normal_check_interval'},$required{'normal_check_interval'},$docs{'normal_check_interval'},$override{'normal_check_interval'});
# retry_check_interval,".
	$form .= Forms->text_box('Retry check interval:','retry_check_interval',$properties{'retry_check_interval'},$textsize{'retry_check_interval'},$required{'retry_check_interval'},$docs{'retry_check_interval'},$override{'retry_check_interval'});
# "active_checks_enabled,
	$form .= Forms->checkbox('Active checks enabled:','active_checks_enabled',$properties{'active_checks_enabled'},$docs{'active_checks_enabled'},$override{'active_checks_enabled'});

# passive_checks_enabled,
	$form .= Forms->checkbox('Passive checks enabled:','passive_checks_enabled',$properties{'passive_checks_enabled'},$docs{'passive_checks_enabled'},$override{'passive_checks_enabled'});

# parallelize_check,
	$form .= Forms->checkbox('Parallelize check:','parallelize_check',$properties{'parallelize_check'},$docs{'parallelize_check'},$override{'parallelize_check'});

# obsess_over_service,
	$form .= Forms->checkbox('Obsess over service:','obsess_over_service',$properties{'obsess_over_service'},$docs{'obsess_over_service'},$override{'obsess_over_service'});

# check_freshness,
	$form .= Forms->checkbox('Check freshness:','check_freshness',$properties{'check_freshness'},$docs{'check_freshness'},$override{'check_freshness'});

# freshness_threshold,
	$form .= Forms->text_box('Freshness threshold:','freshness_threshold',$properties{'freshness_threshold'},$textsize{'freshness_threshold'},$required{'freshness_threshold'},$docs{'freshness_threshold'},$override{'freshness_threshold'});

# notifications_enabled,
	$form .= Forms->checkbox('Notifications enabled:','notifications_enabled',$properties{'notifications_enabled'},$docs{'notifications_enabled'},$override{'notifications_enabled'});

# notification_interval,".
	$form .= Forms->text_box('Notification interval:','notification_interval',$properties{'notification_interval'},$textsize{'notification_interval'},$required{'notification_interval'},$docs{'notification_interval'},$override{'notification_interval'});
# "notification_period,
	$form .= Forms->list_box('Notification period:','notification_period',\@timeperiods,$properties{'notification_period'},'',$docs{'notification_period'},$override{'notification_period'});

# notification_options,
	my @opts = split(/,/, $properties{'notification_options'});
	$form .= Forms->notification_options('service_templates','notification_options',\@opts,$required{'notification_options'},$nagios_ver,$docs{'notification_options'},$override{'notification_options'});

# event_handler_enabled,
	$form .= Forms->checkbox('Event handler enabled:','event_handler_enabled',$properties{'event_handler_enabled'},$docs{'event_handler_enabled'},$override{'event_handler_enabled'});

# event_handler,
	my %w = ('type' => 'check');
	my @commands = StorProc->fetch_list_where('commands','name',\%w); 
	@commands = sort @commands;
	$form .= Forms->list_box('Event handler:','event_handler',\@commands,$properties{'event_handler'},$required{'event_handler'},$docs{'event_handler'},$override{'event_handler'});

# flap_detection_enabled,
	$form .= Forms->checkbox('Flap detection enabled:','flap_detection_enabled',$properties{'flap_detection_enabled'},$docs{'flap_detection_enabled'},$override{'flap_detection_enabled'});

# low_flap_threshold,
	$form .= Forms->text_box('Low flap threshold:','low_flap_threshold',$properties{'low_flap_threshold'},$textsize{'low_flap_threshold'},$required{'low_flap_threshold'},$docs{'low_flap_threshold'},$override{'low_flap_threshold'});

# high_flap_threshold,
	$form .= Forms->text_box('High flap threshold:','high_flap_threshold',$properties{'high_flap_threshold'},$textsize{'high_flap_threshold'},$required{'high_flap_threshold'},$docs{'high_flap_threshold'},$override{'high_flap_threshold'});

# process_perf_data,".
	$form .= Forms->checkbox('Process perf data:','process_perf_data',$properties{'process_perf_data'},$docs{'process_perf_data'},$override{'process_perf_data'});

# "retain_status_information,
	$form .= Forms->checkbox('Retain status information:','retain_status_information',$properties{'retain_status_information'},$docs{'retain_status_information'},$override{'retain_status_information'});

# retain_nonstatus_information
	$form .= Forms->checkbox('Retain nonstatus information:','retain_nonstatus_information',$properties{'retain_nonstatus_information'},$docs{'retain_nonstatus_information'},$override{'retain_nonstatus_information'});

# command
	@members = StorProc->fetch_list('commands','name'); 
	$form .= Forms->list_box('Check command:','check_command',\@members,$properties{'check_command'},'',$docs{'check_command'},$override{'check_command'});
	$form .= Forms->text_area('Command line:','command_line',$properties{'command_line'},'',$textsize{'command_line'},'',$docs{'command_line'},$override{'command_line'});

# contactgroups
	@contactgroups = sort @contactgroups;
	my @nonmembers = StorProc->fetch_list('contactgroups','name'); 
	$form .= Forms->members('Contact Groups:','contactgroup',\@contactgroups,\@nonmembers,'','10',$docs{'contactgroup'},$override{'contactgroups'});

	return $form;
}

#
###########################################################################################################################
# Build Contact
#

sub build_contact() {
	my $form = undef;
	my $select_all = undef;
	my $name = $query->param('name');
	if ($task eq 'copy') { 
		$name = $query->param('source');
		delete $hidden{'task'};	
	}
	$hidden{'contact_id'} = $query->param('contact_id');
	my %contact = StorProc->fetch_one('contacts','name',$name);
	my %template = StorProc->fetch_one('contact_templates','contacttemplate_id',$contact{'contacttemplate_id'});
	$contact{'template'} = $template{'name'};
	if ($query->param('alias')) { $contact{'alias'} = $query->param('alias') }
	if ($query->param('pager')) { $contact{'pager'} = $query->param('pager') }
	if ($query->param('email')) { $contact{'email'} = $query->param('email') }
	if ($query->param('template')) { 
		%template = StorProc->fetch_one('contact_templates','name',$query->param('template'));
		$contact{'template'} = $query->param('template');
	}
	my %overrides_saved = StorProc->fetch_one('contact_overrides','contact_id',$contact{'contact_id'});
	my %override = ();
	my @props = split(/,/, $property_list{'contact_templates'});
	foreach (@props) { 
		$override{$_} = 'checked';
	} 

	my %np =  StorProc->fetch_one('time_periods','timeperiod_id',$template{'host_notification_period'});
	$template{'host_notification_period'} = $np{'name'};
	%np =  StorProc->fetch_one('time_periods','timeperiod_id',$template{'service_notification_period'});
	$template{'service_notification_period'} = $np{'name'};

	my @host_commands = StorProc->get_command_contact_template($template{'contacttemplate_id'},'host');
	my @service_commands = StorProc->get_command_contact_template($template{'contacttemplate_id'},'service');
	my @override_host_commands = StorProc->get_command_contact($contact{'contact_id'},'host');
	my @override_service_commands = StorProc->get_command_contact($contact{'contact_id'},'service');

	if ($query->param('select_all')) {
		$select_all = 1;
	} else {
		foreach (@props) { 
			if ($overrides_saved{$_}) {
				$override{$_} = 'unchecked';
				if ($_ eq 'host_notification_period') {
					%np =  StorProc->fetch_one('time_periods','timeperiod_id',$overrides_saved{'host_notification_period'});
					$template{$_} = $np{'name'};
				} elsif ($_ eq 'service_notification_period') {
					%np =  StorProc->fetch_one('time_periods','timeperiod_id',$overrides_saved{'service_notification_period'});
					$template{$_} = $np{'name'};
				} else {
					$template{$_} = $overrides_saved{$_};
				}
			}
		} 
		if (@override_host_commands) {
			@host_commands = ();
			$override{'host_notification_commands'} = 'unchecked';
			foreach (@override_host_commands) {
				push @host_commands, $_;
			}
		}
		if (@override_service_commands) {
			@service_commands = ();
			$override{'service_notification_commands'} = 'unchecked';
			foreach (@override_service_commands) {
				push @service_commands, $_;
			}
		}	
	}
	my @contact_props = split(/,/, $property_list{'contacts'});
	my %docs = Doc->properties_doc('contacts',\@contact_props);
	if (@errors) { $form .= Forms->form_errors(\@errors) }
#  contact_name 
	if ($view eq 'design') {
		$form .= Forms->text_box('Name:','name',$name,$textsize{'name'},$required{'name'},$docs{'name'});
	} else {
		$form .= Forms->display_hidden('Name:','name',$name);
	}
	$form .= Forms->text_box('Alias:','alias',$contact{'alias'},$textsize{'alias'},$required{'alias'},$docs{'alias'});
	$form .= Forms->text_box('Email:','email',$contact{'email'},$textsize{'email'},'',$docs{'email'});
	$form .= Forms->text_box('Pager:','pager',$contact{'pager'},$textsize{'pager'},'',$docs{'pager'});

	my @members = StorProc->fetch_list('contact_templates','name'); 
	$form .= Forms->list_box_submit('Contact template:','template',\@members,$template{'name'},$required{'template'},$docs{'template'});
	%docs = Doc->properties_doc('contact_templates',\@props);
	$form .= Forms->checkbox_override('Inherit all values from template','select_all',$select_all,$docs{'override'});
	my @timeperiods = StorProc->fetch_list('time_periods','name');
	my %where = ('type' => 'notify');
	my @commands = StorProc->fetch_list_where('commands','name',\%where);

	%docs = Doc->properties_doc('contact_templates',\@props);

# host_notification_period
	$form .= Forms->list_box('Host notification period:','host_notification_period',\@timeperiods,$template{'host_notification_period'},$required{'host_notification_period'},$docs{'host_notification_period'},$override{'host_notification_period'});
# host_notification_options
	my @opts = split(/,/, $template{'host_notification_options'});
	$form .= Forms->notification_options('contact_templates','host_notification_options',\@opts,$required{'host_notification_options'},$nagios_ver,$docs{'host_notification_options'},$override{'host_notification_options'});
# host_notification_commands 
	$form .= Forms->list_box_multiple('Host notification commands','host_notification_commands',\@commands,\@host_commands,'',$docs{'host_notification_commands'},$override{'host_notification_commands'});
# service_notification_period
	$form .= Forms->list_box('Service notification period:','service_notification_period',\@timeperiods,$template{'service_notification_period'},$required{'service_notification_period'},$docs{'service_notification_period'},$override{'service_notification_period'});
# service_notification_options
	my @opts = split(/,/, $template{'service_notification_options'});
	$form .= Forms->notification_options('contact_templates','service_notification_options',\@opts,$required{'service_notification_options'},$nagios_ver,$docs{'service_notification_options'},$override{'service_notification_options'});
# service_notification_commands
	$form .= Forms->list_box_multiple('Service notification commands','service_notification_commands',\@commands,\@service_commands,'',$docs{'service_notification_commands'},$override{'service_notification_commands'});
# contactgroups
	my @contactgroups = $query->param('contactgroup');
	unless (@contactgroups) { @contactgroups = StorProc->get_contactgroup_contact($contact{'contact_id'}) }
	my @nonmembers = StorProc->fetch_list('contactgroups','name'); 
	$form .= Forms->members('Contact groups:','contactgroup',\@contactgroups,\@nonmembers,'','10',$docs{'contactgroup'});

	return $form;
}

#
###########################################################################################################################
# Service Groups
#

sub service_group() {
	my $form = undef;
	my %add = ('name' => 'add', 'value' => 'Add');
	my %save = ('name' => 'save', 'value' => 'Save');
	my %done = ('name' => 'save', 'value' => 'Done');
	my %cancel = ('name' => 'cancel', 'value' => 'Cancel');
	my %continue = ('name' => 'continue', 'value' => 'Continue');
	my %rename = ('name' => 'rename', 'value' => 'Rename');
	my %delete = ('name' => 'delete', 'value' => 'Delete');
	my $got_form = 0;
	my $name = $query->param('name');
	my $alias = $query->param('alias');
	my %svcgrp = StorProc->fetch_one('servicegroups','name',$name);
	unless ($alias) { $alias = $svcgrp{'alias'} }
	my %docs = Doc->servicegroups();
	if ($query->param('continue')) {
		$got_form = 1;
	} elsif ($query->param('cancel') && $query->param('add')) {
		$got_form = 1;
	} elsif ($task eq 'new' || $query->param('add')) {
		$got_form = 1;
		my $name = $query->param('name');
		my $alias = $query->param('alias');
		my $validate = $query->param('validate');
		if ($name && $alias) {
			if ($svcgrp{'name'}) {
				push @errors, "Duplicate: Service group $name already exists.";
			} else {
				my @values = ('',$name,$alias);
				my $result = StorProc->insert_obj('servicegroups',\@values);
				if ($result =~ /error/i) { 
					push @errors, $result;
				} else {
					delete $hidden{'task'};
					$got_form = 0;
				}
			}
		} elsif ($validate) { 
			$required{'name'} = 1;
			$required{'alias'} = 1;
			push @errors, "Missing required fields: Name, Alias";
		}
		if ($got_form) {
			$form .= Forms->main_page();
			$form .= Forms->form_top("Service Group",'');
			if (@errors) { $form .= Forms->form_errors(\@errors) }
			$form .= Forms->text_box('Name:','name',$name,$textsize{'name'},$required{'name'},$docs{'name'});
			$form .= Forms->text_box('Alias:','alias',$alias,$textsize{'alias'},$required{'alias'},$docs{'alias'});
			$hidden{'validate'} = 1;
			$form .= Forms->hidden(\%hidden);
			$form .= Forms->form_bottem_two_button(\%cancel,\%add);		
		}
	} elsif ($query->param('add_services')) {
		my $host = $query->param('host');
		my @services = $query->param('services');
		my %h = StorProc->fetch_one('hosts','name',$host);
		if (@services && $host) {
			foreach my $service (@services) {
				my %sn = StorProc->fetch_one('service_names','name',$service);
				my %where = ('host_id' => $h{'host_id'},'servicename_id' => $sn{'servicename_id'});
				my %s = StorProc->fetch_one_where('services',\%where);
				my @values = ($svcgrp{'servicegroup_id'},$h{'host_id'},$s{'service_id'});
				my $result = StorProc->insert_obj('servicegroup_service',\@values);
				if ($result =~ /^Error/ && !$result =~ /duplicate/i) { push @errors, $result }
			}
		}
	} elsif ($query->param('add_hosts')) {
		my $service = $query->param('service');
		my @hosts = $query->param('hosts');
		my %sn = StorProc->fetch_one('service_names','name',$service);
		if (@hosts && $service) {
			foreach my $host (@hosts) {
				my %h = StorProc->fetch_one('hosts','name',$host);
				my %where = ('host_id' => $h{'host_id'},'servicename_id' => $sn{'servicename_id'});
				my %s = StorProc->fetch_one_where('services',\%where);
				my @values = ($svcgrp{'servicegroup_id'},$h{'host_id'},$s{'service_id'});
				my $result = StorProc->insert_obj('servicegroup_service',\@values);
				if ($result =~ /^Error/ && !$result =~ /duplicate/i) { push @errors, $result }
			}
		}
	} elsif ($query->param('remove_service')) {
		my $host = $query->param('del_host');
		my $service = $query->param('del_service');
		my %h = StorProc->fetch_one('hosts','name',$host);
		my %sn = StorProc->fetch_one('service_names','name',$service);
		my %where = ('host_id' => $h{'host_id'},'servicename_id' => $sn{'servicename_id'});
		my %s = StorProc->fetch_one_where('services',\%where);
		%where = ('servicegroup_id' => $svcgrp{'servicegroup_id'},'service_id' => $s{'service_id'},'host_id' => $h{'host_id'});
		my $result = StorProc->delete_one_where('servicegroup_service',\%where);
		if ($result =~ /^Error/) { push @errors, $result }
	} elsif ($query->param('save')) {
		my %values = ('alias' => $alias);
		my $result = StorProc->update_obj('servicegroups','name',$name,\%values);
		if ($result =~ /^Error/) { push @errors, $result }
		unless (@errors) {
			$form .= Forms->main_page();
			$form .= Forms->form_top('Service Group');
			my @message = ("Changes to $name accepted.");
			$form .= Forms->form_message('Updated:',\@message,'row1');					
			$form .= Forms->hidden(\%hidden);
			$form .= Forms->form_bottem_one_button(\%continue);
			$got_form = 1;
		}
	} elsif ($query->param('rename')) {
		$form .= Forms->main_page();
		$form .= rename_object('',$name);
		$got_form = 1;
	} elsif ($query->param('delete') || $query->param('confirm_delete')) {
		if ($query->param('confirm_delete')) {
			my $result = StorProc->delete_all('servicegroups','servicegroup_id',$svcgrp{'servicegroup_id'});
			if ($result =~ /^Error/) { push @errors, $result }
			unless (@errors) { 
				$form .= Forms->main_page();
				$form .= Forms->form_top('Deleted','');
				my @message = ("$name");
				$form .= Forms->form_message('Removed:',\@message,'row1');			
				$form .= Forms->hidden(\%hidden);
				$form .= Forms->form_bottem_one_button(\%continue);
				$name = undef;
				$got_form = 1;	
			}
		} elsif ($query->param('task') eq 'No') {
			$got_form = 0;	
		} else {
			foreach my $name ($query->param) {
				$hidden{$name} = $query->param($name);
			}
			delete $hidden{'task'};
			$hidden{'delete'} = 1;
			$form .= Forms->main_page();
			my $message = qq(Are you sure you want to remove $name?);
			$form .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden);
			$name = undef;
			$got_form = 1;
		}	
	} 
	unless ($got_form) {
		my $host = $query->param('host');
		my $service = $query->param('service');
		my $host = $query->param('host');
		$form .= Forms->main_page();
		$form .= Forms->form_top("Service Group",'');
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->display_hidden('Name:','name',$name);
		$form .= Forms->text_box('Alias:','alias',$alias,$textsize{'alias'},$required{'alias'},$docs{'alias'});
		my %host_service = StorProc->get_servicegroup($svcgrp{'servicegroup_id'});

		
		my %h = StorProc->fetch_one('hosts','name',$host);
		my @host_nonmembers = StorProc->get_host_services($h{'host_id'});
		my @hosts = StorProc->fetch_list('hosts','name');
		my %s = StorProc->fetch_one('service_names','name',$service);
		my @serivce_nonmembers = StorProc->get_service_hosts($s{'servicename_id'});
		my @services = StorProc->fetch_list('service_names','name');
		$form .= Forms->service_group($user_acct,$view,$name,\%host_service,$host,\@host_nonmembers,\@hosts,$service,\@serivce_nonmembers,\@services);
		$form .= Forms->hidden(\%hidden);
		if ($auth_delete{'servicegroups'}) {
			$form .= Forms->form_bottem_three_button(\%delete,\%rename,\%save);		
		} else {
			$form .= Forms->form_bottem_two_button(\%rename,\%save);		
		}
	}
	return $form;
}


#
###########################################################################################################################
# Host Wizard
#

sub host_wizard() {
	my %next = ('name' => 'next', 'value' => 'Next >>');
	my %back = ('name' => 'back', 'value' => '<< Back');
	my %cancel = ('name' => 'cancel', 'value' => 'Cancel');
	
	if ($query->param('back')) { $submit = 'back' }
	if ($query->param('next')) { $submit = 'next' }
	if ($query->param('cancel')) { $submit = 'cancel' }
	if ($debug) {
		foreach my $name ($query->param) {
			my $value = $query->param($name);
			error_out("$name $value");
		}
	}
	
	my %files = StorProc->fetch_file_hash();
	my $service_next = undef;
	my $form = undef;
	my $name = $query->param('name');
	$hidden{'name'} = $name;
	my $host_id = $query->param('host_id');
	$hidden{'host_id'} = $host_id;
	my $alias = $query->param('alias');
	my $step = $query->param('step');
	my $last_step = $query->param('last_step');
	my %param_vals = ();
	if ($submit =~ /Show All/) { 
		$step = 'service_list_extended';
	}
#
#############################################################################
# Check for existing session
#
	if (!$query->param('template') && !$submit && $view eq 'wizard_design') {
		if ($query->param('resume_session')) {
			$hidden{'host_profile'} = $query->param('host_profile');
			$hidden{'service_profile'} = $query->param('service_profile');
			my %where = ('host' => $name,'user_acct' => $user_acct,'type' => $view,'status' => 'edit_added');
			my %service_list = StorProc->fetch_list_hash_array('stage_host_services',\%where);
			my @services;
			foreach my $svc (keys %service_list) { unless ($svc =~ /HASH/) { push @services, $svc } }
			@services = sort @services;
			$service_next = pop @services; 
			if ($service_next) {
				my %where = ('host' => $name,'user_acct' => $user_acct,'type' => $view,'status' => '3');
				my %service = StorProc->fetch_one_where('stage_host_services',\%where);
				%where = ('service_id' => $service{'service_id'});
				my %file = StorProc->fetch_one_where('file_service',\%where);
				$hidden{'file'} = $file{'file'};
				my $result = StorProc->delete_all('services','service_id',$service{'service_id'});
				if ($result =~ /^Error/) { push @errors, $result }
				$step = 'service_detail';	
			} elsif ($hidden{'service_profile'}) {	
				$step = 'service_list';
			} else {
				$step = 'host_attribs';
			}
		} elsif ($query->param('task') eq 'No') {
			my $result = StorProc->delete_all('hosts','name',$name);
			if ($result =~ /^Error/) { push @errors, $result }
			my %where = ('name' => $name, 'user_acct' => $user_acct);
			$result = StorProc->delete_one_where('stage_hosts',\%where);
			if ($result =~ /^Error/) { push @errors, $result }
			%where = ('host' => $name, 'user_acct' => $user_acct);
			$result = StorProc->delete_one_where('stage_host_services',\%where);
			if ($result =~ /^Error/) { push @errors, $result }
			$step = 'host_vitals';
		} else {
			my %where = ('user_acct' => $user_acct, 'type' => 'wizard_design');
			my %host = StorProc->fetch_one_where('stage_hosts',\%where);
			if ($host{'name'}) { 
				$form .= Forms->main_page();
				$hidden{'name'} = $host{'name'};
				my %h = StorProc->fetch_one('hosts','name',$host{'name'});
				$hidden{'host_id'} = $h{'host_id'};
				$hidden{'host_profile'} = $host{'host_profile'};
				$hidden{'service_profile'} = $host{'service_profile'};
				my $message = qq(An existing host wizard session exists for $host{'name'}. Do you wish to continue with this host definition? (No will delete the host).&nbsp;);
				$form .= Forms->are_you_sure('Host wizard session exists:',$message,'resume_session',\%hidden);
			} else {
				$step = 'host_vitals';
			}
		}
#############################################################################
# Save as profile
#
	} elsif ($submit eq 'Save As Profile') {
		$step = 'save_to_profile'
	} elsif ($submit eq 'Save') {
		my $host_id = $query->param('host_id');
		my $host_profile = $query->param('host_profile');
		my $service_profile = $query->param('service_profile');
		if ($service_profile && $host_profile) {
			my %h = StorProc->fetch_one('profiles_host','name',$host_profile);
			my %s = StorProc->fetch_one('profiles_service','name',$service_profile);
			if ($h{'name'}) {
				push @errors, "Duplicate: Host profile name $host_profile already in use.";
			}
			if ($s{'name'}) {
				push @errors, "Duplicate: Service profile name $service_profile already in use.";
			}
			unless (@errors) {
				my %host = StorProc->fetch_one('hosts','name',$name);
				my %f = StorProc->fetch_one('file_host','host_id',$host{'host_id'});
				my %w = ('host_id' => $host{'host_id'});
				my @hostgroups = StorProc->fetch_list_where('hostgroup_host','hostgroup_id',\%w);
				my @parents = StorProc->fetch_list_where('host_parent','parent_id',\%w);
				my @services = StorProc->fetch_list_where('services','servicename_id',\%w);
				my @sids = StorProc->fetch_list_where('services','service_id',\%w);
				my %s = StorProc->fetch_one('file_service','service_id',$sids[0]);
				my @values = ('',$service_profile,"saved from host wizard by $user_acct",$s{'file_id'});
				my $spid = StorProc->insert_obj_id('profiles_service',\@values,'serviceprofile_id');
				if ($spid =~ /^Error/) { push @errors, $spid }
				unless (@errors) {
					foreach my $snid (@services) {
						@values = ($snid,$spid);
						my $result = StorProc->insert_obj('serviceprofile',\@values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				}
				unless (@errors) {
					@values = ('',$host_profile,"saved from host wizard by $user_acct",$host{'hosttemplate_id'},$host{'hostextinfo_id'},
						$host{'host_escalation_id'},$host{'service_escalation_id'},$spid,$f{'file_id'});
					my $id = StorProc->insert_obj_id('profiles_host',\@values,'hostprofile_id');
					foreach my $hgid (@hostgroups) {
						@values = ($id,$hgid);
						my $result = StorProc->insert_obj('profile_hostgroup',\@values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
					foreach my $hid (@parents) {
						@values = ($id,$hid);
						my $result = StorProc->insert_obj('profile_parent',\@values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
					my %w = ('host_id' => $host_id);
					my %u = ('hostprofile_id' => $id,'serviceprofile_id' => $spid);
					my $result = StorProc->update_obj_where('hosts',\%u,\%w);
					if ($result =~ /^Error/) { push @errors, $result }
				}
			}
		} else {
			push @errors, "Required Host profile name, service profile name";
		}
		if (@errors) {
			my $result = StorProc->delete_all('profiles_host','name',$host_profile);
			my $result = StorProc->delete_all('profiles_service','name',$service_profile);
			if ($result =~ /^Error/) { push @errors, $result }
			$step = 'save_to_profile';
		} else {
			$step = 'saved';
		}
	} elsif ($query->param('bail')) {
		$step = 'host_vitals';
		$name = undef;
#############################################################################
# Back
#
	} elsif ($submit eq 'back') {
		if ($last_step eq 'host_attribs') {
			$step = 'host_vitals';
			%properties = StorProc->fetch_one('stage_hosts','name',$name);
			my $result = StorProc->delete_all('stage_hosts','name',$name);
			if ($result =~ /^Error/) { push @errors, $result }
			$result = StorProc->delete_all('hosts','name',$name);
			if ($result =~ /^Error/) { push @errors, $result }
		} elsif ($last_step eq 'host_attribs2') {
			$step = 'host_attribs';
			%properties = StorProc->fetch_one('stage_hosts','name',$name);
			my $result = StorProc->delete_all('host_parent','host_id',$host_id);
			if ($result =~ /^Error/) { push @errors, $result }
			$result = StorProc->delete_all('file_host','host_id',$host_id);
			if ($result =~ /^Error/) { push @errors, $result }
		} elsif ($last_step eq 'service_list') {
			$step = 'host_attribs2';
			my $result = StorProc->delete_all('hostgroup_host','host_id',$host_id);
			if ($result =~ /^Error/) { push @errors, $result }
			$result = StorProc->delete_all('extended_info_coords','host_id',$host_id);
			if ($result =~ /^Error/) { push @errors, $result }
			$result = StorProc->delete_all('stage_host_services','host',$name);
			if ($result =~ /^Error/) { push @errors, $result }

		} elsif ($last_step eq 'service_detail') {
			my %values = ('user_acct' => $user_acct,'status' => '3','type' => $view,'host' => $name);
			my %service_list = StorProc->fetch_list_hash_array('stage_host_services',\%values);
			my @services;
			foreach my $svc (keys %service_list) { unless ($svc =~ /HASH/) { push @services, $svc } }
			@services = sort @services;
			$service_next = pop @services; 
			if ($service_next) {
				$step = 'service_detail';
				my %where = ('host' => $name,'user_acct' => $user_acct,'name' => $service_next);
				my %service_stage = StorProc->fetch_one_where('stage_host_services',\%where);
				my $sid = $service_stage{'service_id'};
				my $result = StorProc->delete_all('services','service_id',$service_stage{'service_id'});
				if ($result =~ /^Error/) { push @errors, $result }
				my %values = ('service_id' => '','status' => 'edit');
				my $result = StorProc->update_obj('stage_host_services','service_id',$service_stage{'service_id'},\%values);
				if ($result =~ /^Error/) { push @errors, $result }
			} else {
				$step = 'service_list';
				my @sids = StorProc->fetch_unique('stage_host_services','service_id','host',$name);
				foreach my $sid (@sids) {
					my $result = StorProc->delete_all('services','service_id',$sid);
					if ($result =~ /^Error/) { push @errors, $result }
				}
				my $result = StorProc->delete_all('stage_host_services','host',$name);
				if ($result =~ /^Error/) { push @errors, $result }
			}
		}
#############################################################################
# Continue
#
	} elsif ($submit eq 'Continue') {
		$step = 'host_vitals';

#############################################################################
# Cancel
#

	} elsif ($submit eq 'cancel' && $step ne 'host_vitals') {
		if ($query->param('confirm_delete')) {
			$step = 'host_vitals';
			%properties = StorProc->fetch_one('stage_hosts','name',$name);
			my $result = StorProc->delete_all('hosts','name',$name);
			if ($result =~ /^Error/) { push @errors, $result }
			if ($view eq 'wizard_design') {
				my %where = ('name' => $properties{'name'}, 'user_acct' => $user_acct);
				$result = StorProc->delete_one_where('stage_hosts',\%where);
				if ($result =~ /^Error/) { push @errors, $result }
				%where = ('host' => $properties{'name'}, 'user_acct' => $user_acct);
				$result = StorProc->delete_one_where('stage_host_services',\%where);
				if ($result =~ /^Error/) { push @errors, $result }
			} elsif ($view eq 'wizard_discover') {
# update status of import stage
			}
		} elsif ($task eq 'No') {
			$step = $last_step;
			$submit = undef;
			$task = undef;
		} else {
			foreach my $name ($query->param) {
				unless ($name eq 'task' || $name eq 'nocache') { $hidden{$name} = $query->param($name) }
			}
			$form .= Forms->main_page();
			my $message = qq(Are you sure you want to remove host $name?<br><br>);
			$form .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden);
			$step = 'cancel';
			$submit = undef;
		}

#############################################################################
# Next
#
	} elsif ($submit eq 'next') {
		if ($last_step eq 'host_vitals') {
			$submit = 'Add';
			my %data = parse_query('hosts','hosts');
			my $field_ck = check_fields();
			if ($field_ck == 0) {
				$hidden{'host_profile'} = $query->param('host_profile');
				my @values;
				$data{'name'} =~ s/ /_/g;
				$data{'status'} = 1;
				my @data_cols = split(/,/, $db_values{$obj});
				my $primary_key = '';
				push @values, $primary_key; 
				foreach my $val (@data_cols) {
					push @values, $data{$val};
				}
				my $id = StorProc->insert_obj_id('hosts',\@values,'host_id');
				if ($id =~ /^Error/) { push @errors, $id }
				$hidden{'host_id'} = $id;

				@values = ($name,$user_acct,'wizard_design','incomplete',$data{'alias'},$data{'address'},$data{'os'},$hidden{'host_profile'},'','');
				my $result = StorProc->insert_obj('stage_hosts',\@values);
				if ($result =~ /^Error/) { push @errors, $result }
				if ($hidden{'host_profile'}) {
					my %hp = StorProc->fetch_one('profiles_host','name',$hidden{'host_profile'});
					my %w = ('hostprofile_id' => $hp{'hostprofile_id'});
					my @externals = StorProc->fetch_list_where('external_host_profile','external_id',\%w);
					if ($result =~ /^Error/) { push @errors, $result }
					foreach my $ext (@externals) {
						my %e = StorProc->fetch_one('externals','external_id',$ext);
						my @vals = ($ext,$id,$e{'display'});
						$result = StorProc->insert_obj('external_host',\@vals);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				}
			}
			if (@errors || $field_ck == 1) {
				$step = 'host_vitals';
			}
		} elsif ($last_step eq 'host_attribs') {
			$step = 'host_attribs2';
			my %values;
			my $name = $query->param('name');
			my $task = $query->param('submit');
			my $template = $query->param('host_template');
			my %w = ('name' => $template);
			my %t = StorProc->fetch_one_where('host_templates',\%w);
			$values{'hosttemplate_id'} = $t{'hosttemplate_id'};
			my $file = $query->param('file');
			my %f = StorProc->fetch_one('files','name',$file);
			my $file_id = $f{'file_id'};
			my @parents = $query->param('parents');
			if (!$values{'hosttemplate_id'}) { 
				$required{'host_template'} = 1;
				push @errors, "Required: host template.";
			}
			if (!$file_id) { 
				$required{'file'} = 1;
				push @errors, "Required: Assign host to a file.";
			}
			unless (@errors) {
				my $result = StorProc->update_obj('hosts','host_id',$host_id,\%values);
				if ($result =~ /^Error/) { push @errors, $result }
				%values = ('serviceprofile' => $hidden{'service_profile'});
				$result = StorProc->update_obj('stage_hosts','name',$name,\%values);
				if ($result =~ /^Error/) { push @errors, $result }
				$result = StorProc->delete_all('host_parent','host_id',$host_id);
				if ($result =~ /^Error/) { push @errors, $result }
				foreach my $parent (@parents) { 
					if (!$parent) { next }
					my %p = StorProc->fetch_one('hosts','name',$parent);
					my @values = ($host_id,$p{'host_id'});
					my $result = StorProc->insert_obj('host_parent',\@values);
					if ($result =~ /^Error/) { push @errors, $result }	
				}
				$result = StorProc->delete_all('file_host','host_id',$host_id);
				if ($result =~ /^Error/) { push @errors, $result }
				my @values = ($file_id,$host_id);
				$result = StorProc->insert_obj('file_host',\@values);
				if ($result =~ /^Error/) { push @errors, $result }	
			}
			if (@errors) {
				$step = 'host_attribs';
			}
		} elsif ($last_step eq 'host_attribs2') {
			$step = 'service_list';
			my %values;
			my $name = $query->param('name');
			my $task = $query->param('submit');
			my @hostgroups = $query->param('hostgroups');
			my $coords2d = $query->param('coords2d');
			my $coords3d = $query->param('coords3d');
			my $extended_info = $query->param('extended_info');
			my %w = ('name' => $extended_info);
			my %t = StorProc->fetch_one_where('extended_host_info_templates',\%w);
			$values{'hostextinfo_id'} = $t{'hostextinfo_id'};
			my $service_profile = $query->param('service_profile');
			%w = ('name' => $service_profile);
			%t = StorProc->fetch_one_where('profiles_service',\%w);
			$values{'serviceprofile_id'} = $t{'serviceprofile_id'};
			my $host_escalation = $query->param('host_escalation');
			%w = ('name' => $host_escalation,'type' => 'host');
			%t = StorProc->fetch_one_where('escalation_trees',\%w);
			$values{'host_escalation_id'} = $t{'tree_id'};
			my $service_escalation = $query->param('service_escalation');
			%w = ('name' => $service_escalation,'type' => 'service');
			%t = StorProc->fetch_one_where('escalation_trees',\%w);
			$values{'service_escalation_id'} = $t{'tree_id'};
			$hidden{'service_profile'} = $query->param('service_profile');
			unless (@errors) {
				my $result = StorProc->update_obj('hosts','host_id',$host_id,\%values);
				if ($result =~ /^Error/) { push @errors, $result }
				%values = ('serviceprofile' => $hidden{'service_profile'});
				$result = StorProc->update_obj('stage_hosts','name',$name,\%values);
				if ($result =~ /^Error/) { push @errors, $result }
				$result = StorProc->delete_all('hostgroup_host','host_id',$host_id);
				if ($result =~ /^Error/) { push @errors, $result }
				foreach my $hg (@hostgroups) { 
					if (!$hg) { next }
					my %h = StorProc->fetch_one('hostgroups','name',$hg);
					my @values = ($h{'hostgroup_id'},$host_id);
					my $result = StorProc->insert_obj('hostgroup_host',\@values);
					if ($result =~ /^Error/) { push @errors, $result }	
				}
				if ($coords2d || $coords3d) { 
					$result = StorProc->delete_all('extended_info_coords','host_id',$host_id);
					if ($result =~ /^Error/) { push @errors, $result }
					my $data = "<?xml version=\"1.0\" ?>\n<data>";
					if ($coords2d) { $data .= "\n  <prop name=\"2d_coords\"><![CDATA[$coords2d]]>\n  </prop>" }
					if ($coords3d) { $data .= "\n  <prop name=\"3d_coords\"><![CDATA[$coords3d]]>\n  </prop>" }
					$data .= "\n</data>";
					my @vals = ($host_id,$data);
					$result = StorProc->insert_obj('extended_info_coords',\@vals);
					if ($result =~ /^Error/) { push @errors, $result }	
				}
			}
			if (@errors) {
				$step = 'host_attribs2';
			}
		} elsif ($last_step eq 'service_list') {
			my $file = $query->param('file');
			if ($file) {
				my $result = StorProc->delete_all('services','host_id',$host_id);
				if ($result =~ /^Error/) { push @errors, $result }
				$result = StorProc->delete_all('stage_host_services','host',$name);
				if ($result =~ /^Error/) { push @errors, $result }
				foreach my $service ($query->param) {
					if ($query->param($service) eq 'add') {
						my %s = StorProc->fetch_one('service_names','name',$service);
						my @values = ('',$host_id,$s{'servicename_id'},$s{'template'},$s{'extinfo'},$s{'escalation'},'1',$s{'check_command'},$s{'command_line'},'');
						my $id = StorProc->insert_obj_id('services',\@values,'service_id');
						if ($id =~ /^Error/) { push @errors, $id }	
						my %f = StorProc->fetch_one('files','name',$file);
						@values = ($f{'file_id'},$id);
						my $result = StorProc->insert_obj('file_service',\@values);
						if ($result =~ /^Error/) { push @errors, $result }	
						@values = ($service,$user_acct,$name,$view,'1',$id);
						$result = StorProc->insert_obj('stage_host_services',\@values);
						if ($result =~ /^Error/) { push @errors, $result }	
						if ($s{'dependency'}) {
							my %t =  StorProc->fetch_one('service_dependency_templates','name',$s{'dependency'});
							@values = ('',$id,$host_id,$host_id,$s{'dependency'},'');
							$result = StorProc->insert_obj('service_dependency',\@values);
							if ($result =~ /^Error/) { push @errors, $result }	
						}
						my %w = ('servicename_id' => $s{'servicename_id'});
						my @externals = StorProc->fetch_list_where('external_service_names','external_id',\%w);
						foreach my $ext (@externals) {
							my %e = StorProc->fetch_one('externals','external_id',$ext);
							my @vals = ($ext,$host_id,$id,$e{'display'});
							$result = StorProc->insert_obj('external_service',\@vals);
							if ($result =~ /^Error/) { push @errors, $result }
						}
					} elsif ($query->param($service) eq 'edit') {
						my @values = ($service,$user_acct,$name,$view,'2','');
						my $result = StorProc->insert_obj('stage_host_services',\@values);
						if ($result =~ /^Error/) { push @errors, $result }	
					}
				}
				my %values = ('user_acct' => $user_acct,'status' => '2','type' => $view,'host' => $name);
				my %service_list = StorProc->fetch_list_hash_array('stage_host_services',\%values);
				my @services;
				foreach my $svc (keys %service_list) { unless ($svc =~ /HASH/) { push @services, $svc } }
				@services = sort { $b cmp $a } @services;
				$service_next = pop @services;
				if ($service_next) {
					$step = 'service_detail';
				} else {
					$step = 'completed';
					if ($view eq 'wizard_design') {
						my $result = StorProc->delete_all('stage_hosts','name',$name);
						if ($result =~ /^Error/) { push @errors, $result }
					} else {
						my %values = ('status' => 'completed');
						my $result = StorProc->update_obj('stage_hosts','name',$name,\%values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
					my $result = StorProc->delete_all('stage_host_services','host',$name);
					if ($result =~ /^Error/) { push @errors, $result }
				}
				if (@errors) {
					$step = 'service_list';
				}
			} else {
				push @errors, "Required: File name";
				$required{'file'} = 1;	
				$step = 'service_list';
			}
		} elsif ($last_step eq 'service_detail') {
			my $service = $query->param('service_name');
			my %s = StorProc->fetch_one('service_names','name',$service);
			my $template = $query->param('template');
			my %t = StorProc->fetch_one('service_templates','name',$template);
			my $command = $query->param('check_command');
			my %c = StorProc->fetch_one('commands','name',$command);
			my $command_line = $query->param('command_line');
			if ($query->param('use_template_command')) {
				delete $c{'command_id'};
				$command_line = undef;
			}
			my $ext_info = $query->param('ext_info');
			my %x = StorProc->fetch_one('extended_service_info_templates','name',$ext_info);
			my $escalation = $query->param('esclation');
			my %e = StorProc->fetch_one('escalation_trees','name',$escalation);
			my @values = ('',$host_id,$s{'servicename_id'},$t{'servicetemplate_id'},$x{'serviceextinfo_id'},$e{'tree_id'},'1',$c{'command_id'},$command_line,'');
			my $id = StorProc->insert_obj_id('services',\@values,'service_id');
			if ($id =~ /^Error/) { push @errors, $id }	
			my $file = $query->param('file');
			my %f = StorProc->fetch_one('files','name',$file);
			@values = ($f{'file_id'},$id);
			my $result = StorProc->insert_obj('file_service',\@values);
			if ($result =~ /^Error/) { push @errors, $result }	
			my %where = ('name' => $service,'user_acct' => $user_acct,'host' => $name);
			my %values = ('status' => '3','service_id' => $id);
			$result = StorProc->update_obj_where('stage_host_services',\%values,\%where);
			if ($result =~ /^Error/) { push @errors, $result }	
			my %w = ('servicename_id' => $s{'servicename_id'});
			my @externals = StorProc->fetch_list_where('external_service_names','external_id',\%w);
			foreach my $ext (@externals) {
				my %e = StorProc->fetch_one('externals','external_id',$ext);
				my @vals = ($ext,$host_id,$id,$e{'display'});
				$result = StorProc->insert_obj('external_service',\@vals);
				if ($result =~ /^Error/) { push @errors, $result }
			}
			# insert dependency
			my $dependency = $query->param('dependency');
			if ($dependency) {
				my %d =StorProc->fetch_one('service_dependency_templates','name',$dependency);
				@values = ('',$id,$host_id,$host_id,$d{'id'},'');
				$result = StorProc->insert_obj('service_dependency',\@values);
				if ($result =~ /^Error/) { push @errors, $result }	
			}
			if (@errors) {
				$step = 'service_detail';
			} else {
				my %values = ('user_acct' => $user_acct,'status' => '2','type' => $view,'host' => $name);
				my %service_list = StorProc->fetch_list_hash_array('stage_host_services',\%values);
				my @services;
				foreach my $svc (keys %service_list) { unless ($svc =~ /HASH/) { push @services, $svc } }
				@services = sort { $b cmp $a } @services;
				$service_next = pop @services;
				if ($service_next) {
					$step = 'service_detail';
				} else {
					$step = 'completed';
					if ($view eq 'wizard_design') {
						my $result = StorProc->delete_all('stage_hosts','name',$name);
						if ($result =~ /^Error/) { push @errors, $result }
					} else {
						my %values = ('status' => 'completed');
						my $result = StorProc->update_obj('stage_hosts','name',$name,\%values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
					my $result = StorProc->delete_all('stage_host_services','host',$name);
					if ($result =~ /^Error/) { push @errors, $result }
				}
			}
		}
	} elsif ($submit eq 'Add to list') {
		$last_step = 'host_attribs';
		$step = 'service_list';
	} else {
		if (!$step) { $step = 'host_vitals'}
		$hidden{'step'} = $step;
	}

#############################################################################
# Pages
#
	if ($step eq 'host_vitals') {
		$form .= Forms->main_page();
		my %docs = Doc->host_wizard_vitals();
		delete $hidden{'name'};
		delete $hidden{'host'};
		$form .= Forms->form_top('New Host Wizard');
		if (!$properties{'host_profile'}) { $properties{'host_profile'} = $query->param('host_profile') }
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->form_doc('Host Vitals');
		$form .= Forms->text_box('Name:','name',$properties{'name'},$textsize{'name'},$required{'name'});
		$form .= Forms->text_box('Alias:','alias',$properties{'alias'},$textsize{'alias'},$required{'alias'},$docs{'alias'});
		$form .= Forms->text_box('Address:','address',$properties{'address'},$textsize{'address'},$required{'address'},$docs{'address'});
		my @profiles =  StorProc->fetch_list('profiles_host','name'); 
		$form .= Forms->list_box('Host profile:','host_profile',\@profiles,$properties{'host_profile'},$required{'host_profile'},$docs{'host_profile'});
		$hidden{'last_step'} = 'host_vitals';
		$hidden{'step'} = 'host_attribs'; 
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_one_button(\%next);
	} elsif ($step eq 'host_attribs') {	
		$form .= Forms->main_page();
		my %docs = Doc->host_wizard_attribs_1();
		if (!$hidden{'host_profile'}) { $hidden{'host_profile'} = $query->param('host_profile') }
		$form .= Forms->form_top('New Host Wizard',$cgi_bin.'/monarch.cgi onsubmit="selIt();"');
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->form_doc('Host Properties 1');
		my %p = StorProc->fetch_one('profiles_host','name',$hidden{'host_profile'});
		$hidden{'hostprofile_id'} = $p{'hostprofile_id'};
		my %w = ('hosttemplate_id' => $p{'host_template_id'});
		my %t = StorProc->fetch_one_where('host_templates',\%w);
		my $template = $t{'name'};
		my %f = StorProc->fetch_one('files','file_id',$p{'file_id'});
		my $file = $f{'name'};
		my @parents = StorProc->get_profile_parent($p{'hostprofile_id'});
		$form .= Forms->display_hidden('Name:','name',$name);
		my @members = StorProc->fetch_list('host_templates','name'); 
		$form .= Forms->list_box('Host template:','host_template',\@members,$template,$required{'host_template'},$docs{'host_template'});
		my @nonmembers = StorProc->fetch_list('hosts','name');
		$form .= Forms->members('Parents:','parents',\@parents,\@nonmembers,'','',$docs{'parents'});
		my %where = ('type' => 'hosts');
		my @files = StorProc->fetch_list_where('files','name',\%where); 
		$form .= Forms->list_box('File:','file',\@files,$file,$required{'file'},$docs{'file'});
		$hidden{'last_step'} = 'host_attribs';
		$hidden{'step'} = 'host_attribs2'; 
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_three_button(\%back,\%cancel,\%next);
	} elsif ($step eq 'host_attribs2') {	
		$form .= Forms->main_page();
		my %docs = Doc->host_wizard_attribs_2();
		if (!$hidden{'host_profile'}) { $hidden{'host_profile'} = $query->param('host_profile') }
		$form .= Forms->form_top('New Host Wizard',$cgi_bin.'/monarch.cgi onsubmit="selIt();"');
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		my %p = StorProc->fetch_one('profiles_host','name',$hidden{'host_profile'});
		$hidden{'hostprofile_id'} = $p{'hostprofile_id'};
		my %w = ('hostextinfo_id' => $p{'host_extinfo_id'});
		my %t = StorProc->fetch_one_where('extended_host_info_templates',\%w);
		my $extended_info = $t{'name'};
		%w = ('serviceprofile_id' => $p{'serviceprofile_id'});
		%t = StorProc->fetch_one_where('profiles_service',\%w);
		my $service_profile = $t{'name'};
		%w = ('tree_id' => $p{'host_escalation_id'},'type' => 'host');
		%t = StorProc->fetch_one_where('escalation_trees',\%w);
		my $host_escalation = $t{'name'};
		%w = ('tree_id' => $p{'service_escalation_id'},'type' => 'service');
		%t = StorProc->fetch_one_where('escalation_trees',\%w);
		my $service_escalation = $t{'name'};
		my @hostgroups = StorProc->get_profile_hostgroup($p{'hostprofile_id'});
		my $coords2d = $query->param('coords2d');
		my $coords3d = $query->param('coords3d');
		$form .= Forms->form_doc('Host Properties 2');
		$form .= Forms->display_hidden('Name:','name',$name);
		my @nonmembers = StorProc->fetch_list('hostgroups','name'); 
		$form .= Forms->members('Hostgroups:','hostgroups',\@hostgroups,\@nonmembers,'','',$docs{'hostgroups'});
		my @members = StorProc->fetch_list('extended_host_info_templates','name'); 
		$form .= Forms->list_box('Extended host info template:','extended_info',\@members,$extended_info,'',$docs{'extinfo'});
		$form .= Forms->text_box('2d status map coords:','coords2d',$coords2d,'10','',$docs{'coords2d'});
		$form .= Forms->text_box('3d status map coords:','coords3d',$coords3d,'10','',$docs{'coords3d'});
		my %where = ('type' => 'host');
		@members = StorProc->fetch_list_where('escalation_trees','name',\%where); 
		$form .= Forms->list_box('Host escalation tree:','host_escalation',\@members,$host_escalation,'',$docs{'host_escalation_tree'});
		%where = ('type' => 'service');
		@members = StorProc->fetch_list_where('escalation_trees','name',\%where); 
		$form .= Forms->list_box('Service escalation tree:','service_escalation',\@members,$service_escalation,'',$docs{'service_escalation_tree'});
		@members = StorProc->fetch_list('profiles_service','name'); 
		$form .= Forms->list_box('Service profile:','service_profile',\@members,$service_profile,$required{'service_profile'},$docs{'service_profile'});	
		%where = ('type' => 'host');
		$hidden{'last_step'} = 'host_attribs2';
		$hidden{'step'} = 'service_list'; 
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_three_button(\%back,\%cancel,\%next);
	} elsif ($step eq 'service_list') {
		$form .= Forms->main_page();
		my %docs = Doc->host_wizard_select_services();
		$hidden{'host_profile'} = $query->param('host_profile');
		$hidden{'service_profile'} = $query->param('service_profile');
		my %p = StorProc->fetch_one('profiles_service','name',$hidden{'service_profile'});
		my %selected = ();
		my @service_list = ();
		my %services = ();
		foreach my $service ($query->param) {
			if ($query->param($service) eq 'add') { 
				$selected{$service} = 'add'; push @service_list, $service;
			} elsif ($query->param($service) eq 'edit') { 
				$selected{$service} = 'edit'; push @service_list, $service;
			} elsif ($query->param($service) eq 'discard') { 
				$selected{$service} = 'discard'; push @service_list, $service;
			} elsif ($query->param('add_service')) { 
				$selected{$service} = 'add'; push @service_list, $query->param('add_service');
			}
		}	
		if (!$service_list[0]) { 
			my %w = ('serviceprofile_id' => $p{'serviceprofile_id'});
			my @list = StorProc->fetch_list_where('serviceprofile','servicename_id',\%w);
			foreach (@list) {
				my %sn = StorProc->fetch_one('service_names','servicename_id',$_);
				push @service_list, $sn{'name'};
			}
		}
		foreach my $s (@service_list) {
			my %p = StorProc->fetch_one('service_names','name',$s);
			my %w = ('command_id' => $p{'check_command'});
			my %c = StorProc->fetch_one_where('commands',\%w);
			my $check_command = $c{'name'};
			if ($p{'command_line'}) { $check_command = $p{'command_line'} }
			if (!$check_command) {
				my %service_props = StorProc->fetch_one('service_templates','servicetemplate_id',$p{'template'});
				if ($service_props{'command_line'}) {
					$check_command = $service_props{'command_line'}
				} else {
					$p{'check_command'} = $service_props{'check_command'};
					%w = ('command_id' => $service_props{'check_command'});
					my %c = StorProc->fetch_one_where('commands',\%w);
					$check_command = $c{'name'};
				}
			}
			my %w = ('servicetemplate_id' => $p{'template'});
			my %s = StorProc->fetch_one_where('service_templates',\%w);
			my $template = $s{'name'};
			%w = ('id' => $p{'dependency'});
			my %d = StorProc->fetch_one_where('service_dependency_templates',\%w);
			my $dependency = $d{'name'};
			%w = ('serviceextinfo_id' => $p{'extinfo'});
			my %e = StorProc->fetch_one_where('extended_service_info_templates',\%w);
			my $ext_info = $e{'name'};
			my @vals = ($p{'description'},$template,$check_command,$dependency,$ext_info);
			$services{$p{'name'}} = [ @vals ];
			unless ($selected{$p{'name'}}) { $selected{$p{'name'}} = 'add' }
		}

		my $file = $query->param('file');
		unless ($file) {
			my %f = StorProc->fetch_one('files','file_id',$p{'file_id'});
			$file = $f{'name'};
		}
		$form .= Forms->form_top('New Host Wizard','','100%');
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$hidden{'last_step'} = 'service_list';
		$hidden{'step'} = 'service_detail';
		$form .= Forms->form_doc('Select Servcies');
		$form .= Forms->display_hidden('Host name:','name',$name);
		$form .= Forms->display_hidden('Service profile:','service_profile',$hidden{'service_profile'});
		my %where = ('type' => 'services');
		my @files = StorProc->fetch_list_where('files','name',\%where); 
		$form .= Forms->list_box('File:','file',\@files,$file,$required{'file'},$docs{'file'});
		$form .= Forms->form_doc($docs{'services'});
		my @service_names = StorProc->fetch_list('service_names','name');
		@service_list = ();
		foreach my $s (@service_names) { unless ($services{$s}) { push @service_list, $s } }
		@service_list = sort { $a <=> $b } @service_list;
		$form .= Forms->service_select(\%services,\%selected,\@service_list);
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_three_button(\%back,\%cancel,\%next);
	} elsif ($step eq 'service_detail') {
		$form .= Forms->main_page();
		my %docs = Doc->host_wizard_service_detail();
		my $template = $query->param('template');
		my $check_command = $query->param('check_command');
		my $command_line = $query->param('command_line');
		my $dependency = $query->param('dependency');
		my $ext_info = $query->param('ext_info');
		my $escalation = $query->param('escalation');
		if (!$hidden{'host_profile'}) { $hidden{'host_profile'} = $query->param('host_profile') }
		if (!$hidden{'service_profile'}) { $hidden{'service_profile'} = $query->param('service_profile') }
		if (!$hidden{'file'}) { $hidden{'file'} = $query->param('file') }
		if ($service_next) {
			$template = undef;
			$hidden{'service_name'} = $service_next;
		}
		if (!$hidden{'service_name'}) { $hidden{'service_name'} = $query->param('service_name') }
		$hidden{'last_step'}  = 'service_detail';
		$hidden{'step'} = 'service_detail';
		my %p = StorProc->fetch_one('service_names','name',$hidden{'service_name'});
		my %s = ();
		my $use_template = 0;
		if ($template) {
			my %w = ('name' => $template);
			%s = StorProc->fetch_one_where('service_templates',\%w);
			if ($s{'check_command'}) {			
				%w = ('command_id' => $s{'check_command'});
				my %c = StorProc->fetch_one_where('commands',\%w);
				$check_command = $c{'name'};
				$command_line = $s{'command_line'};
				$use_template = 1;
			}
		} else {
			my %w = ('servicetemplate_id' => $p{'template'});
			%s = StorProc->fetch_one_where('service_templates',\%w);
			$template = $s{'name'};
			%w = ('id' => $p{'dependency'});
			my %d = StorProc->fetch_one_where('service_dependency_templates',\%w);
			$dependency = $d{'name'};
			%w = ('serviceextinfo_id' => $p{'extinfo'});
			my %e = StorProc->fetch_one_where('extended_service_info_templates',\%w);
			$ext_info = $e{'name'};
			if ($p{'check_command'}) {
				%w = ('command_id' => $p{'check_command'});
				my %c = StorProc->fetch_one_where('commands',\%w);
				$check_command = $c{'name'};
				$command_line = $p{'command_line'};
			} elsif ($s{'check_command'}) {			
				%w = ('command_id' => $s{'check_command'});
				my %c = StorProc->fetch_one_where('commands',\%w);
				$check_command = $c{'name'};
				$command_line = $s{'command_line'};
				$use_template = 1;
			}
		}
		$form .= Forms->form_top('New Host Wizard');
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->form_doc('Service Detail');
		$form .= Forms->display_hidden('Service name:','service_name',$p{'name'});
		my @members = StorProc->fetch_list('service_templates','name'); 
		$form .= Forms->list_box_submit('Service template:','template',\@members,$template,'',$docs{'template'});
		@members = StorProc->fetch_list('commands','name'); 
		$form .= Forms->checkbox('Use template command:','use_template_command',$use_template,$docs{'use_template_command'});
		$form .= Forms->list_box('Check command:','check_command',\@members,$check_command,'',$docs{'check_command'});
		$form .= Forms->text_area('Command line:','command_line',$command_line,'',$textsize{'command_line'},'',$docs{'command_line'});
		@members = StorProc->fetch_list('service_dependency_templates','name'); 
		$form .= Forms->list_box('Service dependency template:','dependency',\@members,$dependency,'',$docs{'dependency'});
		@members = StorProc->fetch_list('extended_service_info_templates','name'); 
		$form .= Forms->list_box('Extended info template:','ext_info',\@members,$ext_info,'',$docs{'extinfo'});
		my %where = ('type' => 'service');
		@members = StorProc->fetch_list_where('escalation_trees','name',\%where); 
		$form .= Forms->list_box('Service escalation tree:','escalation',\@members,$escalation,'',$docs{'escalation'});
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_three_button(\%back,\%cancel,\%next);
	} elsif ($step eq 'completed') {
		$form .= Forms->main_page();
		$form .= Forms->form_top('New Host Wizard','');
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->display_hidden('Host name:','name',$name);
		my @services = StorProc->get_host_services($hidden{'host_id'});
		$form .= Forms->form_message('Services:',\@services,'row1');
		my %save = ('name' => 'submit','value' => 'Save As Profile');
		$form .= Forms->hidden(\%hidden);		
		$form .= Forms->form_bottem_two_button(\%save,\%continue);
	} elsif ($step eq 'save_to_profile') {
		$form .= Forms->main_page();
		$form .= Forms->form_top('New Host Wizard','');
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->display_hidden('Host name:','name',$name);
		$form .= Forms->text_box('Host profile name:','host_profile',$name,'50');
		$form .= Forms->text_box('Service profile name:','service_profile',$name,'50');
		my %bail = ('name' => 'bail','value' => 'Cancel');
		$form .= Forms->hidden(\%hidden);		
		$form .= Forms->form_bottem_two_button(\%bail,\%save);
	} elsif ($step eq 'saved') {
		$form .= Forms->main_page();
		$form .= Forms->form_top('New Host Wizard','','50%');
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->display_hidden('Profile name:','name',$name);
		$form .= Forms->hidden(\%hidden);		
		$form .= Forms->form_bottem_one_button(\%continue);
	}
	return $form;
}

#
###########################################################################################################################
# Design
#

sub design() {
	if ($debug) {
		foreach my $name ($query->param) {
			my $value = $query->param($name);
			error_out("$name -$value-");
		}
	}
	my %files = StorProc->fetch_file_hash();
	my $page = undef;
	my $got_form = undef;
	my $title = undef;
	my @t_parse = split(/_/, $obj);
	my %required = ();
	foreach (@t_parse) { $title .= "\u$_ " }
	unless ($query->param('cancel') || $query->param('close')) { 
		if ($obj eq 'servicegroups') {
			$page .= service_group();
			$got_form = 1;
		} elsif ($obj eq 'contacts') {
			if ($query->param('add')) {
				my $name = $query->param('name');
				$hidden{'name'} = $name;
				my %data = parse_query('contacts','contacts');
				$properties{'template'} = $query->param('template');
				my $field_ck = check_fields();
				if ($field_ck == 0) {
					my %t = StorProc->fetch_one('contact_templates','name',$properties{'template'});
					my @vals = ('',$name,$data{'alias'},$data{'email'},$data{'pager'},$t{'contacttemplate_id'},'1','');
					my $id = StorProc->insert_obj_id('contacts',\@vals,'contact_id');
					if ($id =~ /^Error/) { push @errors, $id }
					unless (@errors) {				
						my @mems = $query->param('contactgroup');
						foreach (@mems) {
							my %cg = StorProc->fetch_one('contactgroups','name',$_);
							my @vals = ($cg{'contactgroup_id'},$id);
							my $result = StorProc->insert_obj('contactgroup_contact',\@vals);
							if ($result =~ /^Error/) { push @errors, $result }
						}
						unless (@errors) {
							my %where = ('contact_id' => $id);
							my $result = StorProc->delete_one_where('contact_overrides',\%where);
							if ($result =~ /^Error/) { push @errors, $result }
							my %values = ();
							my $got_override = undef;
							unless ($query->param('host_notification_period_override')) {
								my $np = $query->param('host_notification_period');
								my %np = StorProc->fetch_one('time_periods','name',$np);
								$values{'host_notification_period'} = $np{'timeperiod_id'};
								$got_override = 1;
							}
							unless ($query->param('service_notification_period_override')) {
								my $np = $query->param('service_notification_period');
								my %np = StorProc->fetch_one('time_periods','name',$np);
								my %np = StorProc->fetch_one('time_periods','name',$np);
								$values{'service_notification_period'} = $np{'timeperiod_id'};
								$got_override = 1;
							}
							my $data = undef;
							unless ($query->param('host_notification_options_override')) {
								my @no = $query->param('host_notification_options');
								my $str = undef;
								foreach (@no) { $str .= "$_," }
								chop $str;
								$data .= "\n  <prop name=\"host_notification_options\"><![CDATA[$str]]>\n  </prop>";
								$got_override = 1;
							}
							unless ($query->param('service_notification_options_override')) {
								my @no = $query->param('service_notification_options');
								my $str = undef;
								foreach (@no) { $str .= "$_," }
								chop $str;
								$data .= "\n  <prop name=\"service_notification_options\"><![CDATA[$str]]>\n  </prop>";
								$got_override = 1;
							}
							if ($data) {
								$values{'data'} = "<?xml version=\"1.0\" ?>\n<data>".$data."\n</data>";
							}
							if ($got_override) {
								my @vals = ($id,$values{'host_notification_period'},$values{'service_notification_period'},$values{'data'});
								$result = StorProc->insert_obj('contact_overrides',\@vals);
								if ($result =~ /^Error/) { push @errors, $result }					
							}
							my %where = ('contact_id' => $id);
							my $result = StorProc->delete_one_where('contact_command_overrides',\%where);
							if ($result =~ /^Error/) { push @errors, $result }
							unless ($query->param('host_notification_commands_override')) {
								my @mems = $query->param('host_notification_commands');
								foreach (@mems) {
									my %c = StorProc->fetch_one('commands','name',$_);
									my @vals = ($id,'host',$c{'command_id'});
									$result = StorProc->insert_obj('contact_command_overrides',\@vals);
									if ($result =~ /^Error/) { push @errors, $result }					
								}
							}
							unless ($query->param('service_notification_commands_override')) {
								my @mems = $query->param('service_notification_commands');
								foreach (@mems) {
									my %c = StorProc->fetch_one('commands','name',$_);
									my @vals = ($id,'service',$c{'command_id'});
									$result = StorProc->insert_obj('contact_command_overrides',\@vals);
									if ($result =~ /^Error/) { push @errors, $result }					
								}
							}
							unless (@errors) {
								$page .= Forms->main_page("");
								my $message = "Contact $name added.";
								$page .= Forms->success('Added:',$message,'submit',\%hidden);
								$got_form = 1;
							}
						}
					}
				}
			}
			unless ($got_form) {
				$page .= Forms->main_page();
				$page .= Forms->form_top('Contact Properties',$cgi_bin.'/monarch.cgi onsubmit="selIt();"');
				$page .= build_contact();
				$page .= Forms->hidden(\%hidden);
				%add = ('name' => 'add','value' => 'Add');
				$page .= Forms->form_bottem_two_button(\%cancel,\%add);
				$got_form = 1;
			}
		} elsif ($query->param('profile')) {
			$page .= show_profile();
			$got_form = 1;
		} elsif ($query->param('add_clone_host')) {
			my $host = $query->param('host');
			my $name = $query->param('name');
			my $alias = $query->param('alias');
			my $address = $query->param('address');
			my %exists = StorProc->fetch_one('hosts','name',$name);
			if ($exists{'name'}) {	
				push @errors, "Host $name already exists.";
			} else {
				if ($host && $name && $alias && $address) {
					@errors = StorProc->clone_host($host,$name,$alias,$address);
					unless ($errors[0]) {
						$obj = 'hosts';
						$page .= Forms->main_page('Hosts');
						$page .= manage_host($name,'name');						
						$got_form = 1;
					}
				} else {
					unless ($host) { $required{'host'} = 1 }
					unless ($name) { $required{'name'} = 1 }
					unless ($alias) { $required{'alias'} = 1 }
					unless ($address) { $required{'address'} = 1 }
					push @errors, "Check required fields.";
				}
			}
		} elsif ($obj eq 'externals') {
			$page .= externals();
			$got_form = 1;
		} elsif ($query->param('children')) {
			my $name = $query->param('name');
			my @children = $query->param('children');
			my %p = StorProc->fetch_one('hosts','name',$name);
			my %w = ('host_id' => $p{'host_id'});
			my $result = StorProc->delete_one_where('host_parent',\%w);
			if ($result =~ /^Error/) { push @errors, $result }
			foreach my $child (@children) {
				if (!$child) { next }
				my %h = StorProc->fetch_one('hosts','name',$child);
				my @vals = ($h{'host_id'},$p{'host_id'});
				my $result = StorProc->insert_obj('host_parent',\@vals);
				if ($result =~ /^Error/) { push @errors, $result }
			}
			unless (@errors) { 
				$page .= Forms->main_page('Parent Child');
				$page .= Forms->form_top('Saved','');
				$page .= Forms->display_hidden('Parent:','name',$name);
				$page .= Forms->hidden(\%hidden);		
				$page .= Forms->form_bottem_one_button(\%continue);
				$got_form = 1;
			}
		} elsif ($submit eq 'Add') {
			my $result = undef;
			$table = $obj;
			if ($obj =~ /escalation/) { $table = 'escalation_templates' }
			my %data = parse_query($table,$obj);
			my $field_ck = check_fields();
			if ($field_ck == 0) {
				my @values;
				unless ($obj =~ /host_dependencies/) { push @values, ''}
				$data{'name'} =~ s/ /_/g;
				my @data_cols = split(/,/, $db_values{$table});
				foreach my $val (@data_cols) {
					if ($val eq 'comment') { 
						push @values, "# $obj $properties{'name'}";
					} else {
						push @values, $data{$val};
					}
				}
				my $id = StorProc->insert_obj_id($table,\@values,$obj_id{$table});
				if ($id =~ /^Error/) { 
					if ($id =~ /duplicate/i) {
						$id =~ s/ies/y/;
						my $ltitle = $obj;
						$ltitle =~ s/_/ /g;
						$ltitle =~ s/ies$/y/;
						push @errors, "Error: \u$ltitle already exists";
					} else {
						push @errors, $id; 		
					}
				} else {
					if ($data{'members'}) {
						my @mems = split(/,/, $data{'members'});
						foreach (@mems) {
							my %m = StorProc->fetch_one('hosts','name',$_);
							my @vals = ($id,$m{'host_id'});
							$result = StorProc->insert_obj('hostgroup_host',\@vals);
							if ($result =~ /^Error/) { push @errors, $result }
						}
					}

					if ($data{'contact'}) {
						my @mems = split(/,/, $data{'contact'});
						foreach (@mems) {
							my %c = StorProc->fetch_one('contacts','name',$_);
							my @vals = ($id,$c{'contact_id'});
							$result = StorProc->insert_obj('contactgroup_contact',\@vals);
							if ($result =~ /^Error/) { push @errors, $result }
						}
					}

					if ($data{'contactgroup'}) {
						my %o = StorProc->fetch_one($table,'name',$data{'name'});
						my @mems = split(/,/, $data{'contactgroup'});
						foreach (@mems) {
							my %cg = StorProc->fetch_one('contactgroups','name',$_);
							my @vals = ($cg{'contactgroup_id'},$obj,$id);
							$result = StorProc->insert_obj('contactgroup_assign',\@vals);
							if ($result =~ /^Error/) { push @errors, $result }
						}
					}

					if ($data{'host_notification_commands'}) {
						my %o = StorProc->fetch_one($table,'name',$data{'name'});
						my %w = ('contacttemplate_id' => $o{'contacttemplate_id'},'type' => 'host');
						my $result = StorProc->delete_one_where('contact_command',\%w);
						my @c = split(/,/, $data{'host_notification_commands'});		
						foreach (@c) {
							my @vals = ($o{'contacttemplate_id'},'host',$_);
							my $result = StorProc->insert_obj('contact_command',\@vals);
							if ($result =~ /Error/) { push @errors, $result }
						}	
					}

					if ($data{'service_notification_commands'}) {
						my %o = StorProc->fetch_one($table,'name',$data{'name'});
						my %w = ('contacttemplate_id' => $o{'contacttemplate_id'},'type' => 'service');
						my $result = StorProc->delete_one_where('contact_command',\%w);
						my @c = split(/,/, $data{'service_notification_commands'});		
						foreach (@c) {
							my @vals = ($o{'contacttemplate_id'},'service',$_);
							my $result = StorProc->insert_obj('contact_command',\@vals);
							if ($result =~ /Error/) { push @errors, $result }
						}	
					}
				}
				unless (@errors) {
					my $message = "$data{'name'} has been saved.";
					if ($obj eq 'host_dependencies') { $message = "Host dependency has been saved" }
					#if ($obj =~ /escalation/) { $hidden{'obj'} = 'escalations' }
					$hidden{'name'} = undef;
					$hidden{'task'} = undef;
					$page .= Forms->main_page($title);
					$page .= Forms->success('Added',$message,'submit',\%hidden);
					$got_form = 1;
				} else {
					unless ($obj eq 'host_dependencies') {
						$page .= Forms->main_page($title);
						$page .= build_form();
						$got_form = 1;
					}	
				}
			} elsif ($field_ck == 1) {
				unless ($obj =~ /host_dependencies|escalation_template/) {
					$page .= Forms->main_page($title);
					$page .= build_form();
					$got_form = 1;
				} elsif ($obj =~ /escalation_template/) {
					$page .= Forms->main_page($title);
					$page .= escalations();
					$got_form = 1;
				}
			}
		}
		unless ($got_form) {
			if ($obj) {
				my $title = undef;
				my $l_title = undef;
				my @t_parse = split(/_/, $obj);
				foreach (@t_parse) { 
					$l_title .= "$_ ";
					$title .= "\u$_ ";
				}
				$l_title =~ s/s\s$//;
				$l_title =~ s/ie$/y/;
				my $template = $query->param('source');
				if ($obj eq 'contacts' || $task || $template) {
					if ($obj =~ /escalation/) {
						$page .= Forms->main_page('Escalations');
						if ($submit eq 'Done') {
							my %source = ();
							$source{'escalation_template'} = "Escalation template";
							$source{'escalation_tree'} = "Escalation tree";
							$page .= Forms->table_task_links($user_acct,$view,$obj,\%source);				
						} else {
							$page .= escalations();
						}
					} elsif (!$template && $task =~ /copy|use/) {
						$page .= Forms->main_page($title);
						$page .= Forms->form_top('Select','');
						my @templates = StorProc->fetch_list($table,'name'); 
						$page .= Forms->list_box("\u$l_title:",'source',\@templates);
						$hidden{'task'} = $task;
						$page .= Forms->hidden(\%hidden);
						$page .= Forms->form_bottem_two_button(\%cancel,\%next);
					} else {
						$page .= Forms->main_page($title);
						$page .= build_form();
					}
				} elsif ($obj =~ /service_templates/) {
					$page .= Forms->main_page($title);
					my %source;
					$source{'use'} = "Use an existing $l_title";
					$source{'copy'} = "Copy from an existing $l_title";
					$source{'new'} = "New $l_title";
					$page .= Forms->table_task_links($user_acct,$view,$obj,\%source);
				} elsif ($obj eq 'clone_host') {
					my %docs = Doc->host_wizard_vitals();
					my $host = $query->param('host');
					my $name = $query->param('name');
					my $alias = $query->param('alias');
					my $address = $query->param('address');
					$page .= Forms->main_page($title);
					$page .= Forms->form_top('Clone Host','');
					if (@errors) { $page .= Forms->form_errors(\@errors) }
					my @hosts = StorProc->fetch_list('hosts','name'); 
					$page .= Forms->text_box('Name:','name',$name,'50',$required{'name'});
					$page .= Forms->text_box('Alias:','alias',$alias,'70',$required{'alias'},$docs{'alias'});
					$page .= Forms->text_box('Address:','address',$address,'20',$required{'address'},$docs{'address'});
					$page .= Forms->list_box('Host:','host',\@hosts,$host,$required{'host'});
					$hidden{'view'} = 'design';
					$page .= Forms->hidden(\%hidden);
					my %clone_host = ('name' => 'add_clone_host','value' => 'Clone Host');
					$page .= Forms->form_bottem_two_button(\%cancel,\%clone_host);
				} elsif ($obj eq 'contacts') {
					$page .= Forms->main_page($title);
					$page .= Forms->form_top('Select','');
					my @templates = StorProc->fetch_list('contact_templates','name'); 
					$page .= Forms->list_box('Contact template:','source',\@templates);
					$hidden{'task'} = 'use';
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_two_button(\%cancel,\%next);
				} elsif ($obj eq 'parent_child') {
					$page .= Forms->main_page("Parent Child");
					my @parents = StorProc->fetch_list('hosts','name');
					my @hosts = StorProc->fetch_list('hosts','name');
					my @children = ();
					$page .= Forms->form_top('Design Parent Host',$cgi_bin.'/monarch.cgi onsubmit="selIt();"');
					$page .= Forms->list_box("Parent host:",'name',\@parents);
					$page .= Forms->members('Children:','children',\@children,\@hosts,'','10');
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_two_button(\%cancel,\%save);			
				} elsif ($obj eq 'host_dependencies') {
					my @hosts = StorProc->fetch_list('hosts','name');
					$page .= Forms->main_page('Host Dependencies');
					$page .= Forms->form_top('Host Dependency Properties','');
					if (@errors) { $page .= Forms->form_errors(\@errors) }
					$page .= Forms->list_box("Dependent host:",'dependent_host',\@hosts,$properties{'dependent_host'},$required{'dependent_host'});
					$page .= Forms->list_box("Parent:",'parent_host',\@hosts,$properties{'parent_host'},$required{'parent_host'});
					my @opts = split(/,/, $properties{'notification_failure_criteria'});
					$page .= Forms->failure_criteria('notification_failure_criteria',\@opts,$required{'notification_failure_criteria'},'host_dependencies');
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_two_button(\%cancel,\%add);
				} elsif ($obj =~ /profiles/) { 
					$page .= Forms->main_page($title);
					my %profile;
					$profile{'service'} = "Design/Manage Service Profiles";
					$profile{'host'} = "Design/Manage Host Profiles";
					$profile{'service_name'} = "Design/Manage Service Names";
					$page .= Forms->table_profile_links($user_acct,$view,$obj,\%profile);
				} elsif ($obj =~ /^hosts$/) { 
					$page .= Forms->main_page($title);
					my %source = ();
					$source{'wizard_design'} = "New $l_title wizard";
					$page .= Forms->table_task_links($user_acct,$view,$obj,\%source);
				} elsif ($obj =~ /escalation/) {
					$page .= Forms->main_page('Escalations');
					my %source = ();
					$source{'escalation_template'} = "Escalation template";
					$source{'escalation_tree'} = "Escalation tree";
					$page .= Forms->table_task_links($user_acct,$view,$obj,\%source);				
				} elsif ($is_portal) {
					$page .= Forms->main_page($title);
					my %source = ();
					$source{'copy'} = "Copy from an existing $l_title";
					$source{'new'} = "New $l_title";
					$page .= Forms->table_task_links($user_acct,$view,$obj,\%source);
				}
			} else {
				$page .= Forms->main_page('');
			}
		}
	}
	return $page;
}


###########################################################################################################################
# Externals
#

sub externals() {
	my $form = undef;
	my $type = $query->param('type');
	$hidden{'type'} = $type;
	my $name = $query->param('name');
	my $id = $query->param('id');
	$hidden{'id'} = $id;
	my $display =  $query->param('display');
	$form .= Forms->main_page("Externals");
	my $got_form = 0;
	%continue = ('name' => 'continue','value' => 'Continue');
	if ($query->param('add')) {
		if ($name && $type) {
			my %e = StorProc->fetch_one('externals','name',$name);
			unless ($e{'name'}) {
				my @vals = ('',$name,'',$type,$display,'');
				my $result = StorProc->insert_obj('externals',\@vals);
				if ($result =~ /^Error/) { push @errors, $result }
			} else {
				push @errors, "Record $name already exists.";		
			}
		} else {
			push @errors, "Please fill in the required fields";		
			$required{'name'} = 1;
			$required{'type'} = 1;
		}
		unless (@errors) { 
			$form .= Forms->form_top('Saved','');
			$form .= Forms->display_hidden('External:','name',$name);
			$form .= Forms->hidden(\%hidden);		
			$form .= Forms->form_bottem_one_button(\%continue);
			$got_form = 1;
		}
	} elsif ($query->param('save')) {
		if ($type) {
			my %values = ('type' => $type,'display' => $display);
			my $result = StorProc->update_obj('externals','name',$name,\%values);
			if ($result =~ /^Error/) { push @errors, $result }
		} else {
			push @errors, "Please fill in the required fields";		
			$required{'type'} = 1;
		}
		unless (@errors) { 
			$form .= Forms->form_top('Saved','');
			$form .= Forms->display_hidden('External:','name',$name);
			$form .= Forms->hidden(\%hidden);
			my %apply = ('name' => 'apply','value' => 'Apply to Services');
			if ($type eq 'host') {
				%apply = ('name' => 'apply','value' => 'Apply to Hosts');
			}
			$form .= Forms->form_bottem_two_button(\%apply,\%continue);
			$got_form = 1;
		}
	} elsif ($query->param('apply')) {
		my %w = ('external_id' => $id);
		my %e = StorProc->fetch_one_where('externals',\%w);
		my %values = ('data' => $e{'display'});
		if ($type eq 'service') {
			my $result = StorProc->update_obj_where('external_service',\%values,\%w);			
			if ($result =~ /^Error/) { push @errors, $result }
		} else {
			my $result = StorProc->update_obj_where('external_host',\%values,\%w);			
			if ($result =~ /^Error/) { push @errors, $result }
		}
		unless (@errors) {
			$form .= Forms->form_top('Applied','');
			my @message = ("$name applied to $type\s");
			$form .= Forms->form_message('Saved:',\@message,'row1');			
			$form .= Forms->hidden(\%hidden);
			$form .= Forms->form_bottem_one_button(\%continue);
			$got_form = 1;
		}
	} elsif ($query->param('delete') || $query->param('confirm_delete')) {
		if ($query->param('confirm_delete')) {
			my $result = StorProc->delete_all('externals','external_id',$id);
			if ($result =~ /^Error/) { push @errors, $result }
			unless (@errors) { 
				$form .= Forms->form_top('Deleted','');
				my @message = ("$name");
				$form .= Forms->form_message('Removed:',\@message,'row1');			
				$form .= Forms->form_bottem_one_button(\%continue);
				$name = undef;
				$got_form = 1;	
			}
		} elsif ($query->param('task') eq 'No') {
			$got_form = 0;	
		} else {
			foreach my $name ($query->param) {
				unless ($name eq 'nocache') { $hidden{$name} = $query->param($name) }
			}
			$hidden{'delete'} = 1;
			$form .= Forms->main_page();
			my $message = qq(Are you sure you want to remove $name? (Warning: $name will be removed from all $type\s and profiles).);
			$form .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden);
			$name = undef;
			$got_form = 1;
		}
	} elsif ($query->param('continue')) {
		$name = undef;
	}
	unless ($got_form) {
		if (@errors || $name || $query->param('add_new')) {
			if ($query->param('add_new')) { $name = undef;	}
			my %p =  StorProc->fetch_one('externals','name',$name);
			$type = $p{'type'};
			$hidden{'type'} = $p{'type'};
			$hidden{'id'} = $p{'external_id'};
			$display = $p{'display'};
			$form .= Forms->form_top('Design External','');
			if (@errors) { $form .= Forms->form_errors(\@errors) }
			if ($query->param('add_new')) {
				$form .= Forms->text_box('Name:','name',$name,$textsize{'name'},$required{'name'});
			} else {
				$form .= Forms->display_hidden('Name:','name',$name);
			}
	#		$form .= Forms->text_box('Description:','description','',$textsize{'description'});
			my @list = ('host','service');
			$form .= Forms->list_box("Type:",'type',\@list,$type,$required{'type'});
			$form .= Forms->text_area('Detail:','display',$display,'30','140');
	#		$form .= Forms->text_area('Handler:','handler',$handler,'15','70');
			$hidden{'externals'} = 1;
			$form .= Forms->hidden(\%hidden);
			if ($query->param('add_new')) {
				%add = ('name' => 'add','value' => 'Add');
				$form .= Forms->form_bottem_two_button(\%cancel,\%add);
			} else {
				%delete = ('name' => 'delete','value' => 'Delete');
				%save = ('name' => 'save','value' => 'Save');
				$form .= Forms->form_bottem_three_button(\%delete,\%cancel,\%save);
			}
		} else {
			if (!$type) { $type = 'host' }
			%add = ('name' => 'add_new','value' => 'Add New External');
			$form .= Forms->form_top('Add/Modify/Delete');
			my @types = ('host','service');
			$form .= Forms->list_box_submit('Type:','type',\@types,$type);
			my %where = ('type' => $type);
			my @externals = StorProc->fetch_list_where('externals','name',\%where); 
			@externals = sort @externals;
			$form .= Forms->list_box('External:','name',\@externals);
			$form .= Forms->hidden(\%hidden);
			$form .= Forms->form_bottem_three_button(\%add,\%cancel,\%select);
		}
	}	
	return $form;
}


###########################################################################################################################
# Escalations
#


sub escalations() {
	my $page = undef;
	my $type = $query->param('type');
	my $name = $query->param('name');
	$table = "escalation_templates";
	my $escalation = $query->param('escalation');
	if ($query->param('add_escalation')) {
		my $escalation = $query->param('escalation');
		my %tree = StorProc->fetch_one('escalation_trees','name',$name);
		my %esc = StorProc->fetch_one('escalation_templates','name',$escalation);
		my @values = ($tree{'tree_id'},$esc{'template_id'});
		my $result = StorProc->insert_obj('escalation_tree_template',\@values);
		if ($result =~ /^Error/) { push @errors, $result }
		my $type = "$tree{'type'}_escalation_templates";
		my @cgs = StorProc->get_contactgroups($type,$esc{'template_id'});
		unless ($cgs[0]) {
			$task = 'contact_groups';
			$hidden{'id'} = $esc{'template_id'};
		}
		if ($errors[0]) { 
			@errors = eval_errors(@errors);
		}
	} elsif ($name && $view eq 'design' && $task eq 'escalation_tree' && $submit =~ /Next/) {
		my $description = $query->param('description');
		my %t = StorProc->fetch_one('escalation_trees','name',$name);
		if ($t{'name'}) {
			push @errors,  "Duplicate: Escalation tree $name already exists.";
			$name = undef;
		} else {
			my @values = ('',$name,'',$type);
			my $result = StorProc->insert_obj('escalation_trees',\@values);
			if ($result =~ /^Error/) { push @errors, $result }
		}
	} elsif ($query->param('update')) {
		my @cgs = $query->param('contactgroups');
		my $global_group = $query->param('global_group');
		my $id = $query->param('id');
		my %tree = StorProc->fetch_one('escalation_trees','name',$name);
		if ($cgs[0] || $global_group) {
			my %w = ('template_id' => $id,'tree_id' => $tree{'tree_id'});
			my $result = StorProc->delete_one_where('tree_template_contactgroup',\%w);
			if ($result =~ /^Error/) { push @errors, $result }
			foreach my $cg (@cgs) {
				my %c = StorProc->fetch_one('contactgroups','name',$cg);
				my @values = ($tree{'tree_id'},$id,$c{'contactgroup_id'});
				my $result = StorProc->insert_obj('tree_template_contactgroup',\@values);
				if ($result =~ /^Error/) { push @errors, $result }
			}
		} else {
			$task = 'contact_groups';
			$required{'contactgroup'} = 1;
			push @errors, "Contact group required.";
		}
		unless (@errors) { 
			$task = 'escalation_tree';
		} else {
			@errors = eval_errors(@errors);
			unless ($errors[0]) { $task = 'escalation_tree' }
		}
	} elsif ($task eq 'remove') {
		my $id = $query->param('id');
		my %tree = StorProc->fetch_one('escalation_trees','name',$name);
		my %w = ('template_id' => $id,'tree_id' => $tree{'tree_id'});
		my $result = StorProc->delete_one_where('escalation_tree_template',\%w);
		if ($result =~ /^Error/) { push @errors, $result }
		%w = ('template_id' => $id,'tree_id' => $tree{'tree_id'});
		$result = StorProc->delete_one_where('tree_template_contactgroup',\%w);
		if ($result =~ /^Error/) { push @errors, $result }
		unless (@errors) { $task = 'escalation_tree' }
	}
	if ($task && !$type) {
		my %docs = Doc->escalation_select_type();
		$hidden{'task'} = $task;
		$page .= Forms->form_top('Select','');
		my @list = ('hostgroup','host','service');
		$page .= Forms->list_box('Escalation type:','type',\@list,'','',$docs{'escalation type'});
		$page .= Forms->hidden(\%hidden);
		$page .= Forms->form_bottem_two_button(\%cancel,\%next);
	} elsif ($task eq 'escalation_template') {
		if ($view eq 'design') {
			if ($type) {
				$obj = "$type\_escalation_templates";
				$hidden{'obj'} = $obj;
				$hidden{'type'} = $type;
				$hidden{'task'} = 'escalation_template';
				$task = 'new';
				$page .= build_form();
			}
		} elsif ($view eq 'manage') {
			if ($name) {
				$obj = "$type\_escalation_templates";
				$hidden{'obj'} = $obj;
				$hidden{'type'} = $type;
				$hidden{'task'} = 'escalation_template';
				$task = 'modify';
				$page .= build_form();
			} elsif ($type) {
				$hidden{'type'} = $type;
				my $table = "escalation_templates";
				my %w = ('type' => $type);
				my @list = StorProc->fetch_list_where($table,'name',\%w);
				$page .= Forms->form_top('Select','');
				$page .= Forms->list_box('Escalation template:','name',\@list);
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%cancel,\%next);
			} else {
				$page .= Forms->form_top('Select','');
				my @list = ('hostgroup','host','service');
				$page .= Forms->list_box('Escalation type:','type',\@list);
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%cancel,\%next);
			}
		}
	} elsif ($task eq 'contact_groups') {
		my %docs = Doc->escalation_detail();
		my $escalation = $query->param('escalation');
		my %esc = StorProc->fetch_one('escalation_templates','name',$escalation);
		if (!$hidden{'id'}) { $hidden{'id'} = $query->param('id') }
		$hidden{'type'} = $type;
		my %tree = StorProc->fetch_one('escalation_trees','name',$name);
		my @cgs = StorProc->get_contactgroups($type,$hidden{'id'});
		$page .= Forms->form_top('Contact Group Assignment',$cgi_bin.'/monarch.cgi onsubmit="selIt();"');
		if (@errors) { $page .= Forms->form_errors(\@errors) }
		$page .= Forms->display_hidden('Escalation tree:','name',$name);
		$page .= Forms->display_hidden('Escalation:','escalation',$escalation,$docs{'escalation'});
		my @cgs = StorProc->get_contactgroups("$tree{'type'}_escalation_templates",$hidden{'id'});
		my $cgstr = undef;
		my @xcgs;
		foreach (@cgs) { $cgstr .= "$_,"; push @xcgs, $_ } 
		chop $cgstr;
		$page .= Forms->display_hidden('Global groups:','global_group',$cgstr,$docs{'global_groups'});
		my @contact_groups;
		@cgs = StorProc->fetch_list('contactgroups','name');
		foreach my $y (@cgs) {
			my $got_cg = undef;
			foreach my $x (@xcgs) { if ($x eq $y) { $got_cg = 1 } }
			unless ($got_cg) { push @contact_groups, $y }
		}		
		my @assigned = StorProc->get_tree_template_contactgroup($tree{'tree_id'},$esc{'template_id'});
		$page .= Forms->members('Contact groups:','contactgroups',\@assigned,\@contact_groups,$required{'contactgroup'},'',$docs{'contact_groups'});
		my %update = ('name' => 'update', 'value' => 'Save');
		$page .= Forms->hidden(\%hidden);
		$page .= Forms->form_bottem_one_button(\%update);
	} elsif ($type && $task eq 'escalation_tree') {
		if ($name) {
			my %docs = Doc->escalation_tree();
			my %tree = StorProc->fetch_one('escalation_trees','name',$name);
			my ($order, $first_notify, $members) = StorProc->get_tree_templates($tree{'tree_id'});
			my %members = %{$members};
			my %order = %{$order};
			my %w = ('type' => $tree{'type'});
			my @nonmembers = StorProc->fetch_list_where('escalation_templates','name',\%w);
			my %ids = ();
			my %contact_groups = ();
			my @members = ();
			foreach my $oid ( sort { $a <=> $b } keys %order) {
				my $id = $order{$oid};
				my %cg = ();
				my $type = "$tree{'type'}_escalation_templates";
				my @cgs = StorProc->get_contactgroups($type,$id);
				foreach (@cgs) { 
					$contact_groups{$id} .= "$_, ";
					$cg{$_} = 1;	
				}
				@cgs = StorProc->get_tree_template_contactgroup($tree{'tree_id'},$id);
				foreach (@cgs) { 
					unless ($cg{$_}) { $contact_groups{$id} .= "$_, " }
				}
				$contact_groups{$id} =~ s/,\s$//;
				push @members, $members{$id}[1];
				$ids{$members{$id}[1]} = $id;
			}
			$page .= Forms->form_top('Escalation Tree','');
			if (@errors) { $page .= Forms->form_errors(\@errors) }
			$page .= Forms->display_hidden('Escalation tree:','name',$name);
			$page .= Forms->display_hidden('Type:','type',$type);
			$page .= Forms->form_doc($docs{'escalation_tree'});
			$page .= Forms->manage_escalation_tree($user_acct,$view,$type,$name,$tree{'tree_id'},\%ids,\@members,\@nonmembers,\%contact_groups, $first_notify);
			$page .= Forms->hidden(\%hidden);
			%close = ('name' => 'close','value' => 'Close');
			if ($view eq 'design') {
				$page .= Forms->form_bottem_one_button(\%close);		
			} elsif ($auth_delete{'escalations'}) {
				$page .= Forms->form_bottem_three_button(\%delete,\%rename,\%close);		
			} else {
				$page .= Forms->form_bottem_two_button(\%rename,\%close);		
			}
		} elsif ($view eq 'design') {
			$page .= Forms->form_top('Select','');
			if (@errors) { $page .= Forms->form_errors(\@errors) }
			$page .= Forms->text_box('Name:','name','',$textsize{'name'});
			$hidden{'type'} = $type;
			$page .= Forms->hidden(\%hidden);
			$page .= Forms->form_bottem_two_button(\%cancel,\%next);
		} elsif ($is_portal && $view eq 'manage') {
			my %where = ('type' => $type);
			my @trees = StorProc->fetch_list_where('escalation_trees','name',\%where);
			$page .= Forms->form_top('Select','');
			$page .= Forms->list_box("Escalation tree:",'name',\@trees);
			$hidden{'type'} = $type;
			$page .= Forms->hidden(\%hidden);
			$page .= Forms->form_bottem_two_button(\%cancel,\%select);				
		}
	}
	return $page;
}


###########################################################################################################################
# Profiles
#

sub show_profile() {
	my ($name, $description) = undef;
	my $profile = $query->param('profile');
	my @members;
	my @nonmembers;
	my %rename = ('name' => 'rename','value' => 'Rename');
	my $form = undef;
	my $got_form = 0;
	if ($profile) {
		$hidden{'profile'} = $profile;
###############################################
# Rename profile
#	
		if ($query->param('rename')) {
			my $title = undef;
			my $obj_type = undef;
			my $new_name = $query->param('new_name');
			if ($name eq $new_name) { $new_name = undef }
			my $saved = 0;
			if ($profile eq 'service') {
				$form .= Forms->main_page("Profiles - Service");
				$table = 'profiles_service';
				$name = $query->param('service_profile');
				$obj_type = 'service_profile';
				$title = 'Service Profile';
			} elsif ($profile eq 'host') {
				$form .= Forms->main_page("Profiles - Host");
				$table = 'profiles_host';
				$name = $query->param('name');
				$obj_type = 'name';
				$title = 'Host Profile';
			} elsif ($profile eq 'service_name') {
				$form .= Forms->main_page("Profiles - Service Name");
				$table = 'service_names';
				$name = $query->param('service_name');
				$obj_type = 'service_name';
				$title = 'Service Name';
			}
			if ($new_name) {
				my $ltitle = lc($title);
				my %n = StorProc->fetch_one($table,'name',$new_name);
				if ($name =~ /$new_name/i) { delete $n{'name'} }
				if ($n{'name'}) {
					push @errors, "Cannot rename. Another $ltitle has name $new_name.";
				} else {
					my %values = ('name' => $new_name);
					my $result = StorProc->update_obj($table,'name',$name,\%values);
					if ($result =~ /^Error/) { 
						push @errors, $result;
					} else {
						$name = $new_name;
						$saved = 1;
					}
				}
			}
			if ($saved) {
				$form .= Forms->form_top("Rename $title",'');
				my @message = ("$name");
				$form .= Forms->form_message('Renamed:',\@message,'row1');			
				$form .= Forms->hidden(\%hidden);
				$form .= Forms->form_bottem_one_button(\%continue);
			} else {
				$form .= Forms->form_top("Rename $title",'');
				if (@errors) { $form .= Forms->form_errors(\@errors) }
				$form .= Forms->display_hidden("Name:",$obj_type,$name);
				$form .= Forms->text_box('Rename to:','new_name','',$textsize{'name'});
				$form .= Forms->hidden(\%hidden);
				$form .= Forms->form_bottem_two_button(\%cancel,\%rename);
			}

###############################################
# Host
#		
		} elsif ($profile eq 'host') {
			@errors = ();
			%save = ('name' => 'save','value' => 'Save');
			my %apply = ('name' => 'apply','value' => 'Apply to Hosts');
			my $name = $query->param('name');
			if (!$obj_view && $name) { $obj_view = 'profile' }
			$hidden{'obj_view'} = $obj_view;
			my $id = $query->param('id');
			$hidden{'id'} = $id;
			my %p = StorProc->fetch_one('profiles_host','name',$name);
			$form .= Forms->main_page("Profiles - Host");
			if (!$id) {
				$id = $p{'hostprofile_id'};
				$hidden{'id'} = $id;
			}
			if ($query->param('add')) {
				unless ($p{'name'} || $name eq '') {
					my @values = ('',$name,'','','','','','','');
					$id = StorProc->insert_obj_id('profiles_host',\@values,'hostprofile_id');
					unless ($id =~ /^Error/) { 
						$hidden{'id'} = $id;
						$obj_view = 'profile';
						$hidden{'obj_view'} = 'profile';
					} else { 	
						push @errors, $id;
					}
				} else {
					push @errors, "Check name field. It's either blank or a record already exists";
				}
			} elsif ($query->param('save') && $obj_view eq 'profile') {
				my %values = ();
				my $description = $query->param('description');
				$values{'description'} = $description;
				my $extended_info = $query->param('extended_info');
				my %w = ('name' => $extended_info);
				my %t = StorProc->fetch_one_where('extended_host_info_templates',\%w);
				$values{'host_extinfo_id'} = $t{'hostextinfo_id'};
				my $file = $query->param('file');
				my %f = StorProc->fetch_one('files','name',$file);
				$values{'file_id'} = $f{'file_id'};
				my $result = StorProc->update_obj('profiles_host','name',$name,\%values);
				if ($result =~ /^Error/) { 
					push @errors, $result;
				} else {
					$hidden{'apply'} = 0;
					$hidden{'obj_view'} = 'profile';
					$obj_view = 'saved';
				}
			} elsif ($query->param('save') && $obj_view eq 'template') {
				my %values = ();
				my $template = $query->param('host_template');
				my %w = ('name' => $template);
				my %t = StorProc->fetch_one_where('host_templates',\%w);
				$values{'host_template_id'} = $t{'hosttemplate_id'};
				my $result = StorProc->update_obj('profiles_host','name',$name,\%values);
				if ($result =~ /^Error/) { 
					push @errors, $result;
				} else {
					$hidden{'apply'} = 0;
					$hidden{'obj_view'} = 'template';
					$obj_view = 'saved';
				}
			} elsif ($query->param('save') && $obj_view eq 'parents') {
				my @parents = $query->param('parents');
				my $result = StorProc->delete_all('profile_parent','hostprofile_id',$id);
				if ($result =~ /^Error/) { push @errors, $result }
				foreach my $p (@parents) {
					if (!$p) { next }
					my %h = StorProc->fetch_one('hosts','name',$p);
					my @vals = ($id,$h{'host_id'});
					$result = StorProc->insert_obj('profile_parent',\@vals);
					if ($result =~ /^Error/) { push @errors, $result }
				}
				unless (@errors) { 
					$obj_view = 'saved';
					$hidden{'obj_view'} = 'parents';
					$hidden{'apply'} = 0;
				}
			} elsif ($query->param('save') && $obj_view eq 'hostgroups') {
				my @hostgroups = $query->param('hostgroups');
				my $result = StorProc->delete_all('profile_hostgroup','hostprofile_id',$id);
				if ($result =~ /^Error/) { push @errors, $result }
					foreach my $hg (@hostgroups) {
					if (!$hg) { next }
					my %h = StorProc->fetch_one('hostgroups','name',$hg);
					my @vals = ($id,$h{'hostgroup_id'});
					$result = StorProc->insert_obj('profile_hostgroup',\@vals);
					if ($result =~ /^Error/) { push @errors, $result }
				}
				unless (@errors) { 
					$obj_view = 'saved';
					$hidden{'obj_view'} = 'hostgroups';
					$hidden{'apply'} = 0;
				}
			} elsif ($query->param('save') && $obj_view eq 'contactgroups') {

			} elsif ($query->param('save') && $obj_view eq 'escalations') {
				my %values = ();
				my $host_escalation = $query->param('host_escalation');
				my %w = ('name' => $host_escalation,'type' => 'host');
				my %t = StorProc->fetch_one_where('escalation_trees',\%w);
				$values{'host_escalation_id'} = $t{'tree_id'};
				my $service_escalation = $query->param('service_escalation');
				%w = ('name' => $service_escalation,'type' => 'service');
				%t = StorProc->fetch_one_where('escalation_trees',\%w);
				$values{'service_escalation_id'} = $t{'tree_id'};
				my $result = StorProc->update_obj('profiles_host','name',$name,\%values);
				if ($result =~ /^Error/) { 
					push @errors, $result;
				} else {
					$obj_view = 'saved';
				}
			} elsif ($query->param('save') && $obj_view eq 'externals') {
				my @externals = $query->param('externals');
				my $result = StorProc->delete_all('external_host_profile','hostprofile_id',$id);
				if ($result =~ /^Error/) { push @errors, $result }
				foreach my $e (@externals) {
					my %e = StorProc->fetch_one('externals','name',$e);
					my @vals = ($e{'external_id'},$id);
					$result = StorProc->insert_obj('external_host_profile',\@vals);
					if ($result =~ /^Error/) { push @errors, $result }
				}
				unless (@errors) { 
					$obj_view = 'saved';
					$hidden{'obj_view'} = 'externals';
					$hidden{'apply'} = 1;
				}
			} elsif ($query->param('save') && $obj_view eq 'services') {
				my %values = ();
				my $service_profile = $query->param('service_profile');
				my %w = ('name' => $service_profile);
				my %t = StorProc->fetch_one_where('profiles_service',\%w);
				$values{'serviceprofile_id'} = $t{'serviceprofile_id'};
				my $result = StorProc->update_obj('profiles_host','name',$name,\%values);
				if ($result =~ /^Error/) { 
					push @errors, $result;
				} else {
					$obj_view = 'saved';
					$hidden{'obj_view'} = 'services';
					$hidden{'service_profile'} = $service_profile;
					$hidden{'apply'} = 1;
				}
			} elsif ($query->param('apply')) {
				my %w = ('hostprofile_id' => $id);
				my @hosts = StorProc->fetch_list_where('hosts','host_id',\%w);
				if ($obj_view eq 'externals') {
					my @externals = StorProc->fetch_list_where('external_host_profile','external_id',\%w);
					foreach my $hid (@hosts) {
						my $result = StorProc->delete_all('external_host','host_id',$hid);
						if ($result =~ /^Error/) { push @errors, $result }
						foreach my $ext (@externals) {
							my %e = StorProc->fetch_one('externals','external_id',$ext);
							my @vals = ($ext,$hid,$e{'display'});
							$result = StorProc->insert_obj('external_host',\@vals);
							if ($result =~ /^Error/) { push @errors, $result }
						}
					}
				} elsif ($obj_view eq 'services') {
					my $host_profile = $query->param('host_profile');
					my $service_profile = $query->param('service_profile');
					my %sp = StorProc->fetch_one('profiles_service','name',$service_profile);
					my %w = ('serviceprofile_id' => $sp{'serviceprofile_id'});
					my @services = StorProc->fetch_list_where('serviceprofile','servicename_id',\%w);
					my %services = ();
					my %externals = ();
					my %depends = ();
					foreach my $sid (@services) {
						my %sn = StorProc->fetch_one('service_names','servicename_id',$sid);
						$services{$sid} = {%sn};
						%w = ('servicename_id' => $sid);
						my @externals = StorProc->fetch_list_where('external_service_names','external_id',\%w);
						$externals{$sid} = [ @externals ];
						$depends{$sid} = $sn{'dependency'};
					}
					foreach my $hid (@hosts) {
						my $result = StorProc->delete_all('services','host_id',$hid);
						if ($result =~ /^Error/) { push @errors, $result }
						foreach my $sid (keys %services) {
							my @vals = ('',$hid,$sid,$services{$sid}->{'template'},$services{$sid}->{'extinfo'},$services{$sid}->{'escalation'},'1',$services{$sid}->{'check_comand'},$services{$sid}->{'command_line'},'');
							my $service_id = StorProc->insert_obj_id('services',\@vals,'service_id');
							if ($service_id =~ /^Error/) { push @errors, $service_id }
							@vals = ($sp{'file_id'},$service_id);
							$result = StorProc->insert_obj('file_service',\@vals);
							if ($result =~ /^Error/) { push @errors, $result }
							if ($depends{$sid}) {
								@vals = ('',$service_id,$hid,$hid,$depends{$sid},'');
								$result = StorProc->insert_obj('service_dependency',\@vals);
								if ($result =~ /^Error/) { push @errors, $result }
							}
							foreach my $ext (@{$externals{$sid}}) {
								my %e = StorProc->fetch_one('externals','external_id',$ext);
								my @vals = ($ext,$hid,$service_id,$e{'display'});
								$result = StorProc->insert_obj('external_service',\@vals);
								if ($result =~ /^Error/) { push @errors, $result }
							}
						}
					}
				}
			} elsif ($query->param('delete') || $query->param('confirm_delete')) {
				my %w = ('hostprofile_id' => $id);
				my @hids = StorProc->fetch_list_where('hosts','host_id',\%w);
				unless ($hids[0]) {
					if ($query->param('confirm_delete')) {
						my $result = StorProc->delete_all('profiles_host','hostprofile_id',$id);
						if ($result =~ /^Error/) { push @errors, $result }
						unless (@errors) { 
							($task,$name) = undef;
							delete $hidden{'name'};
							delete $hidden{'id'};
							delete $hidden{'obj_view'};
							$obj_view = undef;
						}
					} elsif ($query->param('task') eq 'No') {
						$hidden{'name'} = undef;
						$task = undef;
					} else {
						foreach my $name ($query->param) {
							unless ($name eq 'nocache') { $hidden{$name} = $query->param($name) }
						}
						$hidden{'delete'} = 1;
						my $message = qq(Are you sure you want to remove $name?);
						$form .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden);
						$name = undef;
						$task = 'Delete';
						$got_form = 1;
					}
				} else {
					push @errors, "Cannot delete $name while it is in use.";
				}
			}	
			unless ($got_form) {
				my %url_vals = ('profile' => 'host');
				my %p = StorProc->fetch_one('profiles_host','name',$name);
				$hidden{'name'} = $name;
				if ($obj_view eq 'Add New Profile') {
					$form .= Forms->form_top('Host Profile','');
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					$form .= Forms->text_box('Name:','name',$name,$textsize{'name'});
					$hidden{'obj_view'} = 'Add New Profile';
					%add = ('name' => 'add','value' => 'Add');
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_two_button(\%cancel,\%add);

				} elsif ($obj_view eq 'profile') {
					my %docs = Doc->host_profile_profile();
					$form .= Forms->host_profile_top($name,$user_acct,$obj_view,$auth_add{'externals'},\%url_vals);
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					$form .= Forms->text_box('Description:','description',$p{'description'},$textsize{'description'},'',$docs{'description'});
					my @members = StorProc->fetch_list('extended_host_info_templates','name'); 
					my %w = ('hostextinfo_id' => $p{'host_extinfo_id'});
					my %t = StorProc->fetch_one_where('extended_host_info_templates',\%w);
					$form .= Forms->list_box('Extended host info template:','extended_info',\@members,$t{'name'},'',$docs{'extended_host_info_template'});
					my %where = ('type' => 'hosts');
					my @files = StorProc->fetch_list_where('files','name',\%where); 
					my %f = StorProc->fetch_one('files','file_id',$p{'file_id'});
					$form .= Forms->list_box('File:','file',\@files,$f{'name'},'',$docs{'file'});
					$form .= Forms->hidden(\%hidden);
					%delete = ('name' => 'delete','value' => 'Delete');
					$form .= Forms->form_bottem_three_button(\%delete,\%rename,\%save);

				} elsif ($obj_view eq 'template') {
					my %docs = Doc->host_profile_template();
					my $template = $query->param('host_template');
					my %t = ();
					unless ($template) {
						my %w = ('hosttemplate_id' => $p{'host_template_id'});
						%t = StorProc->fetch_one_where('host_templates',\%w);
						$template = $t{'name'}
					} else {
						my %w = ('name' => $template);
						%t = StorProc->fetch_one_where('host_templates',\%w);
					}
					$form .= Forms->host_profile_top($name,$user_acct,$obj_view,$auth_add{'externals'},\%url_vals);
					my @members = StorProc->fetch_list('host_templates','name');
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					$form .= Forms->list_box_submit('Host template:','host_template',\@members,$t{'name'},'',$docs{'host_template'});
					my %np = StorProc->fetch_one('time_periods','timeperiod_id',$t{'notification_period'});
					if ($template) {
						my %np = StorProc->fetch_one('time_periods','timeperiod_id',$t{'notification_period'});
						$t{'notification_period'} = $np{'name'};
						my %c = StorProc->fetch_one('commands','command_id',$t{'check_command'});
						$t{'check_command'} = $c{'name'};
						my %c = StorProc->fetch_one('commands','command_id',$t{'event_handler'});
						$t{'event_handler'} = $c{'name'};
						$form .= Forms->display_template(\%t,$property_list{'host_templates'});
					}	
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%save);

		
				} elsif ($obj_view eq 'parents') {
					my %docs = Doc->host_profile_parents();
					my @parents = StorProc->get_profile_parent($p{'hostprofile_id'});
					$form .= Forms->host_profile_top($name,$user_acct,$obj_view,$auth_add{'externals'},\%url_vals);
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					my @nonmembers = StorProc->fetch_list('hosts','name');
					$form .= Forms->members('Parents:','parents',\@parents,\@nonmembers,'','',$docs{'parents'});
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%save);
			
				} elsif ($obj_view eq 'hostgroups') {
					my %docs = Doc->host_profile_hostgroups();
					my @hostgroups = StorProc->get_profile_hostgroup($p{'hostprofile_id'});

					$form .= Forms->host_profile_top($name,$user_acct,$obj_view,$auth_add{'externals'},\%url_vals);
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					my @nonmembers = StorProc->fetch_list('hostgroups','name'); 
					$form .= Forms->members('Hostgroups:','hostgroups',\@hostgroups,\@nonmembers,'','',$docs{'hostgroups'});
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%save);
		
				} elsif ($obj_view eq 'contact_groups') {
					$form .= Forms->host_profile_top($name,$user_acct,$obj_view,$auth_add{'externals'},\%url_vals);
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%save);

				} elsif ($obj_view eq 'escalations') {
					my %docs = Doc->host_profile_escalations();
					my $host_escalation = $query->param('host_escalation');
					my $service_escalation = $query->param('service_escalation');
					$form .= Forms->host_profile_top($name,$user_acct,$obj_view,$auth_add{'externals'},\%url_vals);
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					unless ($host_escalation) {
						my %w = ('tree_id' => $p{'host_escalation_id'});
						my %t = StorProc->fetch_one_where('escalation_trees',\%w);
						$host_escalation = $t{'name'};
					}
					my %where = ('type','host');
					my @members = StorProc->fetch_list_where('escalation_trees','name',\%where);
					$form .= Forms->list_box_submit('Host escalation:','host_escalation',\@members,$host_escalation,'',$docs{'host_escalation'});
					if ($host_escalation) {
						my ($ranks, $templates) = StorProc->get_tree_detail($host_escalation);
						my %ranks = %{$ranks};
						my %templates = %{$templates};
						$form .= Forms->escalation_tree(\%ranks,\%templates,'escalations');
					}
					unless ($service_escalation) {
						my %w = ('tree_id' => $p{'service_escalation_id'});
						my %t = StorProc->fetch_one_where('escalation_trees',\%w);
						$service_escalation = $t{'name'};
					}
					my %where = ('type','service');
					@members = StorProc->fetch_list_where('escalation_trees','name',\%where);
					$form .= Forms->list_box_submit('Service escalation:','service_escalation',\@members,$service_escalation,'',$docs{'service_escalation'});
					if ($service_escalation) {
						my ($ranks, $templates) = StorProc->get_tree_detail($service_escalation);
						my %ranks = %{$ranks};
						my %templates = %{$templates};
						$form .= Forms->escalation_tree(\%ranks,\%templates,'escalations');
					}
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%save);

				} elsif ($obj_view eq 'externals') {
					$form .= Forms->host_profile_top($name,$user_acct,$obj_view,$auth_add{'externals'},\%url_vals);
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					my @members = StorProc->get_profile_external($hidden{'id'});
					my %where = ('type' => 'host');
					my @nonmembers = StorProc->fetch_list_where('externals','name',\%where);
					$form .= Forms->members('External:','externals',\@members,\@nonmembers);
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%save);
				} elsif ($obj_view eq 'services') {
					my %docs = Doc->host_profile_services();
					my $service_profile = $query->param('service_profile');
					my %sp = ();
					if ($service_profile) {
						my %w = ('name' => $service_profile);
						%sp = StorProc->fetch_one_where('profiles_service',\%w);
					} else {
						my %w = ('serviceprofile_id' => $p{'serviceprofile_id'});
						%sp = StorProc->fetch_one_where('profiles_service',\%w);
					}
					my %w = ('serviceprofile_id' => $p{'serviceprofile_id'});
					my %t = StorProc->fetch_one_where('profiles_service',\%w);
					$form .= Forms->host_profile_top($name,$user_acct,$obj_view,$auth_add{'externals'},\%url_vals);
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					my @members = StorProc->fetch_list('profiles_service','name'); 
					$form .= Forms->list_box_submit('Service profile:','service_profile',\@members,$sp{'name'},'',$docs{'service_profile'});		
					my @services = ();
					if ($sp{'serviceprofile_id'}) {
						my %w = ('serviceprofile_id' => $sp{'serviceprofile_id'});
						my @sids = StorProc->fetch_list_where('serviceprofile','servicename_id',\%w);
						foreach (@sids) {
							my %s = StorProc->fetch_one('service_names','servicename_id',$_);
							push @services, $s{'name'};
						}
					}
					$form .= Forms->form_message('Services:',\@services,'row1');
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%save);
				} elsif ($obj_view eq 'saved') {
					my %apply = ('name' => 'apply','value' => 'Apply to Hosts');
					$form .= Forms->host_profile_top($name,$user_acct,$obj_view,$auth_add{'externals'},\%url_vals);
					
					my $message = "Changes to profile accepted.";
					$form .= Forms->display_hidden('Saved','',$message);				

					$form .= Forms->hidden(\%hidden);
					if ($hidden{'apply'}) {
						$form .= Forms->form_bottem_one_button(\%apply);
					} else {
						$form .= Forms->form_bottem_no_button();
					}
				} else {
					%add = ('name' => 'obj_view','value' => 'Add New Profile');
					$form .= Forms->form_top('Add/Modify/Delete');
					@members = StorProc->fetch_list('profiles_host','name'); 
					$form .= Forms->list_box('Host profile:','name',\@members);
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_three_button(\%add,\%cancel,\%select);
				}
			}
###############################################
# Service
#		
		} elsif ($profile eq 'service') {
			my %docs = Doc->service_profiles();
			@errors = ();
			my %values = ();
			%continue = ('name' => 'continue','value' => 'Continue');
			my $got_form = 0;
			my $obj_view = $query->param('obj_view');
			my $name = $query->param('service_profile');
			if ($name || $query->param('add_new')) { $obj_view = 'main' }
			my $description = $query->param('description');
			my $file = $query->param('file');
			my %f = StorProc->fetch_one('files','name',$file);
			$values{'file_id'} = $f{'file_id'};
			my $escalation = $query->param('escalation');
			my $task = $query->param('submit');
			if ($query->param('add')) {
				my %p = StorProc->fetch_one('profiles_service','name',$name);
				unless ($p{'name'} || $name eq '') {
					if ($values{'file_id'}) {
						my @values = ('',$name,$description,$values{'file_id'});
						my $id = StorProc->insert_obj_id('profiles_service',\@values,'serviceprofile_id');
						unless ($id =~ /^Error/) { 
							my @services = $query->param('services');
							foreach my $service (@services) {
								if ($service =~ /^\s+$/) { next	}
								my %s = StorProc->fetch_one('service_names','name',$service);
								my @vals = ($s{'servicename_id'},$id);
								my $result = StorProc->insert_obj('serviceprofile',\@vals);
								if ($result =~ /^Error/) { push @errors, $result }
							}
							unless (@errors) {
								$obj_view = 'added';
							} else {
								$obj_view = 'main';
							}
						} else {
							push @errors, $id;
							$obj_view = 'main';
						}
					} else {
						push @errors, "Required. You must select a default file name.";
						$required{'file'} = 1;
						$obj_view = 'main';
					}
				} else {
					push @errors, "Check name field. It's either blank or a record exists";
					$name = undef;
					$obj_view = 'main';
				}
				unless (@errors) { 
					$obj_view = undef;
					my $message = "$name has been saved.";
					delete $hidden{'name'};
					delete $hidden{'task'};
					$form .= Forms->main_page();
					$form .= Forms->success('Added',$message,'submit',\%hidden);
					$got_form = 1;
				}
			} elsif ($query->param('apply')) {
				my $id = $query->param('id');
				my %w = ('serviceprofile_id' => $id);
				my @hosts = StorProc->fetch_list_where('hosts','host_id',\%w);
				my $host_profile = $query->param('host_profile');
				my $service_profile = $query->param('service_profile');
				my %sp = StorProc->fetch_one('profiles_service','name',$service_profile);
				my %w = ('serviceprofile_id' => $sp{'serviceprofile_id'});
				my @services = StorProc->fetch_list_where('serviceprofile','servicename_id',\%w);
				my %services = ();
				my %externals = ();
				my %depends = ();
				foreach my $sid (@services) {
					my %sn = StorProc->fetch_one('service_names','servicename_id',$sid);
					$services{$sid} = {%sn};
					%w = ('servicename_id' => $sid);
					my @externals = StorProc->fetch_list_where('external_service_names','external_id',\%w);
					$externals{$sid} = [ @externals ];
					$depends{$sid} = $sn{'dependency'};
				}
				foreach my $hid (@hosts) {
					my $result = StorProc->delete_all('services','host_id',$hid);
					if ($result =~ /^Error/) { push @errors, $result }
					foreach my $sid (keys %services) {
						my @vals = ('',$hid,$sid,$services{$sid}->{'template'},$services{$sid}->{'extinfo'},$services{$sid}->{'escalation'},'1',$services{$sid}->{'check_comand'},$services{$sid}->{'command_line'},'');
						my $service_id = StorProc->insert_obj_id('services',\@vals,'service_id');
						if ($service_id =~ /^Error/) { push @errors, $service_id }
						@vals = ($sp{'file_id'},$service_id);
						$result = StorProc->insert_obj('file_service',\@vals);
						if ($result =~ /^Error/) { push @errors, $result }
						if ($depends{$sid}) {
							@vals = ('',$service_id,$hid,$hid,$depends{$sid},'');
							$result = StorProc->insert_obj('service_dependency',\@vals);
							if ($result =~ /^Error/) { push @errors, $result }
						}
						foreach my $ext (@{$externals{$sid}}) {
							my %e = StorProc->fetch_one('externals','external_id',$ext);
							my @vals = ($ext,$hid,$service_id,$e{'display'});
							$result = StorProc->insert_obj('external_service',\@vals);
							if ($result =~ /^Error/) { push @errors, $result }
						}
					}
				}
				if (@errors) {
					$form .= Forms->form_top('Error(s)');
					$form .= Forms->form_errors(\@errors);
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%continue);
					$got_form = 1;
				} else {
					$obj_view = 'applied';
				}
			} elsif ($query->param('save')) {
				my $id = $query->param('id');
				$values{'description'} = $description;
				if ($values{'file_id'}) {
					my $result = StorProc->update_obj('profiles_service','name',$name,\%values);
					if ($result =~ /^Error/) { push @errors, $result}
					$result = StorProc->delete_all('serviceprofile','serviceprofile_id',$id);
					if ($result =~ /^Error/) { push @errors, $result }
					my @services = $query->param('services');
					foreach my $service (@services) {
						if ($service =~ /^\s+$/) { next	}
						my %s = StorProc->fetch_one('service_names','name',$service);
						my @vals = ($s{'servicename_id'},$id);
						my $result = StorProc->insert_obj('serviceprofile',\@vals);
						if ($result =~ /^Error/) { push @errors, $result }
					}
					if (@errors) {
						$obj_view = 'main';
					} else {
						$hidden{'id'} = $id;
						$hidden{'service_profile'} = $name;
						$obj_view = 'saved';
					}
				} else {
						push @errors, "Required. You must select a default file name.";
						$required{'file'} = 1;
				}
				unless (@errors) { 
					($task,$name) = undef;
				}
			} elsif ($query->param('delete') || $query->param('confirm_delete')) {
				my $id = $query->param('id');
				my %w = ('serviceprofile_id' => $id);
				my @hp = StorProc->fetch_list_where('profiles_host','hostprofile_id',\%w);
				my @hids = StorProc->fetch_list_where('hosts','host_id',\%w);
				unless ($hids[0] || $hp[0]) {
					if ($query->param('confirm_delete')) {
						my $result = StorProc->delete_all('profiles_service','serviceprofile_id',$id);
						if ($result =~ /^Error/) { push @errors, $result }
						unless (@errors) { 
							$obj_view = undef;
						} else {
							$obj_view = 'main';
						}
					} elsif ($query->param('task') eq 'No') {
						$obj_view = 'main';
					} else {
						foreach my $name ($query->param) {
							unless ($name eq 'nocache') { $hidden{$name} = $query->param($name) }
						}
						$form .= Forms->main_page("Profiles - Service");
						$hidden{'delete'} = 1;
						my $message = qq(Are you sure you want to remove $name?);
						$form .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden);
						$name = undef;
						$got_form = 1;
					}
				} else {
					push @errors, "Cannot delete $name while it is in use.";
				}
			} elsif ($query->param('continue')) {
				$obj_view = undef;
			}	
			unless ($got_form) {
				if ($obj_view eq 'main') {
					if ($query->param('add_new')) { $name = undef }
					my @members;
					$form .= Forms->main_page("Profiles - Service");
					$form .= Forms->form_top('Service Profile',$cgi_bin.'/monarch.cgi onsubmit="selIt();"');
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					my %p = StorProc->fetch_one('profiles_service','name',$name);
					if ($p{'name'}) {
						$hidden{'id'} = $p{'serviceprofile_id'};
						my %w = ('serviceprofile_id' => $p{'serviceprofile_id'});
						my @sids = StorProc->fetch_list_where('serviceprofile','servicename_id',\%w);
						foreach (@sids) {
							my %s = StorProc->fetch_one('service_names','servicename_id',$_);
							push @members, $s{'name'};
						}
						$form .= Forms->display_hidden('Service profile name:','service_profile',$name);
						$description = $p{'description'};
						my %f = StorProc->fetch_one('files','file_id',$p{'file_id'});
						$file = $f{'name'};
					} else {
						$form .= Forms->text_box('Service profile name:','service_profile',$name,$textsize{'name'});
					}
					$form .= Forms->text_box('Description:','description',$description,$textsize{'description'},'',$docs{'description'});
					@nonmembers = StorProc->fetch_list('service_names','name'); 
					$form .= Forms->members('Services:','services',\@members,\@nonmembers,'','30',$docs{'services'});
					my %where = ('type' => 'services');
					my @files = StorProc->fetch_list_where('files','name',\%where); 
					$form .= Forms->list_box('File:','file',\@files,$file,$required{'file'},$docs{'file'});
					$form .= Forms->hidden(\%hidden);
					if ($p{'name'}) {
						%save = ('name' => 'save','value' => 'Save');
						%delete = ('name' => 'delete','value' => 'Delete');
						$form .= Forms->form_bottem_three_button(\%delete,\%rename,\%save);
					} else {
						%add = ('name' => 'add','value' => 'Add');
						$form .= Forms->form_bottem_two_button(\%cancel,\%add);
					}
				} elsif ($obj_view eq 'applied') {
					$form .= Forms->main_page("Profiles - Service");
					$form .= Forms->form_top('Applied');
					my @message = ("Changes to $name applied to hosts.");
					$form .= Forms->form_message('Updated:',\@message,'row1');					
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%continue);
				} elsif ($obj_view eq 'saved') {
					$form .= Forms->main_page("Profiles - Service");
					$form .= Forms->form_top('Saved');
					my @message = ("Changes to $name accepted");
					$form .= Forms->form_message('Updated:',\@message,'row1');					
					$form .= Forms->form_doc("'Apply to Services' will override all service definitions using this service name. If you wish to keep the existing service definitions select 'Continue'.");
					my %apply = ('name' => 'apply','value' => 'Apply to Hosts');
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_two_button(\%apply,\%continue);
				} elsif ($is_portal) {
					$form .= Forms->main_page("Profiles - Service");
					%add = ('name' => 'add_new','value' => 'Add New Profile');
					$form .= Forms->form_top('Add/Modify/Delete');
					@members = StorProc->fetch_list('profiles_service','name'); 
					$form .= Forms->list_box('Service profile:','service_profile',\@members);
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_three_button(\%add,\%cancel,\%select);
				}
			}
###############################################
# Service Names
#		
		} elsif ($profile eq 'service_name') {
			my %values = ();
			my $got_form = 0;
			my $obj_view = $query->param('obj_view');
			my $name = $query->param('service_name');
			if ($name || $query->param('add_new')) { $obj_view = 'main' }
			my $id = $query->param('id');
			$hidden{'id'} = $id;
			my $description = $query->param('description');
			$values{'description'} = $description;
			my $template = $query->param('template');
			my %w = ('name' => $template);
			my %s = StorProc->fetch_one_where('service_templates',\%w);
			$values{'template'} = $s{'servicetemplate_id'};
			my $check_command = $query->param('check_command');
			%w = ('name' => $check_command);
			my %c = StorProc->fetch_one_where('commands',\%w);
			$values{'check_command'} = $c{'command_id'};
			my $command_line = $query->param('command_line');
			$values{'command_line'} = $command_line;
			my $dependency = $query->param('dependency');
			%w = ('name' => $dependency);
			my %d = StorProc->fetch_one_where('service_dependency_templates',\%w);
			$values{'dependency'} = $d{'id'};
			my $ext_info = $query->param('ext_info');
			%w = ('name' => $ext_info);
			my %e = StorProc->fetch_one_where('extended_service_info_templates',\%w);
			$values{'extinfo'}	= $e{'serviceextinfo_id'};
			my $escalation = $query->param('escalation');
			if ($escalation eq 'no-escalation') {
				$values{'escalation'} = '';
			} else {
				%w = ('name' => $escalation);
				%e = StorProc->fetch_one_where('escalation_trees',\%w);
				$values{'escalation'} = $e{'tree_id'};
			}
			my @externals = $query->param('externals');
			my $task = $query->param('submit');
			if ($query->param('add')) { $task = 'Add' }
			if ($query->param('save')) { $task = 'Save' }
			if ($query->param('delete')) { $task = 'Delete' }
			if ($query->param('add')) {
				if ($name) {
					if ($query->param('use_template_command') == 1) {
						$values{'check_command'} = '';
						$command_line = undef;
					}
					my %p = StorProc->fetch_one('service_names','name',$name);
					unless ($p{'name'}) {
						if ($values{'template'}) {
							my @values = ('',$name,$description,$values{'template'},$values{'check_command'},$command_line,$values{'dependency'},$values{'escalation'},$values{'extinfo'});
							my $id = StorProc->insert_obj_id('service_names',\@values,'servicename_id');
							if ($id =~ /^Error/) { 
								push @errors, $id;
								$obj_view = 'main';
							} else {
								foreach my $ext (@externals) {
									my %e = StorProc->fetch_one('externals','name',$ext);
									@values = ($e{'external_id'},$id);
									my $result = StorProc->insert_obj('external_service_names',\@values);
									if ($result =~ /^Error/) { 
										push @errors, $result;
										$obj_view = 'main';
									}						
								}
							}
						} else {
							push @errors, "Template required";
							$obj_view = 'main';
						}
					} else {
						push @errors, "Service name $name already exists";
						$obj_view = 'main';
					}
				} else {					
					push @errors, "Service name required";
					$obj_view = 'main';
				}
				unless (@errors) { 
					$obj_view = undef;
					my $message = "$name has been saved.";
					delete $hidden{'name'};
					delete $hidden{'task'};
					$form .= Forms->main_page();
					$form .= Forms->success('Added',$message,'submit',\%hidden);
					$got_form = 1;
				}
			} elsif ($query->param('apply')) {
				my %sp = StorProc->fetch_one('service_names','servicename_id',$id);				
				my %vals = ('servicetemplate_id' => $sp{'template'},'serviceextinfo_id' => $sp{'extinfo'},'escalation_id' => $sp{'escalation'},
					'check_command' => $sp{'check_command'},'command_line' => $sp{'command_line'});
				my %w = ('servicename_id' => $id);
				my $result = StorProc->update_obj_where('services',\%vals,\%w);
				if ($result =~ /^Error/) { push @errors, $result }						
				if ($auth_add{'externals'}) {
					my %w = ('servicename_id' => $id);
					my @externals = StorProc->fetch_list_where('external_service_names','external_id',\%w);
					my %services = StorProc->fetch_list_hash_array('services',\%w);
					foreach my $sid (keys %services) {
						$result = StorProc->delete_all('external_service','service_id',$id);
						foreach my $ext (@externals) {
							my %external = StorProc->fetch_one('externals','external_id',$ext);	
							my @vals = ($ext,$services{$sid}[1],$sid,$external{'display'});
							my $result = StorProc->insert_obj('external_service',\@vals);
						}
					}
				}
				$obj_view = 'applied';
			} elsif ($query->param('save')) {
				if ($query->param('use_template_command')) {
					$values{'check_command'} = '';
					$values{'command_line'} = '';
				}
				my $result = StorProc->update_obj('service_names','name',$name,\%values);
				if ($result =~ /^Error/) { push @errors, $result}
				unless (@errors) { $name = undef }
				$result = StorProc->delete_all('external_service_names','servicename_id',$id);
				if ($result =~ /^Error/) { push @errors, $result }						
				foreach my $ext (@externals) {
					my %e = StorProc->fetch_one('externals','name',$ext);
					my @values = ($e{'external_id'},$id);
					$result = StorProc->insert_obj('external_service_names',\@values);
					if ($result =~ /^Error/) { push @errors, $result }						
				}
				unless (@errors) { 
					$hidden{'service_name'} = $name;	
					$obj_view = 'saved';
				} else {
					$obj_view = 'main';
				}
			} elsif ($query->param('delete') || $query->param('confirm_delete')) {
				my %sn = StorProc->fetch_one('service_names','name',$name);
				my %w = ('servicename_id' => $sn{'servicename_id'});
				my @hids = StorProc->fetch_list_where('services','host_id',\%w);
				unless ($hids[0]) {
					if ($query->param('confirm_delete')) {
						my $result = StorProc->delete_all('service_names','name',$name);
						if ($result =~ /^Error/) { push @errors, $result }
						unless (@errors) { 
							($task,$name) = undef;
							$hidden{'name'} = undef;
						}
					} elsif ($query->param('task') eq 'No') {
						$hidden{'name'} = undef;
						$task = undef;
					} else {
						foreach my $name ($query->param) {
							unless ($name eq 'nocache') { $hidden{$name} = $query->param($name) }
						}
						$form .= Forms->main_page("Service Names");
						$hidden{'delete'} = 1;
						my $message = qq(Are you sure you want to remove $name?);
						$form .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden);
						$name = undef;
						$task = 'Delete';
						$got_form = 1;
					}
				} else {
					push @errors, "Cannot delete $name while it is in use.";
				}
			}
			unless ($got_form) {
				if ($obj_view eq 'main') {
					my %docs = Doc->service_names();
					if ($query->param('add_new')) { $name = undef }
					my @members;
					my $use_template = 0;
					my %p = StorProc->fetch_one('service_names','name',$name);
					if ($p{'name'} && $task =~ /Add/i) {
						push @errors, "Service name $name already exists";
						$name = undef;
					}
					if ($p{'name'}) {
						my %p = StorProc->fetch_one('service_names','name',$name);
						$hidden{'id'} = $p{'servicename_id'}; 
						$description = $p{'description'};
						my %s = ();
						if ($template) {
							my %w = ('name' => $template);
							%s = StorProc->fetch_one_where('service_templates',\%w);
							if ($s{'check_command'}) {			
								%w = ('command_id' => $s{'check_command'});
								my %c = StorProc->fetch_one_where('commands',\%w);
								$check_command = $c{'name'};
								$command_line = $s{'command_line'};
								$use_template = 1;
							}
						} else {
							my %w = ('servicetemplate_id' => $p{'template'});
							%s = StorProc->fetch_one_where('service_templates',\%w);
							$template = $s{'name'};
							if ($p{'check_command'}) {
								%w = ('command_id' => $p{'check_command'});
								my %c = StorProc->fetch_one_where('commands',\%w);
								$check_command = $c{'name'};
								$command_line = $p{'command_line'};
							} elsif ($s{'check_command'}) {			
								%w = ('command_id' => $s{'check_command'});
								my %c = StorProc->fetch_one_where('commands',\%w);
								$check_command = $c{'name'};
								$command_line = $s{'command_line'};
								$use_template = 1;
							}
						}
						if ($query->param('escalation')) {
							$escalation = $query->param('escalation');
						} else {	
							my %where = ('tree_id' => $p{'escalation'});
							my %t = StorProc->fetch_one_where('escalation_trees',\%where); 
							$escalation = $t{'name'};
						}
						%w = ('id' => $p{'dependency'});
						my %d = StorProc->fetch_one_where('service_dependency_templates',\%w);
						$dependency = $d{'name'};
						%w = ('serviceextinfo_id' => $p{'extinfo'});
						my %e = StorProc->fetch_one_where('extended_service_info_templates',\%w);
						$ext_info = $e{'name'};
					} else {
						my %w = ('name' => $template);
						my %s = StorProc->fetch_one_where('service_templates',\%w);
						%w = ('command_id' => $s{'check_command'});
						my %c = StorProc->fetch_one_where('commands',\%w);
						$check_command = $c{'name'};
						$command_line = $s{'command_line'};
						if ($check_command) {$use_template = 1 }
					}
					$form .= Forms->main_page("Service Names");
					$form .= Forms->form_top('Service Name',$cgi_bin.'/monarch.cgi onsubmit="selIt();"');
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					if ($p{'name'}) {
						$form .= Forms->display_hidden('Service name:','service_name',$name);
					} else {
						$form .= Forms->text_box('Service name:','service_name',$name,$textsize{'name'});
					}
					$form .= Forms->text_box('Description:','description',$description,$textsize{'description'},'',$docs{'description'});
					@members = StorProc->fetch_list('service_templates','name'); 
					$form .= Forms->list_box_submit('Service template:','template',\@members,$template,'',$docs{'service_template'});
					@members = StorProc->fetch_list('commands','name'); 
					$form .= Forms->checkbox('Use template command:','use_template_command',$use_template,$docs{'use_template_command'});
					$form .= Forms->list_box('Check command:','check_command',\@members,$check_command,'',$docs{'check_command'});
					$form .= Forms->text_area('Command line:','command_line',$command_line,'',$textsize{'command_line'},'',$docs{'command_line'});
					@members = StorProc->fetch_list('service_dependency_templates','name'); 
					$form .= Forms->list_box('Service dependency template:','dependency',\@members,$dependency,'',$docs{'dependency'});
					@members = StorProc->fetch_list('extended_service_info_templates','name'); 
					$form .= Forms->list_box('Extended info template:','ext_info',\@members,$ext_info,'',$docs{'ext_info'});
					my %where = ('type' => 'service');
					@members = ('no-escalation');
					my @mems = StorProc->fetch_list_where('escalation_trees','name',\%where); 
					push (@members,@mems);
					$form .= Forms->list_box_submit('Service escalation tree:','escalation',\@members,$escalation,'',$docs{'escalation'});
					if ($escalation) {
						my ($ranks, $templates) = StorProc->get_tree_detail($escalation);
						my %ranks = %{$ranks};
						my %templates = %{$templates};
						$form .= Forms->escalation_tree(\%ranks,\%templates,'service_names');
					}

					if ($auth_add{'externals'}) {
						my @members = StorProc->get_servicename_external($p{'servicename_id'});
						my %where = ('type' => 'service');
						my @nonmembers = StorProc->fetch_list_where('externals','name',\%where);
						$form .= Forms->members('Externals:','externals',\@members,\@nonmembers,'','',$docs{'externals'});
					}
					$form .= Forms->hidden(\%hidden);
					if ($p{'name'}) {
						my %delete = ('name' => 'delete','value' => 'Delete');
						my %save = ('name' => 'save','value' => 'Save');
						$form .= Forms->form_bottem_three_button(\%delete,\%rename,\%save);
					} else {
						my %add = ('name' => 'add','value' => 'Add');
						$form .= Forms->form_bottem_two_button(\%cancel,\%add);
					}


				} elsif ($obj_view eq 'applied') {
					$form .= Forms->main_page("Service Names");
					$form .= Forms->form_top('Applied');
					my @message = ("Changes to $name applied to services.");
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					$form .= Forms->form_message('Updated:',\@message,'row1');					
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%continue);
				} elsif ($obj_view eq 'saved') {
					$form .= Forms->main_page("Service Names");
					$form .= Forms->form_top('Saved');
					my @message = ("Changes to $hidden{'service_name'} accepted.");				 
					$form .= Forms->form_message('Updated:',\@message,'row1');	
					$form .= Forms->form_doc("'Apply to Services' will override all service definitions using this service name. If you wish to keep the existing service definitions select 'Continue'.");
					my %apply = ('name' => 'apply','value' => 'Apply to Services');
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_two_button(\%apply,\%continue);
				} elsif ($is_portal) {
					$form .= Forms->main_page("Service Names");
					%add = ('name' => 'add_new','value' => 'Add New Service Name');
					$form .= Forms->form_top('Add/Modify/Delete','');
					my @members = StorProc->fetch_list('service_names','name'); 
					$form .= Forms->list_box('Service name:','service_name',\@members);
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_three_button(\%add,\%cancel,\%select);	
				}
			}
		}
	}
	return $form;
}



#
###########################################################################################################################
# Manage Host
#

sub manage_host($$) {
	if ($debug) {
		foreach my $name ($query->param) {
			my $value = $query->param($name);
			error_out("$name $value");
		}
	}
	my $name = shift;
	my $by = shift;
	my $form = undef;
	my $message = undef;
	my $required = undef;
	%properties = StorProc->fetch_host($name,$by);
	if ($query->param('apply')) {
		my $host_id = $query->param('host_id');
		my $hostprofile_id = $query->param('hostprofile_id');
		my $serviceprofile_id = $query->param('serviceprofile_id');
		my %sp = StorProc->fetch_one('profiles_service','serviceprofile_id',$serviceprofile_id);
		my %w = ('hostprofile_id' => $hostprofile_id);
		my @externals = StorProc->fetch_list_where('external_host_profile','external_id',\%w);
		my $result = StorProc->delete_all('external_host','host_id',$host_id);
		if ($result =~ /^Error/) { push @errors, $result }
		foreach my $ext (@externals) {
			my %e = StorProc->fetch_one('externals','external_id',$ext);
			my @vals = ($ext,$host_id,$e{'display'});
			$result = StorProc->insert_obj('external_host',\@vals);
			if ($result =~ /^Error/) { push @errors, $result }
		}
		my %w = ('serviceprofile_id' => $serviceprofile_id);
		my @services = StorProc->fetch_list_where('serviceprofile','servicename_id',\%w);
		my $result = StorProc->delete_all('services','host_id',$host_id);
		if ($result =~ /^Error/) { push @errors, $result }
		foreach my $sid (@services) {
			my %sn = StorProc->fetch_one('service_names','servicename_id',$sid);
			%w = ('servicename_id' => $sid);
			@externals = StorProc->fetch_list_where('external_service_names','external_id',\%w);
			my @vals = ('',$host_id,$sid,$sn{'template'},$sn{'extinfo'},$sn{'escalation'},'1',$sn{'check_comand'},$sn{'command_line'},'');
			my $service_id = StorProc->insert_obj_id('services',\@vals,'service_id');
			if ($service_id =~ /^Error/) { push @errors, $service_id }
			@vals = ($sp{'file_id'},$service_id);
			$result = StorProc->insert_obj('file_service',\@vals);
			if ($result =~ /^Error/) { push @errors, $result }
			if ($sn{'dependency'}) {
				@vals = ('',$service_id,$host_id,$host_id,$sn{'template'},'');
				$result = StorProc->insert_obj('service_dependency',\@vals);
				if ($result =~ /^Error/) { push @errors, $result }
			}
			foreach my $ext (@externals) {
				my %e = StorProc->fetch_one('externals','external_id',$ext);
				@vals = ($ext,$host_id,$service_id,$e{'display'});
				$result = StorProc->insert_obj('external_service',\@vals);
				if ($result =~ /^Error/) { push @errors, $result }
			}
		}
	} elsif ($query->param('external_add')) {	
		my $external_name = $query->param('external');
		my $service_id = $query->param('service_id');
		my $host_id = $query->param('id');
		my $type = $query->param('type');
		my %w = ('name' => $external_name,'type' => $type);
		my %e = StorProc->fetch_one_where('externals',\%w);
		if ($type eq 'service') {
			my @vals = ($e{'external_id'},$host_id,$service_id,$e{'display'});
			my $result = StorProc->insert_obj('external_service',\@vals);
			if ($result =~ /^Error/) { push @errors, $result }
		} else {
			my @vals = ($e{'external_id'},$host_id,$e{'display'});
			my $result = StorProc->insert_obj('external_host',\@vals);
			if ($result =~ /^Error/) { push @errors, $result }
		}
	} elsif ($query->param('save') || $submit eq 'Save') {	
		if ($obj_view eq 'host_vitals') {
			my %data = parse_query('host_templates','host_overrides');
			my $alias = $query->param('alias');
			my $address = $query->param('address');
			my $host_template = $query->param('template');
			my $extinfo = $query->param('extended_info');
			my $checks_enabled = $query->param('checks_enabled');
			my $coords2d = $query->param('coords2d');
			my $coords3d = $query->param('coords3d');
			my $file = $query->param('file');
			if ($alias && $address && $host_template && $file) {
				my %values = ('alias' => $alias,'address' => $address);
				my %t = StorProc->fetch_one('host_templates','name',$host_template);
				$values{'hosttemplate_id'} = $t{'hosttemplate_id'};
				my %e = StorProc->fetch_one('extended_host_info_templates','name',$extinfo);
				$values{'hostextinfo_id'} = $e{'hostextinfo_id'};
				my $result = StorProc->update_obj('hosts','host_id',$properties{'host_id'},\%values);
				if ($result =~ /^Error/) { push @errors, $result }
				$result = StorProc->delete_all('file_host','host_id',$properties{'host_id'});
				if ($result =~ /^Error/) { push @errors, $result }
				my %f =  StorProc->fetch_one('files','name',$file,);
				my @vals = ($f{'file_id'},$properties{'host_id'});
				$result = StorProc->insert_obj('file_host',\@vals);
				if ($result =~ /^Error/) { push @errors, $result }
				if ($coords2d || $coords3d) { 
 					my $data = "<?xml version=\"1.0\" ?>\n<data>";
					if ($coords2d) { $data .= "\n  <prop name=\"2d_coords\"><![CDATA[$coords2d]]>\n  </prop>" }
					if ($coords3d) { $data .= "\n  <prop name=\"3d_coords\"><![CDATA[$coords3d]]>\n  </prop>" }
					$data .= "\n</data>";
					my %w = ('host_id' => $properties{'host_id'});
					my $result = StorProc->delete_one_where('extended_info_coords',\%w);
					if ($result =~ /^Error/) { push @errors, $result }
					my @vals = ($properties{'host_id'},$data);
					$result = StorProc->insert_obj('extended_info_coords',\@vals);
					if ($result =~ /^Error/) { push @errors, $result }	
				}
				my %where = ('host_id' => $properties{'host_id'});
				my $result = StorProc->delete_one_where('host_overrides',\%where);
				if ($result =~ /^Error/) { push @errors, $result }
				if ($data{'check_period'} || $data{'notification_period'}|| $data{'check_command'} || $data{'event_handler'} || $data{'data'}) {
					my @values = ($properties{'host_id'},$data{'check_period'},$data{'notification_period'},$data{'check_command'},$data{'event_handler'},$data{'data'});
					my $result = StorProc->insert_obj('host_overrides',\@values);
					if ($result =~ /^Error/) { push @errors, $result }
				}
				if ($query->param('contactgroup_override')) {
					my %where = ('type' => 'hosts','object' => $properties{'host_id'});
					my $result = StorProc->delete_one_where('contactgroup_assign',\%where);
					if ($result =~ /^Error/) { push @errors, $result }
				} else {
					my %where = ('type' => 'hosts','object' => $properties{'host_id'});
					my $result = StorProc->delete_one_where('contactgroup_assign',\%where);
					if ($result =~ /^Error/) { push @errors, $result }
					my @mems = $query->param('contactgroup');
					foreach (@mems) {
						my %cg = StorProc->fetch_one('contactgroups','name',$_);
						my @vals = ($cg{'contactgroup_id'},'hosts',$properties{'host_id'});
						$result = StorProc->insert_obj('contactgroup_assign',\@vals);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				}
				unless (@errors) {
					$obj_view = 'saved';
					$message = "Changes to $name accepted";
				}
			} else {
				push @errors, "Required: alias, address, host template, and file";
				$required = 1;
			}
		} elsif ($obj_view eq 'profile') {
			my $host_profile = $query->param('host_profile');
			my $service_profile = $query->param('service_profile');
			if ($host_profile eq 'no profile') {
				$hidden{'hostprofile_id'} = '';
				my %values = ('hostprofile_id' => '');
				my $result = StorProc->update_obj('hosts','host_id',$properties{'host_id'},\%values);
				if ($result =~ /^Error/) { push @errors, $result }	
			} else {
				my %w = ('name' => $host_profile);
				my %h = StorProc->fetch_one_where('profiles_host',\%w);
				my %values = ('hostprofile_id' => $h{'hostprofile_id'});
				$hidden{'hostprofile_id'} = $h{'hostprofile_id'};
				my $result = StorProc->update_obj('hosts','host_id',$properties{'host_id'},\%values);
				if ($result =~ /^Error/) { push @errors, $result }	
			}
			if ($service_profile eq 'no profile') {
				$hidden{'serviceprofile_id'} = '';
				my %values = ('serviceprofile_id' => '');
				my $result = StorProc->update_obj('hosts','host_id',$properties{'host_id'},\%values);
				if ($result =~ /^Error/) { push @errors, $result }	
			} else {
				my %w = ('name' => $service_profile);
				my %s = StorProc->fetch_one_where('profiles_service',\%w);
				$hidden{'serviceprofile_id'} = $s{'serviceprofile_id'};
				my %values = ('serviceprofile_id' => $s{'serviceprofile_id'});
				my $result = StorProc->update_obj('hosts','host_id',$properties{'host_id'},\%values);
				if ($result =~ /^Error/) { push @errors, $result }	
			}
			unless (@errors) {
				if ($hidden{'hostprofile_id'} || $hidden{'serviceprofile_id'}) {
					$obj_view = 'saved_apply';
					$hidden{'host_id'} = $properties{'host_id'};
					$hidden{'name'} = $name;
					$message = "Changes to $name accepted";
				} else {
					$obj_view = 'saved';
					$message = "Changes to $name accepted. No profiles to apply.";
				}
			}
		} elsif ($obj_view eq 'escalations') {
			my $host_escalation = $query->param('host_escalation');
			my $service_escalation = $query->param('service_escalation');
			my %w = ('name' => $host_escalation,'type' => 'host');
			my %he = StorProc->fetch_one_where('escalation_trees',\%w);
			%w = ('name' => $service_escalation,'type' => 'service');
			my %se = StorProc->fetch_one_where('escalation_trees',\%w);
			my %values = ('host_escalation_id' => $he{'tree_id'},'service_escalation_id' => $se{'tree_id'});
			my $result = StorProc->update_obj('hosts','host_id',$properties{'host_id'},\%values);
			if ($result =~ /^Error/) { push @errors, $result }	
			unless (@errors) {
				$obj_view = 'saved';
				$message = "Changes to $name accepted";
			}
		} elsif ($obj_view eq 'parents') {
			my @parents = $query->param('parents');
			my %w = ('host_id' => $properties{'host_id'});
			my $result = StorProc->delete_one_where('host_parent',\%w);
			if ($result =~ /^Error/) { push @errors, $result }
			my @parents = $query->param('parents');
			foreach my $parent (@parents) {
				if (!$parent) { next }
				my %h = StorProc->fetch_one('hosts','name',$parent);
				my @vals = ($properties{'host_id'},$h{'host_id'});
				my $result = StorProc->insert_obj('host_parent',\@vals);
				if ($result =~ /^Error/) { push @errors, $result }
			}
			unless (@errors) { 
				$obj_view = 'saved';
				$message = "Changes to parent accepted";
			}
		} elsif ($obj_view eq 'hostgroups') {
			my %w = ('host_id' => $properties{'host_id'});
			my $result = StorProc->delete_one_where('hostgroup_host',\%w);
			if ($result =~ /^Error/) { push @errors, $result }
			my @hostgroups = $query->param('members');
			foreach my $hg (@hostgroups) {
				if (!$hg) { next }
				my %h = StorProc->fetch_one('hostgroups','name',$hg);
				my @vals = ($h{'hostgroup_id'},$properties{'host_id'});
				my $result = StorProc->insert_obj('hostgroup_host',\@vals);
				if ($result =~ /^Error/) { push @errors, $result }
			}
			unless (@errors) { 
				$obj_view = 'saved';
				$message = "Changes to $name hostgroups accepted";
			}
		} elsif ($obj_view eq 'host_external_detail') {
			my $data = $query->param('data');
			my $external_id = $query->param('external_id');
			my %values = ('data' => $data);
			my $result = StorProc->update_obj('external_host','external_id',$external_id,\%values);
			if ($result =~ /^Error/) { push @errors, $result }	
			unless (@errors) { 
				$obj_view = 'saved';
				$message = "Changes to $name external accepted";
			}
		} elsif ($obj_view eq 'service_external_detail') {
			my $data = $query->param('data');
			my $external_id = $query->param('external_id');
			my $service_name = $query->param('service_name');
			my $service_id = $query->param('service_id');
			$hidden{'service_name'} = $service_name;
			$hidden{'service_id'} = $service_id;
			my %values = ('data' => $data);
			my %where = ('service_id' => $service_id,'external_id' => $external_id);
			my $result = StorProc->update_obj_where('external_service',\%values,\%where);
			if ($result =~ /^Error/) { push @errors, $result }	
			unless (@errors) { 
				$obj_view = 'saved';
				$message = "Changes to $name external accepted";
				$hidden{'service_detail'} = 1;
			}
		} elsif ($obj_view eq 'service_detail') {
			my %values = ();
			my $service_name = $query->param('service_name');
			my $service_id = $query->param('service_id');
			$hidden{'service_name'} = $service_name;
			$hidden{'service_id'} = $service_id;
			my %s = StorProc->fetch_one('service_names','name',$service_name);
			my $ext_info = $query->param('ext_info');
			my %x = StorProc->fetch_one('extended_service_info_templates','name',$ext_info);
			my $escalation = $query->param('esclation');
			my %e = StorProc->fetch_one('escalation_trees','name',$escalation);
			my $template = $query->param('template');
			my %t = StorProc->fetch_one('service_templates','name',$template);
			my %data = parse_query('service_overrides','service_overrides');
			my $check_command = $query->param('check_command');
			my $command_line = $query->param('command_line');
			my %check = ();
			unless ($query->param('check_command_override')) {
				%check = StorProc->fetch_one('commands','name',$check_command);
			}
			if ($query->param('command_line_override')) {
				$command_line = undef;
			}
			my %vals = ('serviceextinfo_id' => $x{'serviceextinfo_id'},'escalation_id' => $s{'tree_id'},'servicetemplate_id' => $t{'servicetemplate_id'},'check_command' => $check{'command_id'},'command_line' => $command_line);
			my $result = StorProc->update_obj('services','service_id',$service_id,\%vals);
			if ($result =~ /^Error/) { push @errors, $result }

			my %where = ('service_id' => $properties{'service_id'});
			my $result = StorProc->delete_one_where('service_overrides',\%where);
			if ($result =~ /^Error/) { push @errors, $result }

			if ($data{'check_period'} || $data{'notification_period'} || $data{'event_handler'} || $data{'data'}) {
				my @values = ($service_id,$data{'check_period'},$data{'notification_period'},$data{'event_handler'},$data{'data'});
				my $result = StorProc->insert_obj('service_overrides',\@values);
				if ($result =~ /^Error/) { push @errors, $result }
			}

			my %where = ('type' => 'services','object' => $service_id);
			my $result = StorProc->delete_one_where('contactgroup_assign',\%where);
			if ($result =~ /^Error/) { push @errors, $result }
			unless ($query->param('contactgroup_override')) {
				my @mems = $query->param('contactgroup');
				foreach (@mems) {
					my %cg = StorProc->fetch_one('contactgroups','name',$_);
					my @vals = ($cg{'contactgroup_id'},'services',$service_id);
					$result = StorProc->insert_obj('contactgroup_assign',\@vals);
					if ($result =~ /^Error/) { push @errors, $result }
				}
			}
			unless (@errors) {
				$obj_view = 'saved';
				$message = "Changes to $service_name accepted";
				$hidden{'service_detail'} = 1;
			}
		}
	} elsif ($submit eq 'Add Dependency') {
		my $dependency = $query->param('add_dependency');
		my $service_name = $query->param('service_name');
		my $service_id = $query->param('service_id');
		$hidden{'service_name'} = $service_name;
		$hidden{'service_id'} = $service_id;
		my $parent = $query->param('depend_on_host');
		my %p = StorProc->fetch_one('hosts','name',$parent);
		my %d = StorProc->fetch_one('service_dependency_templates','name',$dependency);
		my %w = ('service_id' => $service_id,'host_id' => $properties{'host_id'},'depend_on_host_id' => $p{'host_id'},'template' => $d{'id'});
		my %check_dep = StorProc->fetch_one_where('service_dependency',\%w);	
		if ($dependency && $service_id && $parent) {
			unless ($check_dep{'id'}) {
				my @values = ('',$service_id,$properties{'host_id'},$p{'host_id'},$d{'id'},'');
				my $result = StorProc->insert_obj('service_dependency',\@values);
				if ($result =~ /^Error/) { push @errors, $result }	
			} else {
				push @errors, "Already defined. Check existing dependencies";
			}
		}
	} elsif ($submit =~ /remove_host_external/) {
		my $external_id = $query->param('external_id');
		my $result = StorProc->delete_all('external_host','external_id',$external_id);
		if ($result =~ /^Error/) { push @errors, $result }
	} elsif ($submit =~ /remove_service_external/) {
		my $external_id = $query->param('external_id');
		my $service_id = $query->param('service_id');
		my %where = ('service_id' => $service_id,'external_id' => $external_id);
		my $result = StorProc->delete_one_where('external_service',\%where);
		if ($result =~ /^Error/) { push @errors, $result }
	} elsif ($submit =~ /remove_dependency/) {
		my $dep_id = $query->param('dependency_id');
		my $result = StorProc->delete_all('service_dependency','id',$dep_id);
		if ($result =~ /^Error/) { push @errors, $result }
	} elsif ($submit eq 'remove_service') {
		my $service_id = $query->param('service_id');
		my $result = StorProc->delete_all('services','service_id',$service_id);
		if ($result =~ /^Error/) { push @errors, $result }
		$obj_view = 'services';
	} elsif ($query->param('rename')) {
		my $new_name = $query->param('new_name');
		if ($new_name) {
			my %n = StorProc->fetch_one('hosts','name',$new_name);
			if ($name =~ /$new_name/i) { delete $n{'name'} }
			if ($n{'name'}) {
				$obj_view = 'rename';
				push @errors, "Cannot rename. Another host has name $new_name.";
			} else {
				my %values = ('name' => $new_name);
				my $result = StorProc->update_obj('hosts','name',$name,\%values);
				if ($result =~ /^Error/) { 
					push @errors, $result;
					$obj_view = 'rename';
				} else {
					$name = $new_name;
					%properties = StorProc->fetch_host($name);
					$obj_view = 'host_vitals';
				}
			}
		} else {
			$obj_view = 'rename';
		}
	} elsif ($submit eq 'Add Service(s)') {
		my $file = $query->param('file');
		if ($file) {
			my @services = $query->param('add_service');
			foreach my $service (@services) {
				if ($service) {
					my %s = StorProc->fetch_one('service_names','name',$service);
					my @values = ('',$properties{'host_id'},$s{'servicename_id'},$s{'template'},$s{'extinfo'},$s{'escalation'},'1',$s{'check_command'},$s{'command_line'},'');
					my $id = StorProc->insert_obj_id('services',\@values,'service_id');
					if ($id =~ /^Error/) { push @errors, $id }	
					my $file = $query->param('file');
					my %f = StorProc->fetch_one('files','name',$file);
					@values = ($f{'file_id'},$id);
					my $result = StorProc->insert_obj('file_service',\@values);
					if ($result =~ /^Error/) { push @errors, $result }	
					if ($s{'dependency'}) {
						my %t =  StorProc->fetch_one('service_dependency_templates','name',$s{'dependency'});
						@values = ('',$id,$properties{'host_id'},$properties{'host_id'},$s{'dependency'},'');
						$result = StorProc->insert_obj('service_dependency',\@values);
						if ($result =~ /^Error/) { push @errors, $result }	
					}
				}
			}	
		} else {
			push @errors, "Required: Select a file.";
			$required{'file'} = 1;
		}
	} elsif ($query->param('delete') || $query->param('confirm_delete_host') || $query->param('task') eq 'No') {
		if ($query->param('confirm_delete_host')) {
			my $result = StorProc->delete_all('hosts','name',$name);
			if ($result =~ /^Error/) { 
				push @errors, $result;
				$obj_view = 'host_vitals';
			} else {
				$obj_view = 'deleted';
			}
		} elsif ($query->param('task') eq 'No') {
			$obj_view = 'host_vitals';		
		} else {
			$obj_view = 'delete_host';
		}
	} elsif ($query->param('delete') || $query->param('confirm_delete_service')) {
		my $service_name = $query->param('service_name');
		if ($query->param('confirm_delete_service')) {
			my %where = ('name' => $service_name, 'host_name' => $name);
			my %sid = StorProc->fetch_one_where('services',\%where);
			my $result = StorProc->delete_all('services','service_id',$sid{'id'});
			if ($result =~ /^Error/) { push @errors, $result }
			$obj_view = 'Service List';
		} elsif ($query->param('task') eq 'No') {
			$obj_view = 'Service List';		
		} else {
			$hidden{'name'} = $name; 
			$hidden{'obj_view'} = $obj_view;
			$hidden{'submit'} = 'service_delete';
			$hidden{'service_name'} = $service_name;
			my $message = qq(Are you sure you want to remove service $service_name from host $name?);
			$form .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete_service',\%hidden);
		}
	}
	delete $hidden{'task'};
	delete $hidden{'obj_view'};
	%delete = ('name' => 'delete','value' => 'Delete');
	%rename = ('name' => 'rename','value' => 'Rename');
	%save = ('name' => 'save','value' => 'Save');
	if (!$obj_view || $obj_view eq 'host_vitals') {
		my %docs = Doc->manage_hosts_vitals();
		$obj_view = 'host_vitals';	
		$form .= Forms->host_top($properties{'name'},$user_acct,$obj_view,'',$auth_add{'externals'},$hidden{'selected'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->text_box('Alias:','alias',$properties{'alias'},$textsize{'alias'},$required,$docs{'alias'});
		$form .= Forms->text_box('Address:','address',$properties{'address'},$textsize{'address'},$required,$docs{'address'});
		$form .= build_host_template($name);
		my @members = StorProc->fetch_list('extended_host_info_templates','name'); 
		push @members, 'remove_extended_info';
		$form .= Forms->list_box('Extended host info template:','extended_info',\@members,$properties{'ext_info'},'',$docs{'extinfo'});
		$form .= Forms->text_box('2d status coords:','coords2d',$properties{'coords2d'},'10','',$docs{'coords2d'});
		$form .= Forms->text_box('3d status coords:','coords3d',$properties{'coords3d'},'15','',$docs{'coords3d'});
		my $file = StorProc->get_file_name('file_host','host_id',$properties{'host_id'});
		my %w = ('type' => 'hosts');
		my @files = StorProc->fetch_list_where('files','name',\%w);
		$form .= Forms->list_box('File:','file',\@files,$file,$required,$docs{'file'});
		$hidden{'obj_view'} = 'host_vitals';
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);		
		if ($auth_delete{$obj}) {
			$form .= Forms->form_bottem_three_button(\%delete,\%rename,\%save);
		} else {
			$form .= Forms->form_bottem_two_button(\%rename,\%save);
		}
	} elsif ($obj_view eq 'profile') {
		my %docs = Doc->manage_hosts_profile();
		my $host_profile = $query->param('host_profile');
		my $service_profile = $query->param('service_profile');
		my $host_profile_save = $query->param('host_profile_save');
		my $spid = undef;
		$form .= Forms->host_top($properties{'name'},$user_acct,$obj_view,'',$auth_add{'externals'},$hidden{'selected'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		if (!$host_profile) {
			$spid = $properties{'serviceprofile_id'};
			my %h = StorProc->fetch_one('profiles_host','hostprofile_id',$properties{'hostprofile_id'});
			if (!$properties{'serviceprofile_id'}) { $spid = $h{'serviceprofile_id'} }
			my %s = StorProc->fetch_one('profiles_service','serviceprofile_id',$properties{'serviceprofile_id'});
			$host_profile = $h{'name'};
			$service_profile = $s{'name'};
		} elsif ($host_profile eq 'no profile') {
			if ($service_profile) {
				my %s = StorProc->fetch_one('profiles_service','name',$service_profile);
				$spid = $s{'serviceprofile_id'};
			} else {
				my %s = StorProc->fetch_one('profiles_service','name',$properties{'service_profile'});
				$spid = $s{'serviceprofile_id'};
				$service_profile = $s{'name'};
			}
		} else {
			my %h = StorProc->fetch_one('profiles_host','name',$host_profile);
			my %s = StorProc->fetch_one('profiles_service','name',$h{'service_profile'});
			unless ($s{'name'}) {
				%s = StorProc->fetch_one('profiles_service','name',$service_profile);
			}
			if ($host_profile eq $host_profile_save) {
				if ($h{'serviceprofile_id'} ne $s{'serviceprofile_id'}) {
					$spid = $s{'serviceprofile_id'};
					$service_profile = $s{'name'};
				} else {
					$spid = $h{'serviceprofile_id'};
					%s = StorProc->fetch_one('profiles_service','serviceprofile_id',$h{'serviceprofile_id'});
					$service_profile = $s{'name'};
				}
			} else {
				$spid = $h{'serviceprofile_id'};
				%s = StorProc->fetch_one('profiles_service','serviceprofile_id',$h{'serviceprofile_id'});
				$service_profile = $s{'name'};
			}
		}
		unless ($host_profile) { $host_profile = 'no profile' }
		unless ($service_profile) { $service_profile = 'no profile'; $spid = undef }
		$hidden{'host_profile_save'} = $host_profile;
		my @host_profiles = ('no profile');
		my @profiles = StorProc->fetch_list('profiles_host','name');
		push (@host_profiles,@profiles);
		$form .= Forms->list_box_submit('Host profile:','host_profile',\@host_profiles,$host_profile,'',$docs{'host_profile'});
		my @service_profiles = ('no profile');
		@profiles = StorProc->fetch_list('profiles_service','name');
		push (@service_profiles,@profiles);
		$form .= Forms->list_box_submit('Service profile:','service_profile',\@service_profiles,$service_profile,'',$docs{'service_profile'});
		my @services = ();
		my %w = ('serviceprofile_id' => $spid);
		my @sids = StorProc->fetch_list_where('serviceprofile','servicename_id',\%w);
		foreach (@sids) {
			my %s = StorProc->fetch_one('service_names','servicename_id',$_);
			push @services, $s{'name'};
		}
		$form .= Forms->form_message('Services:',\@services,'row1');
		$hidden{'obj_view'} = 'profile';
		$hidden{'name'} = $name;
		my %save = ('name' => 'save','value' => 'Save');
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_one_button(\%save);
	} elsif ($obj_view eq 'parents') {
		my %docs = Doc->manage_hosts_parents();
		$form .= Forms->host_top($properties{'name'},$user_acct,$obj_view,'',$auth_add{'externals'},$hidden{'selected'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		my @members = @{$properties{'parents'}};
		@members = sort @members;
		# my @nonmembers = StorProc->get_parents();
		my @nonmembers = StorProc->fetch_list('hosts','name');
		$form .= Forms->members('Parents:','parents',\@members,\@nonmembers,'','',$docs{'parents'});
		$hidden{'obj_view'} = 'parents';
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_one_button(\%save);
	} elsif ($obj_view eq 'escalations') {
		my %docs = Doc->manage_hosts_escalations();
		my $host_escalation = $query->param('host_escalation');
		my $service_escalation = $query->param('service_escalation');
		if (!$host_escalation) {
			my %w = ('tree_id' => $properties{'host_escalation_id'} );
			my %t = StorProc->fetch_one_where('escalation_trees',\%w);
			$host_escalation = $t{'name'};
		}
		if (!$service_escalation) {
			my %w = ('tree_id' => $properties{'service_escalation_id'} );
			my %t = StorProc->fetch_one_where('escalation_trees',\%w);
			$service_escalation = $t{'name'};
		}
		$form .= Forms->host_top($properties{'name'},$user_acct,$obj_view,'',$auth_add{'externals'},$hidden{'selected'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		my %where = ('type','host');
		my @members = StorProc->fetch_list_where('escalation_trees','name',\%where);
		$form .= Forms->list_box_submit('Host escalation:','host_escalation',\@members,$host_escalation,'',$docs{'host_escalation_tree'});
		if ($host_escalation) {
			my ($ranks, $templates) = StorProc->get_tree_detail($host_escalation);
			my %ranks = %{$ranks};
			my %templates = %{$templates};
			$form .= Forms->escalation_tree(\%ranks,\%templates,'escalations');
		}
		my %where = ('type','service');
		@members = StorProc->fetch_list_where('escalation_trees','name',\%where);
		$form .= Forms->list_box_submit('Service escalation:','service_escalation',\@members,$service_escalation,'',$docs{'service_escalation_tree'});
		if ($service_escalation) {
			my ($ranks, $templates) = StorProc->get_tree_detail($service_escalation);
			my %ranks = %{$ranks};
			my %templates = %{$templates};
			$form .= Forms->escalation_tree(\%ranks,\%templates,'escalations');
		}
		$hidden{'obj_view'} = 'escalations';
		$hidden{'name'} = $name;
		my %save = ('name' => 'save','value' => 'Save');
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_one_button(\%save);
	} elsif ($obj_view eq 'hostgroups') {
		my %docs = Doc->manage_hosts_hostgroups();
		$form .= Forms->host_top($properties{'name'},$user_acct,$obj_view,'',$auth_add{'externals'},$hidden{'selected'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		my @members = StorProc->get_hostgroup_host($name);
		my @nonmembers = StorProc->fetch_list('hostgroups','name'); 
		@members = sort @members;
		@nonmembers = sort @nonmembers;
		$form .= Forms->members('Hostgroups:','members',\@members,\@nonmembers,'','',$docs{'hostgroups'}); 
		$hidden{'obj_view'} = 'hostgroups';
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_one_button(\%save);
	} elsif ($obj_view eq 'services') {
		$form .= Forms->host_top($properties{'name'},$user_acct,$obj_view,'',$auth_add{'externals'},$hidden{'selected'});
		my %services = ();
		my %where = ('host_id' => $properties{'host_id'});
		my @services = StorProc->fetch_list_where('services','service_id',\%where);
		my $fsid = undef;
		foreach my $sid (@services) {
			my $service_name = StorProc->get_service_name($sid);
			$service_name =~ s/\s/+/g;
			$services{$service_name} = $sid;
			$fsid = $sid;
		}
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		if (@messages) { $form .= Forms->form_message('Status:',\@messages,'msg') }
		my @service_names = StorProc->fetch_list('service_names','name');
		my @service_list = ();
		foreach my $s (@service_names) { $s =~ s/\s/+/g; unless ($services{$s}) { $s =~ s/\+/ /g; push @service_list, $s } }
		@service_list = sort { $a <=> $b } @service_list;
		my $file = StorProc->get_file_name('file_service','service_id',$fsid);
		my %w = ('type' => 'services');
		my @files = StorProc->fetch_list_where('files','name',\%w);
		$form .= Forms->service_list($user_acct,$name,\%services,\@service_list,\@files,$file,$hidden{'selected'});
		$hidden{'obj_view'} = 'services';
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_no_button();
	} elsif ($obj_view eq 'host_externals') {
		$form .= Forms->host_top($properties{'name'},$user_acct,$obj_view,'',$auth_add{'externals'},$hidden{'selected'});
		my %externals = ();
		my %where = ('host_id' => $properties{'host_id'});
		my @externals = StorProc->fetch_list_where('external_host','external_id',\%where);
		foreach my $eid (@externals) {
			my %e = StorProc->fetch_one('externals','external_id',$eid);
			$externals{$e{'name'}} = $eid;
		}
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		if (@messages) { $form .= Forms->form_message('Status:',\@messages,'msg') }
		my %w = ('type' => 'host');
		my @external_names = StorProc->fetch_list_where('externals','name',\%w);
		my @external_list = ();
		foreach my $s (@external_names) { unless ($externals{$s}) { push @external_list, $s } }
		@external_list = sort { $a <=> $b } @external_list;
		$form .= Forms->external_list($user_acct,$name,\%externals,\@external_list,'host');
		$hidden{'type'} = 'host';
		$hidden{'obj_view'} = 'host_externals';
		$hidden{'name'} = $name;
		$hidden{'id'} = $properties{'host_id'};
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_no_button();
	} elsif ($obj_view eq 'host_external_detail') {
		my $external_name = $query->param('external_name');	
		my $external_id = $query->param('external_id');	
		$hidden{'external_id'} = $external_id;
		my %e = StorProc->fetch_one('external_host','external_id',$external_id);
		$form .= Forms->host_top($properties{'name'},$user_acct,$obj_view,'',$auth_add{'externals'},$hidden{'selected'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->display_hidden('External:','host_external',$external_name);
		$form .= Forms->text_area('Detail:','data',$e{'data'},'30','140');
		$hidden{'obj_view'} = 'host_external_detail';
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);
		my %save = ('name' => 'save','value' => 'Save');
		$form .= Forms->form_bottem_one_button(\%save);
	} elsif ($obj_view eq 'service_detail') {
		my %docs = Doc->manage_hosts_service_detail();
		$hidden{'service_id'} = $query->param('service_id');
		my $service_name = $query->param('service_name');
		my $ext_info = $query->param('ext_info');
		my $escalation = $query->param('escalation');
		if (!$hidden{'service_name'}) { $hidden{'service_name'} = $query->param('service_name') }
		my %p = StorProc->fetch_one('services','service_id',$hidden{'service_id'});
		my %w = ('serviceextinfo_id' => $p{'serviceextinfo_id'});
		my %e = StorProc->fetch_one_where('extended_service_info_templates',\%w);
		$ext_info = $e{'name'};
		%w = ('tree_id' => $p{'escalation_id'});
		unless ($escalation) {
			my %esc = StorProc->fetch_one_where('escalation_trees',\%w);
			$escalation = $esc{'name'};
		}
		my %objs = ('service_id' => $hidden{'service_id'},'service_name' => $service_name);
		$form .= Forms->host_top($properties{'name'},$user_acct,$obj_view,\%objs,$auth_add{'externals'},$hidden{'selected'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->display_hidden('Service name:','service_name',$service_name);
		$form .= build_service_template();
		my @members = StorProc->fetch_list('extended_service_info_templates','name'); 
		$form .= Forms->list_box('Extended info template:','ext_info',\@members,$ext_info,'',$docs{'extinfo'});
		my %where = ('type' => 'service');
		@members = StorProc->fetch_list_where('escalation_trees','name',\%where); 
		$form .= Forms->list_box_submit('Escalation tree:','escalation',\@members,$escalation,'',$docs{'escalation'});
		if ($escalation) {
			my ($ranks, $templates) = StorProc->get_tree_detail($escalation);
			my %ranks = %{$ranks};
			my %templates = %{$templates};
			$form .= Forms->escalation_tree(\%ranks,\%templates,'service_detail');
		}
		$hidden{'obj_view'} = 'service_detail';
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);
		my %save = ('name' => 'save','value' => 'Save');
		$form .= Forms->form_bottem_one_button(\%save);
	} elsif ($obj_view eq 'service_dependencies') {
		$hidden{'service_id'} = $query->param('service_id');
		my $service_name = $query->param('service_name');
		my %objs = ('service_id' => $hidden{'service_id'},'service_name' => $service_name);
		$form .= Forms->host_top($properties{'name'},$user_acct,$obj_view,\%objs,$auth_add{'externals'},$hidden{'selected'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->display_hidden('Service name:','service_name',$service_name);
		my %dependencies = StorProc->get_dependencies($hidden{'service_id'});
		$form .= Forms->dependency_list($name,$hidden{'service_id'},$service_name,$user_acct,\%dependencies);
		my @hosts = StorProc->fetch_list('hosts','name');
		my @dep_templates = StorProc->fetch_list('service_dependency_templates','name');
		$form .= Forms->dependency_add($name,$hidden{'service_id'},$service_name,$user_acct,'service_dependencies',\@dep_templates,\@hosts);
		$hidden{'obj_view'} = 'service_dependencies';
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_no_button();
	} elsif ($obj_view eq 'service_externals') {
		$hidden{'service_id'} = $query->param('service_id');
		$hidden{'service_name'} = $query->param('service_name');
		my %objs = ('service_id' => $hidden{'service_id'},'service_name' => $hidden{'service_name'});
		$form .= Forms->host_top($properties{'name'},$user_acct,$obj_view,\%objs,$auth_add{'externals'},$hidden{'selected'});
		my %externals = ();
		my %where = ('service_id' => $hidden{'service_id'});
		my @externals = StorProc->fetch_list_where('external_service','external_id',\%where);
		foreach my $eid (@externals) {
			my %e = StorProc->fetch_one('externals','external_id',$eid);
			$externals{$e{'name'}} = $eid;
		}
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		if (@messages) { $form .= Forms->form_message('Status:',\@messages,'msg') }
		my %w = ('type' => 'service');
		my @external_names = StorProc->fetch_list_where('externals','name',\%w);
		my @external_list = ();
		foreach my $s (@external_names) { unless ($externals{$s}) { push @external_list, $s } }
		@external_list = sort { $a <=> $b } @external_list;
		$form .= Forms->external_list($user_acct,$name,\%externals,\@external_list,'service',$hidden{'service_id'},$hidden{'service_name'});
		$hidden{'type'} = 'service';
		$hidden{'id'} = $properties{'host_id'};
		$hidden{'obj_view'} = 'service_externals';
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_no_button();
	} elsif ($obj_view eq 'service_external_detail') {
		my $service_name = $query->param('service_name');
		$hidden{'service_id'} = $query->param('service_id');
		my %objs = ('service_id' => $hidden{'service_id'},'service_name' => $hidden{'service_name'});
		my $external_name = $query->param('external_name');	
		my $external_id = $query->param('external_id');	
		$hidden{'external_id'} = $external_id;
		my %w = ('service_id' => $hidden{'service_id'},'external_id' => $external_id);
		my %e = StorProc->fetch_one_where('external_service',\%w);
		my %objs = ('service_id' => $hidden{'service_id'},'service_name' => $service_name);
		$form .= Forms->host_top($properties{'name'},$user_acct,$obj_view,\%objs,$auth_add{'externals'},$hidden{'selected'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->display_hidden('Service name:','service_name',$service_name);
		$form .= Forms->display_hidden('External:','service_external',$external_name);
		$form .= Forms->text_area('Detail:','data',$e{'data'},'30','140');
		$hidden{'type'} = 'service';
		$hidden{'id'} = $properties{'host_id'};
		$hidden{'obj_view'} = 'service_external_detail';
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);
		my %save = ('name' => 'save','value' => 'Save');
		$form .= Forms->form_bottem_one_button(\%save);
	} elsif ($obj_view eq 'saved') {
		if ($hidden{'service_name'}) { $obj_view = 'service_detail' }
		my %objs = ('service_id' => $hidden{'service_id'},'service_name' => $hidden{'service_name'});
		$form .= Forms->host_top($properties{'name'},$user_acct,$obj_view,\%objs,$auth_add{'externals'},$hidden{'selected'});
		$form .= Forms->display_hidden('Saved:','',$message);
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_no_button();
	} elsif ($obj_view eq 'saved_apply') {
		$obj_view = 'profiles';
		$form .= Forms->host_top($properties{'name'},$user_acct,$obj_view,'',$auth_add{'externals'},$hidden{'selected'});
		$form .= Forms->display_hidden('Saved:','',$message);
		$form .= Forms->hidden(\%hidden);
		my %apply = ('name' => 'apply','value' => 'Apply Profile to Host');
		$form .= Forms->form_bottem_one_button(\%apply);
	} elsif ($obj_view eq 'rename') {
		$form .= Forms->host_top($properties{'name'},$user_acct,$obj_view,'',$auth_add{'externals'},$hidden{'selected'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->text_box('Rename to:','new_name','',$textsize{'name'},$required);
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_one_button(\%rename);
	} elsif ($obj_view eq 'delete_host') {
		$hidden{'name'} = $name; 
		$hidden{'obj_view'} = $obj_view;
		my $message = qq(Are you sure you want to remove host $name?);
		$form .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete_host',\%hidden);
	} elsif ($obj_view eq 'deleted') {
		$form .= Forms->form_top('Status','');
		my @message = ("Host $name.");
		$form .= Forms->form_message("Removed:",\@message ,'row1');
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_one_button(\%continue);		
	}
	return $form;
}


#
##################################################
# Sub Delete Object
#

sub delete_object($$) {
	my $id = shift;
	my $name = shift;
	my $form = undef;
	my $title = undef;
	my @t_parse = split(/_/, $obj);
	foreach (@t_parse) { $_ =~ s/ies/y/g; $title .= "\u$_ "; }
	$title =~ s/s\s$//;
	my %dep_templates = ();
	$dep_templates{'time_periods'}{'host_templates'} = [ ('notification_period') ];
	$dep_templates{'time_periods'}{'service_templates'} = [ ('notification_period','check_period') ];
	$dep_templates{'time_periods'}{'contact_templates'} = [ ('host_notification_period','service_notification_period') ];	
	$dep_templates{'commands'}{'host_templates'} = [ ('check_command','event_handler') ];
	$dep_templates{'commands'}{'service_templates'} = [ ('check_command','event_handler') ];
	$dep_templates{'commands'}{'services'} = [ ('check_command') ];
	$dep_templates{'host_templates'}{'hosts'} = [ ('hosttemplate_id') ];
	$dep_templates{'host_templates'}{'profiles_host'} = [ ('host_template_id') ];
	$dep_templates{'service_templates'}{'service_templates'} = [ ('parent_id') ];
	$dep_templates{'service_templates'}{'service_names'} = [ ('template') ];
	$dep_templates{'service_templates'}{'services'} = [ ('servicetemplate_id') ];
	$dep_templates{'contact_templates'}{'contacts'} = [ ('contacttemplate_id') ];
	$dep_templates{'service_dependency_templates'}{'service_dependency'} = [ ('template') ];
	$dep_templates{'contactgroups'}{'contactgroup_assign'} = [ ('contactgroup_id') ];
	$dep_templates{'contactgroups'}{'contactgroup_contact'} = [ ('contactgroup_id') ];
	$dep_templates{'contactgroups'}{'tree_template_contactgroup'} = [ ('contactgroup_id') ];
	$dep_templates{'escalation_templates'}{'escalation_tree_template'} = [ ('template_id') ];
	$dep_templates{'extended_service_info_templates'}{'services'} = [ ('serviceextinfo_id') ];
	$dep_templates{'extended_service_info_templates'}{'service_names'} = [ ('extinfo') ];
	$dep_templates{'extended_host_info_templates'}{'host'} = [ ('hostextinfo_id') ];
	$dep_templates{'extended_host_info_templates'}{'profiles_host'} = [ ('host_extinfo_id') ];
	unless ($id) {
		my $otable = $obj;
		if ($otable =~ /escalation_template/) { $otable = 'escalation_templates' }
		if ($otable eq 'escalations') { $otable = 'escalation_trees' }
		my %id = StorProc->fetch_one($otable,'name',$name);
		$id = $id{$obj_id{$otable}};
	}
	$hidden{'id'} = $id;
	my $all_clear = 1;
	my %dependencies = ();
	foreach my $table (keys %{$dep_templates{$obj}}) {
		foreach my $column (@{$dep_templates{$obj}{$table}}) {
			my @dep = ();
			if ($table =~ /services|service_dependency$/) {
				my @names = StorProc->get_hostname_servicename($table,$column,$id);
				for my $i ( 0 .. $#names ) {
					for my $name ( keys %{ $names[$i] } ) {
						push @dep, "$name - $names[$i]{$name}";
					}
				}
				$dependencies{'Host - Service'} = [ @dep ];
			} elsif ($table eq 'contactgroup_assign') {
				my @names = StorProc->get_contactgroup_object($id,\%obj_id);
				for my $i ( 0 .. $#names ) {
					for my $name ( keys %{ $names[$i] } ) {
						push @dep, "$name - $names[$i]{$name}";
					}
				}
				$dependencies{'Templates/Hostgroups'} = [ @dep ];
			} elsif ($table eq 'tree_template_contactgroup') {
				@dep = StorProc->get_tree_contactgroup($id);
				$dependencies{'Escalation trees'} = [ @dep ];
			} elsif ($table eq 'contactgroup_contact') {
				@dep = StorProc->get_contact_contactgroup($id);
				$dependencies{'Contacts'} = [ @dep ];
			} else {
				my %where = ($column => $id);
				@dep = StorProc->fetch_list_where($table,'name',\%where);
				$dependencies{$table} = [ @dep ];
			}
			if ($dep[0]) { $all_clear = 0 }
		}
	}		
	if ($all_clear) {
		if ($query->param('confirm_delete')) {
			my $otable = $obj;
			if ($otable =~ /escalation_template/) { 
				$otable = 'escalation_templates';
				$obj = 'escalation_templates';
			}
			if ($otable eq 'escalations') { 
				$otable = 'escalation_trees';
				$obj = 'escalation_trees';
			}
			my $result = StorProc->delete_all($otable,$obj_id{$obj},$id);
			$form .= Forms->form_top("Delete $title",'');
			if ($result =~ /^Error/) { 
				push @errors, "Unable to process request $result";
				$form .= Forms->form_errors(\@errors);
			} else {
				my @message = ("$name");
				$form .= Forms->form_message('Removed:',\@message,'row1');			
			}
			$form .= Forms->hidden(\%hidden);
			$form .= Forms->form_bottem_one_button(\%continue);
		} else {
			foreach my $name ($query->param) {
				unless ($name eq 'nocache') { $hidden{$name} = $query->param($name) }
			}
			delete $hidden{'task'};
			delete $hidden{'submit'};
			if ($obj =~ /escalation_template/) {
				$hidden{'task'} = 'escalation_template';		
			} elsif ($obj =~ /escalation_trees/) {
				$hidden{'task'} = 'escalation_tree';		
			} else {
				$hidden{'task'} = 'modify';
			}
			my $message = qq(Are you sure you want to remove $name?);
			$form .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden,'bail');
			$task = 'delete';
		}
	} else {
		$form .= Forms->form_top("Delete $title",'');
		$form .= Forms->display_hidden('Name:','name',$name);
		my @message = ("Cannot delete until all dependencies are removed/reassigned.");
		$form .= Forms->form_errors(\@message);	
		foreach my $dep (keys %dependencies) {
			@message = ($dep);
			$form .= Forms->form_message('Object type:',\@message,'row1');	
			$form .= Forms->form_message('&nbsp;',\@{$dependencies{$dep}},'row1');		
		}
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_one_button(\%close);
	}
	return $form;
}

sub rename_object($$) {
	my $id = shift;
	my $name = shift;
	my $form = undef;
	my $title = undef;
	my $ltitle = undef;
	my @t_parse = split(/_/, $obj);
	foreach (@t_parse) { $_ =~ s/ies/y/g; $title .= "\u$_ "; $ltitle = "$_ " }
	$title =~ s/s\s$//;
	my $new_name = $query->param('new_name');
	if ($name eq $new_name) { $new_name = undef }
	my $saved = 0;
	$table = $obj;
	if ($table =~ /escalation_template/) { $table = 'escalation_templates'}
	if ($table =~ /escalations/) { $table = 'escalation_trees'}
	if ($new_name) {
		my %n = StorProc->fetch_one($table,'name',$new_name);
		if ($name =~ /^$new_name$/i) { delete $n{'name'} }
		if ($n{'name'}) {
			$obj_view = 'rename';
			$ltitle =~ s/s\s$//;
			push @errors, "Cannot rename. Another $ltitle has name $new_name.";
		} else {
			my %values = ('name' => $new_name);
			my $result = StorProc->update_obj($table,'name',$name,\%values);
			if ($result =~ /^Error/) { 
				push @errors, $result;
			} else {
				$name = $new_name;
				$saved = 1;
			}
		}
	}
	if ($saved) {
		$form .= Forms->form_top("Rename $title",'');
		my @message = ("$name");
		$form .= Forms->form_message('Renamed:',\@message,'row1');			
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_one_button(\%continue);
	} else {
		$form .= Forms->form_top("Rename $title",'');
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->display_hidden("Name:",'name',$name);
		$form .= Forms->text_box('Rename to:','new_name','',$textsize{'name'});
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_two_button(\%cancel,\%rename);
	}
	return $form;
}

#
##################################################
# Manage
#

sub manage() {
	if ($debug) {
		foreach my $name ($query->param) {
			my $value = $query->param($name);
			error_out("$name $value");
		}
	}
	my $page = undef;
	my $name = $query->param('name');
	my $by = $query->param('by');
	if (!$by) { $by = 'name' }
	my $title = undef;
	my @t_parse = split(/_/, $obj);
	foreach (@t_parse) { $title .= "\u$_ " }
	unless ($query->param('cancel') || $query->param('close') || $submit eq 'Continue') {
		my $task = $query->param('submit');
		if ($obj eq 'servicegroups') {
			$page .= service_group();
		} elsif ($obj eq 'contacts') {
			my $name = $query->param('name');
			$hidden{'name'} = $name;
			my $got_form = undef;
			if ($query->param('delete') || $query->param('confirm_delete')) {
				unless ($query->param('bail')) {
					$page .= Forms->main_page();
					$page .= delete_object('',$name);
					$got_form = 1;
				}
			} elsif ($query->param('rename')) {
				$page .= Forms->main_page($title);
				$page .= rename_object('',$name);
				$got_form = 1;
			} elsif ($query->param('save')) {
				my %contact = StorProc->fetch_one('contacts','name',$name);
				my %data = parse_query('contacts','contacts');
				$properties{'template'} = $query->param('template');
				my $field_ck = check_fields();
				if ($field_ck == 0) {
					my %t = StorProc->fetch_one('contact_templates','name',$properties{'template'});
					my %vals = ('contacttemplate_id' => $t{'contacttemplate_id'},'alias' => $data{'alias'},'email' => $data{'email'},'pager' => $data{'pager'});
					my $result = StorProc->update_obj('contacts','name',$name,\%vals);
					if ($result =~ /^Error/) { push @errors, $result }
					my %where = ('contact_id' => $contact{'contact_id'});
					my $result = StorProc->delete_one_where('contactgroup_contact',\%where);
					if ($result =~ /^Error/) { push @errors, $result }
					my @mems = $query->param('contactgroup');
					foreach (@mems) {
						my %cg = StorProc->fetch_one('contactgroups','name',$_);
						my @vals = ($cg{'contactgroup_id'},$contact{'contact_id'});
						$result = StorProc->insert_obj('contactgroup_contact',\@vals);
						if ($result =~ /^Error/) { push @errors, $result }
					}
					unless (@errors) {
						my %where = ('contact_id' => $contact{'contact_id'});
						my $result = StorProc->delete_one_where('contact_overrides',\%where);
						my %values = ();
						my $got_override = undef;
						unless ($query->param('host_notification_period_override')) {
							my $np = $query->param('host_notification_period');
							my %np = StorProc->fetch_one('time_periods','name',$np);
							$values{'host_notification_period'} = $np{'timeperiod_id'};
							$got_override = 1;
						}
						unless ($query->param('service_notification_period_override')) {
							my $np = $query->param('service_notification_period');
							my %np = StorProc->fetch_one('time_periods','name',$np);
							my %np = StorProc->fetch_one('time_periods','name',$np);
							$values{'service_notification_period'} = $np{'timeperiod_id'};
							$got_override = 1;
						}
						my $data = undef;
						unless ($query->param('host_notification_options_override')) {
							my @no = $query->param('host_notification_options');
							my $str = undef;
							foreach (@no) { $str .= "$_," }
							chop $str;
							$data .= "\n  <prop name=\"host_notification_options\"><![CDATA[$str]]>\n  </prop>";
							$got_override = 1;
						}
						unless ($query->param('service_notification_options_override')) {
							my @no = $query->param('service_notification_options');
							my $str = undef;
							foreach (@no) { $str .= "$_," }
							chop $str;
							$data .= "\n  <prop name=\"service_notification_options\"><![CDATA[$str]]>\n  </prop>";
							$got_override = 1;
						}
						if ($data) {
							$values{'data'} = "<?xml version=\"1.0\" ?>\n<data>".$data."\n</data>";
						}
						if ($got_override) {
							my @vals = ($contact{'contact_id'},$values{'host_notification_period'},$values{'service_notification_period'},$values{'data'});
							$result = StorProc->insert_obj('contact_overrides',\@vals);
							if ($result =~ /^Error/) { push @errors, $result }					
						}
						my %where = ('contact_id' => $contact{'contact_id'});
						my $result = StorProc->delete_one_where('contact_command_overrides',\%where);
						if ($result =~ /^Error/) { push @errors, $result }
						unless ($query->param('host_notification_commands_override')) {
							my @mems = $query->param('host_notification_commands');
							foreach (@mems) {
								my %c = StorProc->fetch_one('commands','name',$_);
								my @vals = ($contact{'contact_id'},'host',$c{'command_id'});
								$result = StorProc->insert_obj('contact_command_overrides',\@vals);
								if ($result =~ /^Error/) { push @errors, $result }					
							}
						}
						unless ($query->param('service_notification_commands_override')) {
							my @mems = $query->param('service_notification_commands');
							foreach (@mems) {
								my %c = StorProc->fetch_one('commands','name',$_);
								my @vals = ($contact{'contact_id'},'service',$c{'command_id'});
								$result = StorProc->insert_obj('contact_command_overrides',\@vals);
								if ($result =~ /^Error/) { push @errors, $result }					
							}
						}
						unless (@errors) {
							$page .= Forms->main_page("");
							my $message = "Change to contact $name accepted.";
							$page .= Forms->success('Saved',$message,'submit',\%hidden);
							$got_form = 1;
						}
					}
				}
			}
			unless ($got_form) {
				$page .= Forms->main_page();
				$page .= Forms->form_top('Contact Properties',$cgi_bin.'/monarch.cgi onsubmit="selIt();"');
				$page .= build_contact();
				$page .= Forms->hidden(\%hidden);
				%save = ('name' => 'save','value' => 'Save');
				%delete = ('name' => 'delete','value' => 'Delete');
				$page .= Forms->form_bottem_four_button(\%delete,\%rename,\%cancel,\%save);
			}
		} elsif ($obj eq 'parent_child' && $task eq 'Save') {
			my $parent = $query->param('name');			
			my @children = $query->param('children');
			my %p = StorProc->fetch_one('hosts','name',$parent);
			my $result = StorProc->delete_all('host_parent','parent_id',$p{'host_id'});
			if ($result =~ /^Error/) { push @errors, $result }
			foreach my $child (@children) {
				my %c = StorProc->fetch_one('hosts','name',$child);
				my @vals = ($c{'host_id'},$p{'host_id'});
				$result = StorProc->insert_obj('host_parent',\@vals);
				if ($result =~ /^Error/) { push @errors, $result }
			}
			unless (@errors) {
				my $message = "Changes to $parent have been accepted.";
				$hidden{'name'} = undef;
				$page .= Forms->main_page($title);
				$page .= Forms->success('Updated',$message,'submit',\%hidden);
			} else {
				foreach (@errors) { error_out("errors $_") }
			}
		} elsif ($obj ne 'hosts' && $query->param('rename')) {
			if ($obj =~ /escalation/) { $hidden{'type'} = $query->param('type')	}
			$page .= Forms->main_page($title);
			$page .= rename_object('',$name);
		} elsif ($obj eq 'host_dependencies') {
			my $got_form = 0;
			my $dependent_host = $query->param('dependent_host');
			my $parent_host = $query->param('parent_host');
			unless ($dependent_host && $parent_host) {
				my $name = $query->param('name');
				my @dp = split(/,/, $name);
				$dependent_host = $dp[0];
				$parent_host = $dp[1];
			}
			my %d = StorProc->fetch_one('hosts','name',$dependent_host);
			my %p = StorProc->fetch_one('hosts','name',$parent_host);
			if ($task eq 'Delete' or $query->param('confirm_delete')) {
				if ($query->param('confirm_delete')) {
					my %where = ('host_id' => $d{'host_id'},'parent_id' => $p{'host_id'});
					my $result = StorProc->delete_one_where('host_dependencies',\%where); 
					if ($result =~ /^Error/) { push @errors, $result }		
					unless (@errors) {
						my $message = "Host dependency $dependent_host - $parent_host.";
						$hidden{'name'} = undef;
						$page .= Forms->main_page($title);
						$page .= Forms->success('Removed',$message,'submit',\%hidden);
						$got_form = 1;
					}
				} else {
					$hidden{'dependent_host'} = $dependent_host;
					$hidden{'parent_host'} = $parent_host;
					$page .= Forms->main_page($title);
					my $message = qq(Are you sure you want to remove the host dependency for $dependent_host and $parent_host?);
					$page .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden);
					$got_form = 1;
				}
			} elsif ($task eq 'Save') {
				my @notify = $query->param('notification_failure_criteria');
				my $nfc = undef;
				foreach my $n (@notify) {
					$nfc .= "$n,";
				}
				chop $nfc;
				my $data = qq(<?xml version="1.0" ?>
<data>
  <prop name="notification_failure_criteria"><![CDATA[$nfc]]>
  </prop>
</data>);
		
				if ($notify[0] && $p{'host_id'}) {
					my %values = ('parent_id' => $p{'host_id'},'data' => $data);
					my %where = ('host_id' => $d{'host_id'},'parent_id' => $p{'host_id'});
					my $result = StorProc->update_obj_where($table,\%values,\%where);
					if ($result =~ /^Error/) { push @errors, $result }
					unless (@errors) {
						my $message = "Changes to host dependency have been saved.";
						$hidden{'name'} = undef;
						$page .= Forms->main_page($title);
						$page .= Forms->success('Updated',$message,'submit',\%hidden);
						$got_form = 1;
					}
				} else {
					push @errors, "Please correct missing fields (All are required)";
				}
			}
			unless ($got_form) {
				my @parents = StorProc->fetch_list('hosts','name');
				$page .= Forms->main_page('Host Dependencies');
				if ($dependent_host) {
					my %n = StorProc->fetch_one('hosts','name',$name);
					my %where = ('host_id' => $d{'host_id'},'parent_id' => $p{'host_id'});
					%properties = StorProc->fetch_one_where('host_dependencies',\%where);
					my %p = StorProc->fetch_one('hosts','host_id',$properties{'parent_id'});
					$page .= Forms->form_top('Host Dependency Properties','');
					if (@errors) { $page .= Forms->form_errors(\@errors) }
					$page .= Forms->display_hidden("Host:",'dependent_host',$dependent_host);
					$page .= Forms->list_box("Parent:",'parent_host',\@parents,$p{'name'});
					my @opts = split(/,/, $properties{'notification_failure_criteria'});
					$page .= Forms->failure_criteria('notification_failure_criteria',\@opts,$required{'notification_failure_criteria'},'host_dependencies');
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_three_button(\%delete,\%cancel,\%save);
				} elsif ($is_portal) {
					my @hosts = StorProc->get_names_in('host_id','hosts','host_dependencies');
					$page .= Forms->form_top('Select Dependent Host','');
					$page .= Forms->list_box("Host:",'name',\@hosts);
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_two_button(\%cancel,\%select);
				}
			}
		} elsif ($obj ne 'hosts' && $task eq 'Delete' or $query->param('confirm_delete')) {
			if ($obj =~ /escalation/) { $hidden{'type'} = $query->param('type')	}
			$page .= Forms->main_page($title);
			$page .= delete_object('',$name);

		} elsif ($obj ne 'hosts' && $task eq 'Save') {
			my %values = ();
			if ($obj =~ /escalation/) { $table = 'escalation_templates' }
			my %data = parse_query($table,$obj);
			my $field_ck = check_fields();
			if ($field_ck == 0) {
				foreach my $key (keys %data) {
					unless ($key =~ /HASH|^name$|members|^contact$|^contactgroup$|^parents$|notification_commands/) {
						$values{$key} = $data{$key};					
					}
				}
				my $result = StorProc->update_obj($table,'name',$data{'name'},\%values);
				if ($result =~ /^Error/) { push @errors, $result }
				if ($data{'members'}) {
					my %n = StorProc->fetch_one('hostgroups','name',$name);
					my $result = StorProc->delete_all('hostgroup_host','hostgroup_id',$n{'hostgroup_id'});
					if ($result =~ /^Error/) { push @errors, $result }
					my @mems = split(/,/, $data{'members'});
					foreach (@mems) {
						my %m = StorProc->fetch_one('hosts','name',$_);
						my @vals = ($n{'hostgroup_id'},$m{'host_id'});
						$result = StorProc->insert_obj('hostgroup_host',\@vals);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				}
				if ($data{'contact'}) {
					my %cg = StorProc->fetch_one('contactgroups','name',$data{'name'});
					my $result = StorProc->delete_all('contactgroup_contact','contactgroup_id',$cg{'contactgroup_id'});
					if ($result =~ /^Error/) { push @errors, $result }
					my @mems = split(/,/, $data{'contact'});
					foreach (@mems) {
						my %c = StorProc->fetch_one('contacts','name',$_);
						my @vals = ($cg{'contactgroup_id'},$c{'contact_id'});
						$result = StorProc->insert_obj('contactgroup_contact',\@vals);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				}
				if ($data{'contactgroup'}) {
					my %o = StorProc->fetch_one($table,'name',$name);
					my %w = ('type' => $table,'object' => $o{$obj_id{$obj}});
					my $result = StorProc->delete_one_where('contactgroup_assign',\%w);
					if ($result =~ /^Error/) { push @errors, $result }
					my @mems = split(/,/, $data{'contactgroup'});
					foreach (@mems) {
						my %cg = StorProc->fetch_one('contactgroups','name',$_);
						my @vals = ($cg{'contactgroup_id'},$obj,$o{$obj_id{$obj}});
						$result = StorProc->insert_obj('contactgroup_assign',\@vals);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				}
				if ($data{'host_notification_commands'}) {
					my %o = StorProc->fetch_one($table,'name',$name);
					my %w = ('contacttemplate_id' => $o{'contacttemplate_id'},'type' => 'host');
					my $result = StorProc->delete_one_where('contact_command',\%w);
					my @c = split(/,/, $data{'host_notification_commands'});		
					foreach (@c) {
						my @vals = ($o{'contacttemplate_id'},'host',$_);
						my $result = StorProc->insert_obj('contact_command',\@vals);
						if ($result =~ /Error/) { push @errors, $result }
					}	
				}

				if ($data{'service_notification_commands'}) {
					my %o = StorProc->fetch_one($table,'name',$name);
					my %w = ('contacttemplate_id' => $o{'contacttemplate_id'},'type' => 'service');
					my $result = StorProc->delete_one_where('contact_command',\%w);
					my @c = split(/,/, $data{'service_notification_commands'});		
					foreach (@c) {
						my @vals = ($o{'contacttemplate_id'},'service',$_);
						my $result = StorProc->insert_obj('contact_command',\@vals);
						if ($result =~ /Error/) { push @errors, $result }
					}	
				}
				unless (@errors) {
					my $message = "Changes to $name have been saved.";
					$hidden{'name'} = undef;
					$page .= Forms->main_page($title);
					$page .= Forms->success('Updated',$message,'submit',\%hidden);
				} else {
					foreach (@errors) { error_out("errors $_") }
				}
			} elsif ($field_ck == 1) {
				$page .= Forms->main_page($title);
				$page .= build_form();
			}
		} elsif ($obj =~ /escalation/) {
			$page .= Forms->main_page("Escalations");
			my $task = $query->param('task');
			if ($submit eq 'Done') { $task = undef }
			if ($task) {
				$page .= escalations();
			} else {
				my %source;
				$source{'escalation_template'} = "Escalation template";
				$source{'escalation_tree'} = "Escalation tree";
				$page .= Forms->table_task_links($user_acct,$view,$obj,\%source);				
			}
		} elsif ($obj eq 'parent_child') {
			if ($name) {
				$page .= Forms->main_page("Parent Child");
				my @hosts = StorProc->fetch_list('hosts','name');
				my %pid = StorProc->fetch_one('hosts','name',$name);
				my @children = StorProc->get_children($pid{'host_id'});
				$page .= Forms->form_top('Select Child Hosts',$cgi_bin.'/monarch.cgi onsubmit="selIt();"');
				$page .= Forms->display_hidden("Parent:",'name',$name);
				$page .= Forms->members('Children:','children',\@children,\@hosts,'','10');
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%cancel,\%save);
			} elsif ($is_portal) {
				$page .= Forms->main_page("Parent Child");
				my @parents = StorProc->get_parents();
				$page .= Forms->form_top('Select Parent','');
				$page .= Forms->list_box("Parent host:",'name',\@parents);
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%cancel,\%select);
			}
		} elsif ($obj eq 'export') {
			$page .= Forms->main_page("Export");
			my @results = ();
			use MonarchFile;
			my %nagios = StorProc->fetch_one('setup','name','nagios_etc');
			my %nagios_cfg = StorProc->fetch_one('setup','name','log_file');
			my %nagios_cgi = StorProc->fetch_one('setup','name','default_user_name');
			if ($nagios_cfg{'value'} && $nagios_cgi{'type'}) {
				my ($errors, $usefiles) = Files->build_files($user_acct,"$doc_root/monarch/download",\%property_list,$nagios_ver);
				@errors = @{$errors};
				my %use_file = %{$usefiles};
				@errors = Files->nagios_cfg($user_acct,'2',$nagios{'value'},"$doc_root/monarch/download",\%use_file); 
				$use_file{'nagios.cfg'} = 1;
				@errors = Files->nagios_cgi($user_acct,'2',$nagios{'value'},"$doc_root/monarch/download"); 
				$use_file{'cgi.cfg'} = 1;
				if (@errors) { foreach (@errors) { error_out($_) } }
				my $server = $ENV{'SERVER_NAME'};
				$page .= Forms->table_download_links($doc_root,\%use_file,$server);
			} else {
				$page .= Forms->form_top('Export','');
				unless ($nagios_cfg{'value'}) {
					push @errors, 'Nagios main configuration has not been defined.','Use Control->Nagios main configuration to load an existing file or set defaults.';
				}
				unless ($nagios_cgi{'type'}) {
					push @errors, 'Nagios cgi configuration has not been defined.','Use Control->Nagios cgi configuration to load an existing file or set defaults.';
				}	
				$page .= Forms->form_message("Error(s):",\@errors ,'error');
				$hidden{'obj'} = undef;
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_one_button(\%continue);
			}
		} elsif ($obj eq 'hosts') {
			$hidden{'search'} = $query->param('task');
			if ($query->param('obj_view') eq 'Done') { $name = undef; $hidden{'search'} = undef; }
			$page .= Forms->main_page("Hosts");
			if ($name) {
				$page .= manage_host($name,$by);
			} else {
				if ($hidden{'search'} eq 'host_name') {
					$hidden{'host_name'} = $query->param('host_name');
					if ($hidden{'host_name'}) {
						my @members = StorProc->fetch_list_start('hosts','name','name',$hidden{'host_name'});
						if ($members[0]) {
							if ($members[1]) {
								$page .= Forms->form_top('Search Host By Name','');
								$page .= Forms->list_box("Select host:",'name',\@members);
								$page .= Forms->hidden(\%hidden);
								$page .= Forms->form_bottem_two_button(\%cancel,\%select);
							} else {
								$page .= manage_host($members[0],$by);
							}
						} else {
							push @errors, "No match found.";
							delete $hidden{'host_name'};
						}
					}
					unless ($hidden{'host_name'}) {
						$page .= Forms->form_top('Search Host By Name','');
						if (@errors) { $page .= Forms->form_errors(\@errors) }
						$page .= Forms->text_box("Host name starts with:",'host_name','',$textsize{'name'});
						$page .= Forms->hidden(\%hidden);
						$page .= Forms->form_bottem_two_button(\%cancel,\%select);
					}
				} elsif ($hidden{'search'} eq 'host_group') {
					$hidden{'hostgroup'} = $query->param('hostgroup');
					if ($hidden{'hostgroup'}) {
						$page .= Forms->form_top('Select','');
						my @members = StorProc->get_host_hostgroup($hidden{'hostgroup'});
						$page .= Forms->list_box("Host:",'name',\@members);
						$page .= Forms->hidden(\%hidden);
						$page .= Forms->form_bottem_two_button(\%cancel,\%select);
					} else {
						$page .= Forms->form_top('Select','');
						my @members = StorProc->fetch_list('hostgroups','name'); 
						my @authhostgroups = ();
						foreach (@members) { if ($auth_modify{$_}) { push @authhostgroups, $_}	}
						$page .= Forms->list_box("Hostgroup:",'hostgroup',\@members);
						$page .= Forms->hidden(\%hidden);
						$page .= Forms->form_bottem_two_button(\%cancel,\%select);
					}
				} elsif ($hidden{'search'} eq 'host_address') {
					$hidden{'host_address'} = $query->param('host_address');
					if ($hidden{'host_address'}) {
						$page .= Forms->form_top('Select','');
						my @members = StorProc->fetch_list_start('hosts','name','address',$hidden{'host_address'});
						$page .= Forms->list_box("Host:",'name',\@members);
						$page .= Forms->hidden(\%hidden);
						$page .= Forms->form_bottem_two_button(\%cancel,\%select);
					} else {
						$page .= Forms->form_top('Enter','');
						$page .= Forms->text_box("Host address starts with:",'host_address','',$textsize{'address'});
						$page .= Forms->hidden(\%hidden);
						$page .= Forms->form_bottem_two_button(\%cancel,\%select);
					}
				} elsif ($is_portal) {
					my %source;
					$source{'host_name'} = "Find host by name";
					$source{'host_address'} = "Find host by address";
					$source{'host_group'} = "Find host by hostgroup";
					$page .= Forms->table_task_links($user_acct,$view,$obj,\%source);				
				}
			}
		} elsif ($name) {
			$page .= Forms->main_page($title);
			my $title = undef;
			my @t_parse = split(/_/, $obj);
			foreach (@t_parse) { $title .= "\u$_ " }
			$title =~ s/s$//;
			$page .= build_form();
		} elsif ($is_portal && $obj) {
			$page .= Forms->main_page($title);
			$page .= Forms->form_top('Select','');
			my @members = StorProc->fetch_list($obj,'name'); 
			my $title = $obj;
			$title =~ s/_/ /g;
			$title =~ s/ies$/y/;
			$title =~ s/s$//g;
			$page .= Forms->list_box("\u$title:",'name',\@members);
			$hidden{'task'} = 'modify';
			$page .= Forms->hidden(\%hidden);
			$page .= Forms->form_bottem_two_button(\%cancel,\%select);
		}
	}
	return $page;
}

#
##################################################
# Control Center
#

sub control() {
	my @menus = ();
	my %ver = StorProc->fetch_one('setup','name','nagios_version');
	my $page = undef;
	unless ($query->param('cancel') || $query->param('submit') eq 'Close') {

	if ($debug) {
		foreach my $name ($query->param) {
			my $value = $query->param($name);
			error_out("$name $value");
		}
	}

#
##################################################
# Users
#
		if ($obj eq 'users') {
			@errors = ();
			$table = 'users';
			my $user = $query->param('mod_user');
			my $user_name = $query->param('user_name');
			my @password = $query->param('passwd');
			if ($query->param('task') eq 'No') { $task = 'modify' }
			if ($query->param('add') && $user) {
				my $id = undef;
				my %p = StorProc->fetch_one('users','user_acct',$user);
				if (!$password[1]) { $password[1] = 1 }
				unless ($authentication{'disabled'}) {
					if ($password[0] eq $password[1]) { $password[1] = undef }
				} else {
					$password[1] = undef;
				}
				unless ($p{'user_acct'} || $user eq '' || $password[1]) {
					my $now = time;
					$now = $now - 100000;
					my @saltchars = ('a'..'z','A'..'Z','0'..'9',',','/');
					srand(time() ^ ($$ + ($$ << 15)));
					my $salt = $saltchars[int(rand(64))];
					$salt .= $saltchars[int(rand(64))];
					my $newpw = crypt($password[0], $salt);
					my @values = ('',$user,$user_name,$newpw,$now);
					$id = StorProc->insert_obj_id($table,\@values,'user_id');
					if ($id =~ /^Error/) { push @errors, $id }
				} else {
					if ($p{'user_acct'}) { push @errors, "User id $user_acct already exists." }
					if ($user eq '') { push @errors, "Required: User id" }
					if ($password[1]) { push @errors, "Check password fields. They are either blank or a mismatch." }
				}
				unless (@errors) { 
					my @user_groups = $query->param('user_groups');
					my @ugs = StorProc->get_ids('usergroup_id','user_groups',\@user_groups);
					foreach (@ugs) {
						my @values = ($_,$id);
						my $result = StorProc->insert_obj('user_group',\@values);
						if ($result =~ /^Error/) { push @errors, $result }				
					}
				}
				unless (@errors) { 
					$page .= Forms->main_page("User Administration");
					$page .= Forms->form_top("User Account",'');
					my @message = ("User $user added.");
					$page .= Forms->form_message('Added:',\@message,'row1');	
					($task,$user) = undef;
					delete $hidden{'task'};
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_one_button(\%continue);
				}
			} elsif ($query->param('save')) {
				my %values = ();
				if (!$password[1]) { $password[1] = 1 }
				if ($query->param('set_password')) {
					if ($password[0] eq $password[1]) { $password[1] = undef }
				} else {
					$password[1] = undef;
				}
				unless ($password[1]) {
					$values{'user_name'} = $user_name;
					my @saltchars = ('a'..'z','A'..'Z','0'..'9',',','/');
					srand(time() ^ ($$ + ($$ << 15)));
					my $salt = $saltchars[int(rand(64))];
					$salt .= $saltchars[int(rand(64))];
					$values{'password'} = crypt($password[0], $salt);
					my $result = StorProc->update_obj('users','user_acct',$user,\%values);
					if ($result =~ /^Error/) { push @errors, $result }
					unless ($user eq 'super_user') {
						my %u = StorProc->fetch_one('users','user_acct',$user);
						$result = StorProc->delete_all('user_group','user_id',$u{'user_id'});
						if ($result =~ /^Error/) { push @errors, $result }
						my @user_groups = $query->param('user_groups');
						my @ugs = StorProc->get_ids('usergroup_id','user_groups',\@user_groups);
						foreach (@ugs) {
							my @values = ($_,$u{'user_id'});
							my $result = StorProc->insert_obj('user_group',\@values);
							if ($result =~ /^Error/) { push @errors, $result }				
						}
					}
				} else {
					push @errors, "Check password fields. It's either blank or a mismatch";
				}
				unless (@errors) { 
					$page .= Forms->main_page("User Administration");
					my $message = "Changes accepted.";					
					$page .= Forms->form_top("User Account",'');
					my @message = ("Changes to $user accepted.");
					$page .= Forms->form_message('Saved:',\@message,'row1');	
					($task,$user) = undef;
					delete $hidden{'task'};
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_one_button(\%continue);
				}
			} elsif ($query->param('confirm_delete')) {
				my $result = StorProc->delete_all('users','user_acct',$user);
				if ($result =~ /^Error/) { push @errors, $result }
				unless (@errors) { 
					$page .= Forms->main_page("User Administration");
					my $message = "User $user deleted.";					
					$page .= Forms->form_top("User Account",'');
					my @message = ("Changes to $user accepted.");
					$page .= Forms->form_message('Removed:',\@message,'row1');	
					($task,$user) = undef;
					delete $hidden{'task'};
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_one_button(\%continue);
				}
			} elsif ($query->param('delete')) {
				$page .= Forms->main_page("User Administration");
				$hidden{'mod_user'} = $user;
				my $message = qq(Are you sure you want to remove $user?);
				$page .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden);
				$user = undef;
				$task = 'Delete';
			}
			if (@errors || $user || $task =~ /Add|new/i) {
				$page .= Forms->main_page("User Administration");
				my @members = $query->param('user_groups');
				$page .= Forms->form_top('User Account',$cgi_bin.'/monarch.cgi onsubmit="selIt();"');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
				if ($task =~ /Add|new/) {
					$page .= Forms->text_box('Userid:','mod_user',$user,$textsize{'short_name'},$required{'user_acct'});
					$page .= Forms->text_box('User name:','user_name',$user_name,$textsize{'long_name'});
					$hidden{'set_password'} = 1;
				} else {
					my %p = StorProc->fetch_one('users','user_acct',$user);
					if (!$members[0]) {
						@members = StorProc->get_names_in('usergroup_id','user_groups','user_group','user_id',$p{'user_id'}); 
					}
					$page .= Forms->display_hidden('User id:','mod_user',$user);
					$page .= Forms->text_box('User name:','user_name',$p{'user_name'},$textsize{'long_name'});
					$page .= Forms->checkbox('Set password:','set_password',$query->param('set_password'));
				}
				$page .= Forms->password_box('Password:','passwd',$textsize{'short_name'},$required{'password'});
				$page .= Forms->password_box('Password confirm:','passwd',$textsize{'short_name'},$required{'password'});
				%save = ('name' => 'save','value' => 'Save');
				%add = ('name' => 'add','value' => 'Add');
				%delete = ('name' => 'delete','value' => 'Delete');
				unless ($user eq 'super_user') {
					my @nonmembers = StorProc->fetch_list('user_groups','name'); 
					$page .= Forms->members('User groups:','user_groups',\@members,\@nonmembers);
					$page .= Forms->hidden(\%hidden);
					if ($task =~ /Add|new/) {
						$page .= Forms->form_bottem_two_button(\%cancel,\%add);
					} else {
						$page .= Forms->form_bottem_three_button(\%delete,\%cancel,\%save);
					}
				} else {
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_two_button(\%cancel,\%save);
				}
			} elsif ($is_portal && !$task) {
				$page .= Forms->main_page("User Administration");
				$add{'value'} = 'Add New User';
				$page .= Forms->form_top('Add/Modify/Delete','');
				my @members = StorProc->fetch_list('users','user_acct'); 
				$page .= Forms->list_box('User id:','mod_user',\@members);
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_three_button(\%add,\%cancel,\%select);
			}

#
##################################################
# User Groups
#
		} elsif ($obj eq 'user_groups') {
			@errors = ();
			$table = 'user_groups';
			my $groupid = $query->param('groupid');
			my $description = $query->param('description');
			if ($query->param('task') eq 'No') { $task = 'access_list' }
			my $access_set = $query->param('access_set');
			if ($access_set)  { $task = 'access_list' }
			my $access_type = $query->param('access_type');
			my $update_assets = undef;
			my $saved = 0;
			my @message = ();
			%continue = ('name' => 'continue','value' => 'Continue');
			if ($query->param('continue') || $query->param('close') ||  $query->param('cancel')) {
				$task = 'done';
			} elsif ($query->param('add') && $groupid) {
				my %p = StorProc->fetch_one('user_groups','name',$groupid);
				unless ($p{'name'}) {
					my @values = ('',$groupid,$description);
					my $result = StorProc->insert_obj($table,\@values);
					if ($result =~ /^Error/) { push @errors, $result }
				} else {
					push @errors, "Check name field. It's either blank or a record exists";
				}
				unless(@errors) {
					$task = 'access_list';
				}
			} elsif ($query->param('next')) {
				my %values;
				$values{'description'} = $description;
				my $result = StorProc->update_obj($table,'name',$groupid,\%values);
				if ($result =~ /^Error/) { push @errors, $result}
				$task = 'access_list';
			} elsif ($groupid ne 'super_users' && $query->param('confirm_delete')) {
				my $result = StorProc->delete_all('user_groups','name',$groupid);
				if ($result =~ /^Error/) { push @errors, $result }
				unless (@errors) {
					$page .= Forms->main_page("User Group Administration");
					$page .= Forms->form_top("User Group",'');
					my @message = ("User group $groupid deleted.");
					$page .= Forms->form_message('Removed:',\@message,'row1');	
					($task,$groupid) = undef;
					delete $hidden{'task'};
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_one_button(\%continue);
					$task = 'delete';
				} else {
					$task = 'access_list';
				}
			} elsif ($groupid ne 'super_users' && $query->param('delete')) {
				$page .= Forms->main_page("User Group Administration");
				$hidden{'groupid'} = $groupid;
				$hidden{'task'} = 'access_list';
				my $message = qq(Are you sure you want to remove $groupid?);
				$page .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden);
				$groupid = undef;
				$task = 'delete';
			} elsif ($query->param('update_access')) {
				my %g = StorProc->fetch_one('user_groups','name',$groupid);
				my $type = undef;
				my %selected = ('usergroup_id' => $g{'usergroup_id'},'type' => $access_set);
				my $result = StorProc->delete_one_where('access_list',\%selected); 
				if ($result =~ /^Error/) { push @errors, $result }
				my %assets;
				my %vals;
				my @assets = $query->param('access_list');
				if ($access_set eq 'discover' || $access_set eq 'control') {
					foreach my $asset (@assets) {
						my @values = ($asset,$access_set,$g{'usergroup_id'},'full_control');
						my $result = StorProc->insert_obj('access_list',\@values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				} else {
					foreach my $asset ($query->param) {
						if ($asset eq 'nocache') { next }
						if ($asset =~ /(^\S+)-(\S+)-(.*)/) {
							my $obj = $3;
							$assets{$obj} = $1;
							$vals{$obj} .= "$2,";
						}
					}
					foreach my $asset (keys %assets) {
						$vals{$asset} =~ s/,$//;
						my @values = ($asset,$assets{$asset},$g{'usergroup_id'},$vals{$asset});
						my $result = StorProc->insert_obj('access_list',\@values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				}
				unless (@errors) { 
					@message = ("Changes to access set $access_set accepted");	
					$saved = 1;
				}
				$task = 'access_list';
			}
			if ($task eq 'new') {
				$page .= Forms->main_page("User Group Administration");
				$page .= Forms->form_top('User Group','');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
				$page .= Forms->text_box('Group id:','groupid','',$textsize{'short_name'},$required{'groupid'});
				$page .= Forms->text_box('Description:','description',$description,$textsize{'long_name'});
				delete $hidden{'task'};
				$page .= Forms->hidden(\%hidden);
				%add = ('name' => 'add','value' => 'Add');
				$page .= Forms->form_bottem_two_button(\%cancel,\%add);
			} elsif ($task eq 'access_list') {
				unless ($groupid eq 'super_users') {
					$page .= Forms->main_page("User Group Administration");
					my %access_button = ();
					if (@errors) { $page .= Forms->form_errors(\@errors) }
					my %p = StorProc->fetch_one('user_groups','name',$groupid);
					$description = $p{'description'};
					if (!$access_set) { $access_set = 'design_manage' }
					$hidden{'groupid'} = $groupid;
					$hidden{'access_set'} = $access_set;
					$page .= Forms->access_top($groupid,$user_acct,$access_set);
					my %g = StorProc->fetch_one('user_groups','name',$groupid);
					if ($saved) {
						$page .= Forms->hidden(\%hidden);
						$page .= Forms->form_message("Saved:",\@message,'row1');
					} elsif ($access_set eq 'tools') {
						$access_type = 'tools';
						my %values = ('usergroup_id' => $g{'usergroup_id'}, 'type' => 'tools');
						my @selected = ();
						my %selected_hash = StorProc->fetch_list_hash_array('access_list',\%values);
						foreach my $key (keys %selected_hash) { push @selected, $key }
						$page .= Forms->checkbox_list('Tools:','access_list', \@tool_menus,\@selected);
						$page .= Forms->hidden(\%hidden);
						$page .= Forms->submit_button('update_access','Save Access Values');
					} elsif ($access_set eq 'control') {
						$access_type = 'control';
						my %assets_selected = undef;
						my %values = ('usergroup_id' => $g{'usergroup_id'}, 'type' => 'control');
						my @selected = ();
						my %selected_hash = StorProc->fetch_list_hash_array('access_list',\%values);
						foreach my $key (keys %selected_hash) { push @selected, $key }
						$page .= Forms->checkbox_list('Control list:','access_list', \@control_menus,\@selected);
						$page .= Forms->hidden(\%hidden);
						$page .= Forms->submit_button('update_access','Save Access Values');
					} elsif ($access_set eq 'hostgroup_hosts') {
						$access_type = 'hostgroup_hosts';
						my %assets_selected = undef;
						my @hostgroups = StorProc->fetch_list('hostgroups','name'); 
						my %values = ('usergroup_id' => $g{'usergroup_id'}, 'type' => $access_type);
						my %access_list_values = StorProc->fetch_list_hash_array('access_list',\%values);
						foreach my $key (keys %access_list_values) {
							$assets_selected{$key} = $access_list_values{$key}[3];
						}
						$page .= Forms->access_list('Hostgroup-hosts:',\@hostgroups,\%assets_selected,$access_type);
						$page .= Forms->hidden(\%hidden);
						$page .= Forms->submit_button('update_access','Save Access Values');
					} else {
						my @all = @common_menus;
						push (@all, @host_menus);
						push @all, ('services','service_templates','service_dependency_templates','extended_service_info_templates');
						$access_type = 'design_manage';
						my %assets_selected = undef;
						my %values = ('usergroup_id' => $g{'usergroup_id'}, 'type' => $access_type);
						my %access_list_values = StorProc->fetch_list_hash_array('access_list',\%values);
						foreach my $key (keys %access_list_values) {
							$assets_selected{$key} = $access_list_values{$key}[3];
						}
						$page .= Forms->access_list('Design/Manage',\@all,\%assets_selected,$access_type);
						$page .= Forms->hidden(\%hidden);
						$page .= Forms->submit_button('update_access','Save Access Values');
					}
					%delete = ('name' => 'delete','value' => 'Delete Group');
					%close = ('name' => 'close','value' => 'Close');
					$page .= Forms->form_bottem_two_button(\%delete,\%close);
				} 
			} elsif ($task eq 'modify') {
				my $groupid = $query->param('name');
				$page .= Forms->main_page("User Group Administration");
				my %p = StorProc->fetch_one('user_groups','name',$groupid);
				$description = $p{'description'};
				$page .= Forms->form_top('User Group','');
				$page .= Forms->display_hidden('Group id:','groupid',$groupid);
				$page .= Forms->text_box('Description:','description',$description,$textsize{'long_name'});
				$page .= Forms->hidden(\%hidden);
				%next = ('name' => 'next','value' => 'Next');
				$page .= Forms->form_bottem_two_button(\%cancel,\%next);					
			} elsif (!$task) {
				$page .= Forms->main_page("User Group Administration");
				$add{'value'} = 'Add New User Group';
				$page .= Forms->form_top('Add/Modify/Delete','');
				my @members = StorProc->fetch_list('user_groups','name'); 
				$page .= Forms->list_box('Group id:','groupid',\@members);
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_three_button(\%add,\%cancel,\%select);
			}
#
##################################################
# Setup
#
		} elsif ($obj eq 'setup') {
			@errors = ();
			$table = 'setup';
			my $task = $query->param('submit');
			if ($task eq 'Save') {
				foreach my $name ($query->param) {
					if ($name eq 'nocache') { next }
					my %values = ();
					my $value = $query->param($name);
					if ($name =~ /cgi_home|login_authentication|session_timeout|nagios_etc|nagios_version|resource_home|import_workspace|nmap_integration|nmap_path|cvs_integration|csv_home/) {
						$values{'value'} = $value;
						my $result = StorProc->update_obj($table,'name',$name,\%values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				}
				if (!$query->param('nmap_integration')) {
					my %values;
					$values{'value'} = 0;
					my $result = StorProc->update_obj($table,'name','nmap_integration',\%values);
					if ($result =~ /^Error/) { push @errors, $result }
				}
				if (!$query->param('cvs_integration')) {
					my %values;
					$values{'value'} = 0;
					my $result = StorProc->update_obj($table,'name','cvs_integration',\%values);
					if ($result =~ /^Error/) { push @errors, $result }
				}
			} else {
				my %docs = Doc->setup();
				$page .= Forms->main_page("Setup");
				$page .= Forms->form_top('Setup Options','');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
				my %p = StorProc->fetch_one('setup','name','login_authentication');
				my @members = ('active','passive','none');
				$page .= Forms->list_box('Login authentication:','login_authentication',\@members,$p{'value'},'',$docs{'login_authentication'});
				%p = StorProc->fetch_one('setup','name','session_timeout');
				$page .= Forms->text_box('Session timeout seconds:','session_timeout',$p{'value'},'5','',$docs{'session_timeout'});
				@members = ('1.x','2.x');
				%p = StorProc->fetch_one('setup','name','nagios_version');
				$page .= Forms->list_box('Nagios version:','nagios_version',\@members,$p{'value'},'',$docs{'nagios_version'});
				$page .= Forms->text_box('Nagios etc:','nagios_etc',$nagios_etc,$textsize{'long_name'},'',$docs{'nagios_etc'});
				$page .= Forms->text_box('Nagios bin:','nagios_bin',$nagios_bin,$textsize{'long_name'},'',$docs{'nagios_bin'});		
				$page .= Forms->display_hidden('Monarch home:','monarch_home',$monarch_home,$docs{'monarch_home'});
				$page .= Forms->text_box('Backup dir:','backup_home',$backup_home,$textsize{'long_name'},'',$docs{'backup_home'});
				$page .= Forms->text_box('Upload dir:','upload_home',$upload_home,$textsize{'long_name'});
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%cancel,\%save);					
			}
#
##################################################
# Nagios cgi		
#
		} elsif ($obj eq 'nagios_cgi_configuration') {
			my $step = $query->param('step');
			my %checks = ();
			if ($step eq '1') {
				%checks = ('show_context_help' => '0',
					'use_authentication' => '0');
			}
			my %layout_val = ('User-defined coordinates' => '-zero-','Depth_layers' => '1','Collapsed tree' => '2','Balanced tree' => '3','Circular (Mark Up)' => '4','Circular (Balloon)' => '5');
			my %val_layout = ('-zero-' => 'User-defined coordinates','1' => 'Depth_layers','2' => 'Collapsed tree','3' => 'Balanced tree','4' => 'Circular (Mark Up)','5' => 'Circular (Balloon)');
			if ($query->param('next')) {
				my %nagios_set = StorProc->fetch_one('setup','name','log_file');
				if ($nagios_set{'name'}) {
					foreach my $name($query->param) {
						unless ($name =~ /^next$|user_acct|^obj$|^nocache$/) {
							my $val = undef;
						#	if ($name =~ /^authorized/) {
						#		my @authlist = $query->param($name);
						#		foreach my $user (@authlist) { unless ($user eq '') {$val .= "$user," } }
						#		chop $val;
						#	} elsif (defined $checks{$name}) {
							if ($name =~ /layout/) {
								$val = $query->param($name);
								$val = $layout_val{$val};
							} elsif (defined $checks{$name}) {
								$checks{$name} = '1';
							} else {
								$val = $query->param($name);
							}
							my %values = ('value' => $val);
							my $result = StorProc->update_obj('setup','name',$name,\%values);
							if ($result =~ /^Error/) { push @errors, $result }
						}
					}
					foreach my $name (keys %checks) {
						my %values = ('value' => $checks{$name});
						my $result = StorProc->update_obj('setup','name',$name,\%values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				} else {
					my %nagios_defaults = StorProc->cgi_defaults();
					foreach my $name (keys %nagios_defaults) {
						my @values = ($name,'nagios',$nagios_defaults{$name});
						my $result = StorProc->insert_obj('setup',\@values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
					$step = 0;
				}
				unless (@errors) {
					if ($step eq '0') {
						$step = 1;
					} elsif ($step eq '1') {
						$step = 2; 
					} elsif ($step eq '2') {
						$step = 'saved'; 
					}
				}
			} elsif ($query->param('back')) {
				$step = $step - 1;
			} elsif ($task eq 'set_defaults') {
				my %nagios_defaults = StorProc->cgi_defaults();
				my $result = StorProc->delete_all('setup','type','nagios_cgi');
				if ($result =~ /^Error/) { push @errors, $result }
				my $result = StorProc->delete_all('setup','type','nagios_ddb');
				if ($result =~ /^Error/) { push @errors, $result }
				foreach my $name (keys %nagios_defaults) {
					my @values = ($name,'nagios_cgi',$nagios_defaults{$name});
					my $result = StorProc->insert_obj('setup',\@values);
					if ($result =~ /^Error/) { push @errors, $result }
				}
				$step = 1;
			} elsif ($task eq 'load_nagios_cgi') {
				@errors = StorProc->load_nagios_cgi($nagios_etc); 
				$step = 1;
			} elsif ($task eq 'view_edit') {
				$step = 1;
			}
			%next = ('name' => 'next', 'value' => 'Save and Next >>');
			%back = ('name' => 'back', 'value' => '<< Back');
			my %docs = Doc->cgi_cfg();
			my %where = ('type' => 'nagios_cgi');
			my %objects = StorProc->fetch_list_hash_array('setup',\%where);
			my @nonmembers = StorProc->fetch_list('contacts','name');
			if ($step eq '1') {
				$hidden{'step'} = 1;
				$page .= Forms->main_page("Nagios Cgi Configuration");
				$page .= Forms->form_top('Nagios CGI Configuration Page 1','');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
				$page .= Forms->text_box('Physical HTML path:','physical_html_path',$objects{'physical_html_path'}[2],$textsize{'long_name'},'',$docs{'physical_html_path'});
				$page .= Forms->text_box('URL HTML path:','url_html_path',$objects{'url_html_path'}[2],$textsize{'long_name'},'',$docs{'url_html_path'});
				$page .= Forms->checkbox('Context sensitive help','show_context_help',$objects{'show_context_help'}[2],$docs{'show_context_help'});
				$page .= Forms->text_box('Nagios process check command:','nagios_check_command',$objects{'nagios_check_command'}[2],$textsize{'long_name'},'',$docs{'nagios_check_command'});
				$page .= Forms->checkbox('Use authentication:','use_authentication',$objects{'use_authentication'}[2],$docs{'use_authentication'});				
				$page .= Forms->text_box('Default user name:','default_user_name',$objects{'default_user_name'}[2],$textsize{'short_name'},'',$docs{'default_user_name'});
			#	my @members = split(/,/, $objects{'authorized_for_system_information'}[2]);
			#	push @nonmembers, '*';
			#	$page .= Forms->list_box_multiple('System/Process Information Access:','authorized_for_system_information',\@nonmembers,\@members,'',$docs{'authorized_for_system_information'});
			#	@members = split(/,/, $objects{'authorized_for_system_commands'}[2]);
			#	$page .= Forms->list_box_multiple('System/Process Command Access:','authorized_for_system_commands',\@nonmembers,\@members,'',$docs{'authorized_for_system_commands'});
			#	@members = split(/,/, $objects{'authorized_for_configuration_information'}[2]);
			#	$page .= Forms->list_box_multiple('Configuration information access:','authorized_for_configuration_information',\@nonmembers,\@members,'',$docs{'authorized_for_configuration_information'});
			#	@members = split(/,/, $objects{'authorized_for_all_hosts'}[2]);
			#	$page .= Forms->list_box_multiple('Global Host Information Access:','authorized_for_all_hosts',\@nonmembers,\@members,'',$docs{'authorized_for_all_hosts'});
				$page .= Forms->text_area('System/Process Information Access:','authorized_for_system_information',$objects{'authorized_for_system_information'}[2],'3','80','',$docs{'authorized_for_system_information'});

				$page .= Forms->text_area('System/Process Command Access:','authorized_for_system_commands',$objects{'authorized_for_system_commands'}[2],'3','80','',$docs{'authorized_for_system_commands'});
				$page .= Forms->text_area('Configuration information access:','authorized_for_configuration_information',$objects{'authorized_for_configuration_information'}[2],'3','80','',$docs{'authorized_for_configuration_information'});
				$page .= Forms->text_area('Global Host Information Access:','authorized_for_all_hosts',$objects{'authorized_for_all_hosts'}[2],'3','80','',$docs{'authorized_for_all_hosts'});

				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_one_button(\%next);	
			} elsif ($step eq '2') {
				$hidden{'step'} = 2;
				$page .= Forms->main_page("Nagios Cgi Configuration");
				$page .= Forms->form_top('Nagios CGI Configuration Page 2','');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
			#	my @members = split(/,/, $objects{'authorized_for_all_host_commands'}[2]);
			#	$page .= Forms->list_box_multiple('Global Host Command Access:','authorized_for_all_host_commands',\@nonmembers,\@members,'',$docs{'authorized_for_all_host_commands'});
			#	@members = split(/,/, $objects{'authorized_for_all_services'}[2]);
			#	$page .= Forms->list_box_multiple('Global Service Information Access:','authorized_for_all_services',\@nonmembers,\@members,'',$docs{'authorized_for_all_services'});
			#	@members = split(/,/, $objects{'authorized_for_all_service_commands'}[2]);
			#	$page .= Forms->list_box_multiple('Global Service Command Access:','authorized_for_all_service_commands',\@nonmembers,\@members,'',$docs{'authorized_for_all_service_commands'});
			
				$page .= Forms->text_area('Global Host Command Access:','authorized_for_all_host_commands',$objects{'authorized_for_all_host_commands'}[2],'3','80','',$docs{'authorized_for_all_host_commands'});
				$page .= Forms->text_area('Global Service Information Access:','authorized_for_all_services',$objects{'authorized_for_all_services'}[2],'3','80','',$docs{'authorized_for_all_services'});
				$page .= Forms->text_area('Global Service Command Access:','authorized_for_all_service_commands',$objects{'authorized_for_all_service_commands'}[2],'3','80','',$docs{'authorized_for_all_service_commands'});

				$page .= Forms->text_box('Statusmap background image:','statusmap_background_image',$objects{'statusmap_background_image'}[2],$textsize{'long_name'},'',$docs{'statusmap_background_image'});
				my @options = ('User-defined coordinates','Depth_layers','Collapsed tree','Balanced tree','Circular (Mark Up)','Circular (Balloon)');
				$objects{'default_statusmap_layout'}[2] = $val_layout{$objects{'default_statusmap_layout'}[2]};
				$page .= Forms->list_box('Default statusmap layout:','default_statusmap_layout',\@options,$objects{'default_statusmap_layout'}[2],'',$docs{'default_statusmap_layout'});
				my @options = ('Collapsed tree','Balanced tree','Circular');
				$objects{'default_statuswrl_layout'}[2] = $val_layout{$objects{'default_statuswrl_layout'}[2]};
				$page .= Forms->list_box('Default statuswrl layout:','default_statuswrl_layout',\@options,$objects{'default_statuswrl_layout'}[2],'',$docs{'default_statuswrl_layout'});
				$page .= Forms->text_box('Status wrl include:','statuswrl_include',$objects{'statuswrl_include'}[2],$textsize{'long_name'},'',$docs{'statuswrl_include'});
				$page .= Forms->text_box('Ping syntax:','ping_syntax',$objects{'ping_syntax'}[2],$textsize{'long_name'},'',$docs{'ping_syntax'});
				$page .= Forms->text_box('Refresh rate:','refresh_rate',$objects{'refresh_rate'}[2],'7','',$docs{'refresh_rate'});
				$page .= Forms->text_box('Host unreachable sound:','host_unreachable_sound',$objects{'host_unreachable_sound'}[2],$textsize{'long_name'},'',$docs{'sound_options'});
				$page .= Forms->text_box('Host down sound:','host_down_sound',$objects{'host_down_sound'}[2],$textsize{'long_name'},'','');
				$page .= Forms->text_box('Service critical sound:','service_critical_sound',$objects{'service_critical_sound'}[2],$textsize{'long_name'},'','');
				$page .= Forms->text_box('Service warning sound:','service_warning_sound',$objects{'service_warning_sound'}[2],$textsize{'long_name'},'','');
				$page .= Forms->text_box('Service unknown sound:','service_unknown_sound',$objects{'service_unknown_sound'}[2],$textsize{'long_name'},'','');
			#	if ($nagios_ver eq '1.x') {
			#		my %where = ('type' => 'nagios_ddb');
			#		my %ddbs = StorProc->fetch_list_hash_array('setup',\%where);
			#		my $ddbstr = undef;
			#		foreach my $ddb (keys %ddbs) { $ddbstr .= "$ddbs{$ddb}[0]=$ddbs{$ddb}[2]\n" }
			#		chomp $ddbstr;
			#		$page .= Forms->text_area('Database directives:','ddb',$ddbstr,'10','50','',$docs{'ddb'});
			#	}
				$page .= Forms->hidden(\%hidden);
				%save = ('name' => 'next', 'value' => 'Save and Done');
				$page .= Forms->form_bottem_two_button(\%back,\%save);					
			} elsif ($step eq 'saved') {
				$page .= Forms->main_page("Nagios Cgi Configuration");
				$page .= Forms->form_top("Nagios configuration",'');
				my @message = ("Changes to nagios configuration completed");
				$page .= Forms->form_message('Saved:',\@message,'row1');	
				delete $hidden{'task'};
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_one_button(\%continue);
			} elsif ($is_portal) {
				$page .= Forms->main_page("Nagios Cgi Configuration");
				my %nagios_dir = StorProc->fetch_one('setup','name','cgi_home');
				my %source = ();
				$source{'load_nagios_cgi'} = "Load from $nagios_dir{'value'}/cgi.cfg";
				$source{'set_defaults'} = "Set default configuration";
				$source{'view_edit'} = "View / Edit configuration";
				$page .= Forms->table_task_links($user_acct,$view,$obj,\%source);				
			}
#
##################################################
# Nagios main		
#
		} elsif ($obj eq 'nagios_main_configuration') {
			my $step = $query->param('step');
			my %checks = ();
			if ($step eq '1') {
				%checks = ('aggregate_status_updates' => '0',
					'enable_notifications' => '0',
					'execute_service_checks' => '0',
					'accept_passive_service_checks' => '0',
					'execute_host_checks' => '0',
					'accept_passive_host_checks' => '0',
					'enable_event_handlers' => '0',
					'check_external_commands' => '0',
					'retain_state_information' => '0',
					'use_retained_program_state' => '0',
					'use_retained_scheduling_info' => '0');
			} elsif ($step eq '2') {
				%checks = ('use_syslog' => '0',
					'log_notifications' => '0',
					'log_host_retries' => '0',
					'log_service_retries' => '0',
					'log_event_handlers' => '0',
					'log_initial_states' => '0',
					'log_external_commands' => '0',
					'log_passive_service_checks' => '0',
					'log_passive_checks' => '0',
					'auto_reschedule_checks' => '0');				
			} elsif ($step eq '3') {
				%checks = ('use_agressive_host_checking' => '0',
					'enable_flap_detection' => '0',
					'obsess_over_services' => '0',
					'obsess_over_hosts' => '0',
					'process_performance_data' => '0');
			} elsif ($step eq '4') {
				%checks = ('check_for_orphaned_services' => '0',
					'check_service_freshness' => '0',
					'check_host_freshness' => '0',
					'use_regexp_matching' => '0',
					'use_true_regexp_matching' => '0');
			}
			if ($query->param('next')) {
				my %nagios_set = StorProc->fetch_one('setup','name','log_file');
				if ($nagios_set{'name'}) {
					foreach my $name($query->param) {
						unless ($name =~ /^next$|user_acct|^obj$|^nocache$/) {
							if ($name =~ /radio_option/) {
								my $obj = $name;
								$obj =~ s/radio_option_//;
								my $val = $query->param($name);
								if ($val eq 'other') {
									my $other = "other_$obj";
									$val = $query->param($other);
								}
								my %values = ('value' => $val);
								my $result = StorProc->update_obj('setup','name',$obj,\%values);
								if ($result =~ /^Error/) { push @errors, $result }
							} else {
								if (defined $checks{$name}) {
									$checks{$name} = '1';
								} else {
									my $val = $query->param($name);
									my %values = ('value' => $val);
									my $result = StorProc->update_obj('setup','name',$name,\%values);
									if ($result =~ /^Error/) { push @errors, $result }
								}
							}
						}
					}
					foreach my $name (keys %checks) {
						my %values = ('value' => $checks{$name});
						my $result = StorProc->update_obj('setup','name',$name,\%values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				} else {
					my %nagios_defaults = StorProc->nagios_defaults($nagios_ver,$is_portal);
					foreach my $name (keys %nagios_defaults) {
						my @values = ($name,'nagios',$nagios_defaults{$name});
						my $result = StorProc->insert_obj('setup',\@values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
					$step = 0;
				}
				unless (@errors) {
					if ($step eq '0') {
						$step = 1;
					} elsif ($step eq '1') {
						$step = 2; 
					} elsif ($step eq '2') {
						$step = 3; 
					} elsif ($step eq '3') {
						$step = 4; 
					} elsif ($step eq '4') {
						$step = 'saved'; 
					}
				}
			} elsif ($query->param('back')) {
				$step = $step - 1;
			} elsif ($task eq 'set_defaults') {
				my %nagios_defaults = StorProc->nagios_defaults($nagios_ver,$is_portal);
				my $result = StorProc->delete_all('setup','type','nagios');
				if ($result =~ /^Error/) { push @errors, $result }
				foreach my $name (keys %nagios_defaults) {
					my @values = ($name,'nagios',$nagios_defaults{$name});
					my $result = StorProc->insert_obj('setup',\@values);
					if ($result =~ /^Error/) { push @errors, $result }
				}
				$step = 1;
			} elsif ($task eq 'load_nagios_cfg') {
				@errors = StorProc->load_nagios_cfg($nagios_etc); 
				$step = 1;
			} elsif ($task eq 'view_edit') {
				$step = 1;
			}
			my %where = ('type' => 'other');
			my @commands = StorProc->fetch_list_where('commands','name',\%where);
			%next = ('name' => 'next', 'value' => 'Save and Next >>');
			%back = ('name' => 'back', 'value' => '<< Back');
			my %docs = Doc->nagios_cfg();
			%where = ('type' => 'nagios');
			my %objects = StorProc->fetch_list_hash_array('setup',\%where);
			if ($step eq '1') {
				$hidden{'step'} = 1;
				$page .= Forms->main_page("Nagios Main Configuration");
				$page .= Forms->form_top('Nagios Main Configuration Page 1','');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
				$page .= Forms->text_box('Log file:','log_file',$objects{'log_file'}[2],$textsize{'long_name'},'',$docs{'log_file'});
				if ($nagios_ver eq '2.x') {
					$page .= Forms->text_box('Object cache file:','object_cache_file',$objects{'object_cache_file'}[2],$textsize{'long_name'},'',$docs{'object_cache_file'});
				}
				$page .= Forms->text_box('Resource file:','resource_file',$objects{'resource_file'}[2],$textsize{'long_name'},'',$docs{'resource_file'});
				$page .= Forms->text_box('Temp file:','temp_file',$objects{'temp_file'}[2],$textsize{'long_name'},'',$docs{'temp_file'});
				
				$page .= Forms->text_box('Status file:','status_file',$objects{'status_file'}[2],$textsize{'long_name'},'',$docs{'status_file'});
				$page .= Forms->checkbox('Aggregated status updates option:','aggregate_status_updates',$objects{'aggregate_status_updates'}[2],$docs{'aggregate_status_updates'});
				$page .= Forms->text_box('Aggregated status data update interval:','status_update_interval',$objects{'status_update_interval'}[2],'7','',$docs{'status_update_interval'});
				
				$page .= Forms->text_box('Nagios user:','nagios_user',$objects{'nagios_user'}[2],$textsize{'long_name'},'',$docs{'nagios_user'});
				$page .= Forms->text_box('Nagios group:','nagios_group',$objects{'nagios_group'}[2],$textsize{'long_name'},'',$docs{'nagios_group'});

				$page .= Forms->checkbox('Enable notifications:','enable_notifications',$objects{'enable_notifications'}[2],$docs{'enable_notifications'});
				$page .= Forms->checkbox('Execute service checks:','execute_service_checks',$objects{'execute_service_checks'}[2],$docs{'execute_service_checks'});
				$page .= Forms->checkbox('Accept passive service checks:','accept_passive_service_checks',$objects{'accept_passive_service_checks'}[2],$docs{'accept_passive_service_checks'});
				if ($nagios_ver eq '2.x') {
					$page .= Forms->checkbox('Execute host checks','execute_host_checks',$objects{'execute_host_checks'}[2],$docs{'execute_host_checks'});
					$page .= Forms->checkbox('Accept passive host checks','accept_passive_host_checks',$objects{'accept_passive_host_checks'}[2],$docs{'accept_passive_host_checks'});
				}
				$page .= Forms->checkbox('Enable event handlers:','enable_event_handlers',$objects{'enable_event_handlers'}[2],$docs{'enable_event_handlers'});
				my @list = ('n','d','w','m');
				$page .= Forms->list_box('Log rotation method:','log_rotation_method',\@list,$objects{'log_rotation_method'}[2],'',$docs{'log_rotation_method'});
				$page .= Forms->text_box('Log archive path:','log_archive_path',$objects{'log_archive_path'}[2],$textsize{'long_name'},'',$docs{'log_archive_path'});
				
				$page .= Forms->checkbox('External command check option:','check_external_commands',$objects{'check_external_commands'}[2],$docs{'check_external_commands'});
				$page .= Forms->text_box('External command check interval:','command_check_interval',$objects{'command_check_interval'}[2],$textsize{'small'},'',$docs{'command_check_interval'});
				$page .= Forms->text_box('External command file:','command_file',$objects{'command_file'}[2],$textsize{'long_name'},'',$docs{'command_file'});
				
				$page .= Forms->text_box('Downtime file:','downtime_file',$objects{'downtime_file'}[2],$textsize{'long_name'},'',$docs{'downtime_file'});
				$page .= Forms->text_box('Comment file:','comment_file',$objects{'comment_file'}[2],$textsize{'long_name'},'',$docs{'comment_file'});
				$page .= Forms->text_box('Lock file:','lock_file',$objects{'lock_file'}[2],$textsize{'long_name'},'',$docs{'lock_file'});

				$page .= Forms->checkbox('State retention option:','retain_state_information',$objects{'retain_state_information'}[2],$docs{'retain_state_information'});
				$page .= Forms->text_box('State retention file:','state_retention_file',$objects{'state_retention_file'}[2],$textsize{'state_retention_file'},'',$docs{'state_retention_file'});
				$page .= Forms->text_box('Retention update interval:','retention_update_interval',$objects{'retention_update_interval'}[2],$textsize{'small'},'',$docs{'retention_update_interval'});
				$page .= Forms->checkbox('Use retained program state:','use_retained_program_state',$objects{'use_retained_program_state'}[2],$docs{'use_retained_program_state'});
				if ($nagios_ver eq '2.x') {
					$page .= Forms->checkbox('Use retained scheduling info:','use_retained_scheduling_info',$objects{'use_retained_scheduling_info'}[2],$docs{'use_retained_scheduling_info'});
				}
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_one_button(\%next);					
			} elsif ($step eq '2') {
				$hidden{'step'} = 2;
				$page .= Forms->main_page("Nagios Main Configuration");
				$page .= Forms->form_top('Nagios Main Configuration Page 2','');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
				$page .= Forms->checkbox('Syslog logging option:','use_syslog',$objects{'use_syslog'}[2],$docs{'use_syslog'});
				$page .= Forms->checkbox('Notification logging option:','log_notifications',$objects{'log_notifications'}[2],$docs{'log_notifications'});
				$page .= Forms->checkbox('Host check retry logging option','log_host_retries',$objects{'log_host_retries'}[2],$docs{'log_host_retries'});
				$page .= Forms->checkbox('Service check retry logging option:','log_service_retries',$objects{'log_service_retries'}[2],$docs{'log_service_retries'});
				$page .= Forms->checkbox('Event handler logging option','log_event_handlers',$objects{'log_event_handlers'}[2],$docs{'log_event_handlers'});
				$page .= Forms->checkbox('Initial states logging option:','log_initial_states',$objects{'log_initial_states'}[2],$docs{'log_initial_states'});
				$page .= Forms->checkbox('External command logging option:','log_external_commands',$objects{'log_external_commands'}[2],$docs{'log_external_commands'});
				if ($nagios_ver eq '1.x') {
					$page .= Forms->checkbox('Log passive service checks:','log_passive_service_checks',$objects{'log_passive_service_checks'}[2],$docs{'log_passive_service_checks'});
				} else {
					$page .= Forms->checkbox('Passive check logging option:','log_passive_checks',$objects{'log_passive_checks'}[2],$docs{'log_passive_checks'});
				}
				
				$page .= Forms->list_box('Global host event handler:','global_host_event_handler',\@commands,$objects{'global_host_event_handler'}[2],'',$docs{'global_host_event_handler'});
				$page .= Forms->list_box('Global service event handler:','global_service_event_handler',\@commands,$objects{'global_service_event_handler'}[2],'',$docs{'global_service_event_handler'});

				$page .= Forms->text_box('Sleep time:','sleep_time',$objects{'sleep_time'}[2],$textsize{'small'},'',$docs{'sleep_time'});
				if ($nagios_ver eq '1.x') {
					$page .= Forms->radio_options('Inter check delay method:','inter_check_delay_method',$objects{'inter_check_delay_method'}[2],$docs{'inter_check_delay_method'});
				} else {
					$page .= Forms->radio_options('Service inter check delay method:','service_inter_check_delay_method',$objects{'service_inter_check_delay_method'}[2],$docs{'service_inter_check_delay_method'});
					$page .= Forms->text_box('Max service check spread:','max_service_check_spread',$objects{'max_service_check_spread'}[2],$textsize{'small'},'',$docs{'max_service_check_spread'});
				}
				$page .= Forms->radio_options('Service interleave factor:','service_interleave_factor',$objects{'service_interleave_factor'}[2],$docs{'service_interleave_factor'});
				$page .= Forms->text_box('Service reaper frequency:','service_reaper_frequency',$objects{'service_reaper_frequency'}[2],$textsize{'small'},'',$docs{'service_reaper_frequency'});
				if ($nagios_ver eq '2.x') {
					$page .= Forms->radio_options('Host inter check delay method:','host_inter_check_delay_method',$objects{'host_inter_check_delay_method'}[2],$docs{'host_inter_check_delay_method'});
					$page .= Forms->text_box('Max host check spread:','max_host_check_spread',$objects{'max_host_check_spread'}[2],$textsize{'small'},'',$docs{'max_host_check_spread'});
				}
				$page .= Forms->text_box('Maximum Concurrent Service Checks:','max_concurrent_checks',$objects{'max_concurrent_checks'}[2],$textsize{'small'},'',$docs{'max_concurrent_checks'});
				$page .= Forms->text_box('Timing interval length:','interval_length',$objects{'interval_length'}[2],$textsize{'small'},'',$docs{'interval_length'});
				if ($nagios_ver eq '2.x') {
					$page .= Forms->checkbox('Auto reschedule checks:','auto_reschedule_checks',$objects{'auto_reschedule_checks'}[2],$docs{'auto_reschedule_checks'});
					$page .= Forms->text_box('Auto rescheduling interval:','auto_rescheduling_interval',$objects{'auto_rescheduling_interval'}[2],$textsize{'small'},'',$docs{'auto_rescheduling_interval'});
					$page .= Forms->text_box('Auto rescheduling window:','auto_rescheduling_window',$objects{'auto_rescheduling_window'}[2],$textsize{'small'},'',$docs{'auto_rescheduling_window'});
				}
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%back,\%next);					

				
			} elsif ($step eq '3') {
				$hidden{'step'} = 3;
				$page .= Forms->main_page("Nagios Main Configuration");
				$page .= Forms->form_top('Nagios Main Configuration Page 3','');
				if (@errors) { $page .= Forms->form_errors(\@errors) }

				$page .= Forms->checkbox('Agressive Host Checking Option:','use_agressive_host_checking',$objects{'use_agressive_host_checking'}[2],$docs{'use_agressive_host_checking'});
	
				$page .= Forms->checkbox('Flap Detection Option:','enable_flap_detection',$objects{'enable_flap_detection'}[2],$docs{'enable_flap_detection'});
				$page .= Forms->text_box('Low service flap threshold:','low_service_flap_threshold',$objects{'low_service_flap_threshold'}[2],$textsize{'small'},'',$docs{'service_flap_detection_thresholds'});
				$page .= Forms->text_box('High service flap threshold:','high_service_flap_threshold',$objects{'high_service_flap_threshold'}[2],$textsize{'small'});
				$page .= Forms->text_box('Low host flap threshold:','low_host_flap_threshold',$objects{'low_host_flap_threshold'}[2],$textsize{'small'},'',$docs{'host_flap_detection_thresholds'});
				$page .= Forms->text_box('High host flap threshold:','high_host_flap_threshold',$objects{'high_host_flap_threshold'}[2],$textsize{'small'});
				
				$page .= Forms->text_box('Soft state dependencies:','soft_state_dependencies',$objects{'soft_state_dependencies'}[2],$textsize{'small'},'',$docs{'soft_state_dependencies'});

				$page .= Forms->text_box('Service check timeout:','service_check_timeout',$objects{'service_check_timeout'}[2],$textsize{'small'},'',$docs{'timeout_values'});
				$page .= Forms->text_box('Host check timeout:','host_check_timeout',$objects{'host_check_timeout'}[2],$textsize{'small'});
				$page .= Forms->text_box('Event handler timeout:','event_handler_timeout',$objects{'event_handler_timeout'}[2],$textsize{'small'});
				$page .= Forms->text_box('Notification timeout:','notification_timeout',$objects{'notification_timeout'}[2],$textsize{'small'});
				$page .= Forms->text_box('Ocsp timeout:','ocsp_timeout',$objects{'ocsp_timeout'}[2],$textsize{'small'});
				if ($nagios_ver eq '2.x') {
					$page .= Forms->text_box('Ochp timeout:','ochp_timeout',$objects{'ochp_timeout'}[2],$textsize{'small'});
				}
				$page .= Forms->text_box('Perfdata timeout:','perfdata_timeout',$objects{'perfdata_timeout'}[2],$textsize{'small'});
	
				$page .= Forms->checkbox('Obsess over services:','obsess_over_services',$objects{'obsess_over_services'}[2],$docs{'obsess_over_services'});
				$page .= Forms->text_box('OCSP command:','ocsp_command',$objects{'ocsp_command'}[2],$textsize{'long_name'},'',$docs{'ocsp_command'});
				if ($nagios_ver eq '2.x') {
					$page .= Forms->checkbox('Obsess over hosts:','obsess_over_hosts',$objects{'obsess_over_hosts'}[2],$docs{'obsess_over_hosts'});		
					$page .= Forms->text_box('OCHP command:','ochp_command',$objects{'ochp_command'}[2],$textsize{'long_name'},'',$docs{'ochp_command'});
				}
				$page .= Forms->checkbox('Process performance data:','process_performance_data',$objects{'process_performance_data'}[2],$docs{'process_performance_data'});
				$page .= Forms->list_box('Host perfdata command:','host_perfdata_command',\@commands,$objects{'host_perfdata_command'}[2],'',$docs{'host_perfdata_command'});
				$page .= Forms->list_box('Service perfdata command:','service_perfdata_command',\@commands,$objects{'service_perfdata_command'}[2],'',$docs{'service_perfdata_command'});
				if ($nagios_ver eq '2.x') {
					$page .= Forms->text_box('Host performance data file:','host_perfdata_file',$objects{'host_perfdata_file'}[2],$textsize{'long_name'},'',$docs{'host_perfdata_file'});
					$page .= Forms->text_box('Service performance data file:','service_perfdata_file',$objects{'service_perfdata_file'}[2],$textsize{'long_name'},'',$docs{'service_perfdata_file'});
					$page .= Forms->text_box('Host performance data file template:','host_perfdata_file_template',$objects{'host_perfdata_file_template'}[2],$textsize{'long_name'},'',$docs{'host_perfdata_file_template'});
					$page .= Forms->text_box('Service performance data file template:','service_perfdata_file_template',$objects{'service_perfdata_file_template'}[2],$textsize{'long_name'},'',$docs{'service_perfdata_file_template'});
					my @opts = ('a','w');
					$page .= Forms->list_box('Host performance data file mode:','host_perfdata_file_mode',\@opts,$objects{'host_perfdata_file_mode'}[2],'',$docs{'host_perfdata_file_mode'});
					$page .= Forms->list_box('Service performance data file mode:','service_perfdata_file_mode',\@opts,$objects{'service_perfdata_file_mode'}[2],'',$docs{'service_perfdata_file_mode'});
					$page .= Forms->text_box('Host performance data file processing interval:','host_perfdata_file_processing_interval',$objects{'host_perfdata_file_processing_interval'}[2],$textsize{'small'},'',$docs{'host_perfdata_file_processing_interval'});
					$page .= Forms->text_box('Service performance data file processing interval:','service_perfdata_file_processing_interval',$objects{'service_perfdata_file_processing_interval'}[2],$textsize{'small'},'',$docs{'service_perfdata_file_processing_interval'});
					$page .= Forms->list_box('Host performance data file processing command:','host_perfdata_file_processing_command',\@commands,$objects{'host_perfdata_file_processing_command'}[2],'',$docs{'host_perfdata_file_processing_command'});
					$page .= Forms->list_box('Service performance data file processing command:','service_perfdata_file_processing_command',\@commands,$objects{'service_perfdata_file_processing_command'}[2],'',$docs{'service_perfdata_file_processing_command'});
				}
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%back,\%next);		
				
			} elsif ($step eq '4') {
				$hidden{'step'} = 4;
				$page .= Forms->main_page("Nagios Main Configuration");
				$page .= Forms->form_top('Nagios Main Configuration Page 4','');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
				$page .= Forms->checkbox('Check for orphaned services:','check_for_orphaned_services',$objects{'check_for_orphaned_services'}[2],$docs{'check_for_orphaned_services'});
				
				$page .= Forms->checkbox('Check service freshness:','check_service_freshness',$objects{'check_service_freshness'}[2],$docs{'check_service_freshness'});
				$page .= Forms->text_box('Service freshness check interval:','freshness_check_interval',$objects{'freshness_check_interval'}[2],$textsize{'small'},'',$docs{'freshness_check_interval'});
				if ($nagios_ver eq '2.x') {
					$page .= Forms->checkbox('Check host freshness:','check_host_freshness',$objects{'check_host_freshness'}[2],$docs{'check_host_freshness'});
					$page .= Forms->text_box('Host freshness check interval:','host_freshness_check_interval',$objects{'host_freshness_check_interval'}[2],$textsize{'small'},'',$docs{'host_freshness_check_interval'});		
				}

				$page .= Forms->date_format($objects{'date_format'}[2],$docs{'date_format'});

				$page .= Forms->text_box('Illegal object name chars:','illegal_object_name_chars',$objects{'illegal_object_name_chars'}[2],$textsize{'long_name'},'',$docs{'illegal_object_name_chars'});
				$page .= Forms->text_box('Illegal macro output characters:','illegal_macro_output_chars',$objects{'illegal_macro_output_chars'}[2],$textsize{'long_name'},'',$docs{'illegal_macro_output_chars'});
				
				if ($nagios_ver eq '2.x') {
					$page .= Forms->checkbox('Regular expression matching option:','use_regexp_matching',$objects{'use_regexp_matching'}[2],$docs{'use_regexp_matching'});
					$page .= Forms->checkbox('True regular expression matching option:','use_true_regexp_matching',$objects{'use_true_regexp_matching'}[2],$docs{'use_true_regexp_matching'});
				}
				
				$page .= Forms->text_box('Admin email:','admin_email',$objects{'admin_email'}[2],$textsize{'long_name'},'',$docs{'admin_email'});
				$page .= Forms->text_box('Admin pager:','admin_pager',$objects{'admin_pager'}[2],$textsize{'long_name'},'',$docs{'admin_pager'});
				$page .= Forms->hidden(\%hidden);
				%save = ('name' => 'next', 'value' => 'Save and Done');
				$page .= Forms->form_bottem_two_button(\%back,\%save);					
			} elsif ($step eq 'saved') {
				$page .= Forms->main_page("Nagios Main Configuration");
				$page .= Forms->form_top("Nagios configuration",'');
				my @message = ("Changes to nagios configuration completed");
				$page .= Forms->form_message('Saved:',\@message,'row1');	
				delete $hidden{'task'};
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_one_button(\%continue);
			} elsif ($is_portal) {
				$page .= Forms->main_page("Nagios Main Configuration");
				my %nagios_dir = StorProc->fetch_one('setup','name','nagios_etc');
				my %source = ();
				$source{'load_nagios_cfg'} = "Load from $nagios_dir{'value'}/nagios.cfg";
				$source{'set_defaults'} = "Set default configuration";
				$source{'view_edit'} = "View / Edit configuration";
				$page .= Forms->table_task_links($user_acct,$view,$obj,\%source);				
			}

#
##################################################
# Resource
#
		} elsif ($obj eq 'nagios_resource_macros') {
			my $task = $query->param('submit');
			my $saved = 0;
			if ($task eq 'Save') {
				foreach my $name ($query->param) {
					if ($name =~ /user|resource_label/) {
						my $val = $query->param($name);
						my %values = ('value' => $val);
						my $result = StorProc->update_obj('setup','name',$name,\%values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				}
				unless (@errors) {
					$page .= Forms->main_page("Resource");
					my @results = ("Changes to resources accepted.");
					$page .= Forms->form_top('Nagios Resources','');
					if (@errors) { $page .= Forms->form_message("Error(s) building file(s):",\@errors ,'error') }
					$page .= Forms->form_message("Saved:",\@results ,'row1');
					$hidden{'obj'} = undef;
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_one_button(\%continue);
					$saved = 1;
				}
			}
			unless ($saved) {
				$page .= Forms->main_page("Nagios Resource Macros");
				$page .= Forms->form_top('Nagios Resource Macros','');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
				my %where = ('type' => 'resource');
				my %objects = StorProc->fetch_list_hash_array('setup',\%where);
				for (my $i = 1;$i <= 32;$i++) {
					$page .= Forms->text_box("\$USER$i\$:","user$i",$objects{"user$i"}[2],$textsize{'long_name'});
					$page .= Forms->text_box("\$USER$i\$ description:","resource_label$i",$objects{"resource_label$i"}[2],$textsize{'long_name'});
				}
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%cancel,\%save);					
			}
#
##################################################
# Files
#
		} elsif ($obj eq 'files') {
			$page .= Forms->main_page("Files");
			if ($query->param('cancel')) { $task = undef }
			if ($task) {
				$hidden{'task'} = $task;
				my $submit = $query->param('submit');
				if ($submit eq 'Save') {
					foreach my $name ($query->param) {
						if ($name eq 'nocache') { next }
						my %values = ();
						my $value = $query->param($name);
						$values{'value'} = $value;
						my $result = StorProc->update_obj('setup','name',$name,\%values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
					unless (@errors) { $task = undef }
				} elsif ($submit eq 'Add') {
					my $file = $query->param('file');
					my $path = $query->param('path');
					my $type = $query->param('type');

					if (!$path || !$file || !$type) {
						push @errors, "Required: File, path and type.";
					} else {
						unless ($file =~ /\.cfg$/) { $file .= ".cfg" }
						my %p = StorProc->fetch_one('files','name',$file);
						if ($p{'file_id'}) {
							push @errors, "Duplicate: File $file already exists.";
						} else {
							my @values = ('',$file,$path,$type);
							my $result = StorProc->insert_obj('files',\@values);
							if ($result =~ /^Error/) { push @errors, $result }
						}
					}
					unless (@errors) { $task = undef }
				}
				if ($task eq 'file_add') {
					my %p = StorProc->fetch_one('setup','name','nagios_etc');
					$page .= Forms->form_top('Add File','');
					if (@errors) { $page .= Forms->form_errors(\@errors) }
					$page .= Forms->text_box("File name:",'file','',$textsize{'long_name'});
					$page .= Forms->text_box("File path:",'path',$p{'value'},$textsize{'long_name'});
					my @types = ('hosts','services');
					$page .= Forms->list_box("File type:",'type',\@types,$p{'type'});
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_two_button(\%cancel,\%add);					

				} elsif ($task eq 'file_assn') {
					$page .= Forms->form_top('Object File Associations','');
					if (@errors) { $page .= Forms->form_errors(\@errors) }
					my %where = ('type' => 'file');
					my %objects = StorProc->fetch_list_hash_array('setup',\%where);
					foreach my $name (sort keys %objects) {
						if ($name =~ /HASH|stage|^hosts$|^services$|coords/) { next }
						my %f = StorProc->fetch_one('files','file_id',$objects{$name}[2]);
						my $title = $name;
						$title =~ s/_/ /g;
						$title = "\u$title";
						$page .= Forms->display_hidden("$title:",'name',$f{'name'});
					}
					%where = ('type' => 'hosts');
					my @files = StorProc->fetch_list_where('files','name',\%where);
					foreach my $f (@files) {
						$page .= Forms->display_hidden('Host:','name',$f);
					}
					%where = ('type' => 'services');
					my @files = StorProc->fetch_list_where('files','name',\%where);
					foreach my $f (@files) {
						$page .= Forms->display_hidden('Service:','name',$f);
					}
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_one_button(\%close);					
				}
			}
			if ($is_portal && !$task) {
				my %source;
				$source{'file_add'} = "Add a host/service file";
				$source{'file_assn'} = "Show file associations";
				$page .= Forms->table_task_links($user_acct,$view,$obj,\%source);				
			}
#
##################################################
# Load
#
		} elsif ($obj eq 'load') {
			my %abort = ('name' => 'abort','value' => 'Abort');
			my %backup = ('name' => 'backup','value' => 'Backup');
			my %load = ('name' => 'load','value' => 'Load');
			my %next = ('name' => 'next','value' => 'Next >>');
			my %p = StorProc->fetch_one('setup','name','nagios_etc');
			if ($query->param('backup')) {
				$page .= Forms->main_page("Load Nagios Configuration");
				$page .= Forms->form_top('Load Nagios Configuration','');
				my %nagios = StorProc->fetch_one('setup','name','nagios_etc');
				my %backup_home = StorProc->fetch_one('setup','name','backup_home');
				my ($backup, $errs) = Files->backup($nagios{'value'},$backup_home{'value'});
				push (@errors, @{$errs});
				if (@errors) {
					my @message = ("Problem(s) Backing up files and/or database to $backup.");
					push (@message, @errors);
					$page .= Forms->form_message("Backup error(s):",\@message ,'error');
				} else {
					my @message = ("Files backed up to $backup.");
					$page .= Forms->form_message("Backup complete:",\@message,'');
				}
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%abort,\%load);		
			} elsif ($query->param('abort')) {
				$page .= Forms->main_page("Load Nagios Configuration");
				$page .= Forms->form_top('Load Nagios Configuration','');
				$hidden{'obj'} = undef;
				$page .= Forms->hidden(\%hidden);
				my @message = ("Load of Nagios files aborted.");
				$page .= Forms->form_message("Action Canceled:",\@message ,'');
				$page .= Forms->form_bottem_one_button(\%continue);		
				$hidden{'obj'} = undef;
			} elsif ($query->param('refreshed') && $query->param('load')) {
				use MonarchLoad;
				my @results = Load->stage_load($nagios_etc);
				$page .= Forms->main_page();
				$page .= Forms->form_top('Load Nagios Object Files','');
				my $errors = 0;
				foreach my $msg (@results) {
					my $class = 'row1';
					if (@{$msg}[0] =~ /error/) { 
						$class = 'error';
						$errors = 1;
					}
					$page .= Forms->form_status(@{$msg}[0],@{$msg}[1],$class);
				}
				if ($errors) {
					$page .= Forms->form_doc("Stage of object files contains errors. Please note exceptions before continuing.");
				} else {
					$page .= Forms->form_doc("Stage of object files has completed without errors. Next: process objects.");
				}
				$page .= Forms->checkbox_left('Purge existing Nagios objects from database.','truncate_tables','');
				$hidden{'step'} = 'process_objects';
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%abort,\%next);		
			} elsif ($query->param('load')) {
				$page .= Forms->main_page("Load Nagios Object Files");
				$page .= Forms->form_top('Load Nagios Object Files','');
				$page .= Forms->form_doc('Parsing Nagios object files...');
				my $now = time;
				$refresh_url = "?nocache=$now&refreshed=1&load=1";
				foreach my $name (keys %hidden) {
					$refresh_url .= qq(&$name=$hidden{$name});
				}
				$page .= Forms->form_bottem_no_button();		
			} elsif ($query->param('truncate_tables')) {
				my @results = Load->truncate_tables();
				$page .= Forms->main_page("Load Nagios Object Files");
				$page .= Forms->form_top('Load Nagios Object Files','');
				my $errors = 0;
				foreach my $msg (@results) {
					my $class = 'row1';
					if (@{$msg}[0] =~ /error/) { 
						$class = 'error';
						$errors = 1;
					}
					$page .= Forms->form_status(@{$msg}[0],@{$msg}[1],$class);
				}
				if ($errors) {
					$page .= Forms->form_doc("Errors occurred while purging data. Please note exceptions before continuing.");
				} else {
					$page .= Forms->form_doc("Data purged from database without errors. Next: process objects.");
				}
				$hidden{'step'} = 'process_objects';
				$hidden{'purge'} = '1';
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%abort,\%next);
			} elsif ($query->param('refreshed') && $query->param('next') && $query->param('step') eq 'process_objects') {
				use MonarchLoad;
				my @results = Load->process_objects();
				$page .= Forms->main_page("Load Nagios Object Files");
				$page .= Forms->form_top('Load Nagios Object Files','');
				my $errors = 0;
				foreach my $msg (@results) {
					my $class = 'row1';
					if (@{$msg}[0] =~ /error/) { 
						$class = 'error';
						$errors = 1;
					}
					$page .= Forms->form_status(@{$msg}[0],@{$msg}[1],$class);
				}
				if ($errors) {
					$page .= Forms->form_doc("Processing of object files contains errors. Please note exceptions before continuing.");
				} else {
					$page .= Forms->form_doc("Processing object files has completed without errors.  Next: process hosts.");
				}
				if ($query->param('purge')) { $hidden{'purge'} = '1' }
				$hidden{'step'} = 'process_hosts';
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%abort,\%next);		
			} elsif ($query->param('next') && $query->param('step') eq 'process_objects') {
				$page .= Forms->main_page("Load Nagios Object Files");
				$page .= Forms->form_top('Load Nagios Object Files','');
				$page .= Forms->form_doc('Processing time periods, commands, contacts, contact groups, templates...');
				my $now = time;
				$refresh_url = "?nocache=$now&refreshed=1&step=process_objects&next=1";
				if ($query->param('purge')) { $hidden{'purge'} = '1' }
				foreach my $name (keys %hidden) {
					$refresh_url .= qq(&$name=$hidden{$name});
				}
				$page .= Forms->form_bottem_no_button();		
			} elsif ($query->param('refreshed') && $query->param('next') && $query->param('step') eq 'process_hosts') {
				use MonarchLoad;
				my @results = Load->process_hosts();
				$page .= Forms->main_page("Load Nagios Object Files");
				$page .= Forms->form_top('Load Nagios Object Files','');
				my $errors = 0;
				foreach my $msg (@results) {
					my $class = 'row1';
					if (@{$msg}[0] =~ /error/) { 
						$class = 'error';
						$errors = 1;
					}
					$page .= Forms->form_status(@{$msg}[0],@{$msg}[1],$class);
				}
				if ($errors) {
					$page .= Forms->form_doc("Processing of host files contains errors. Please note exceptions before continuing.");
				} else {
					$page .= Forms->form_doc("Processing host files has completed without errors. Next: process services.");
				}
				if ($query->param('purge')) { $hidden{'purge'} = '1' }
				$hidden{'step'} = 'process_services';
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%abort,\%next);		
			} elsif ($query->param('next') && $query->param('step') eq 'process_hosts') {
				$page .= Forms->main_page("Load Nagios Object Files");
				$page .= Forms->form_top('Load Nagios Object Files','');
				$page .= Forms->form_doc('Processing hosts, hostgroups...');
				my $now = time;
				$refresh_url = "?nocache=$now&refreshed=1&step=process_hosts&next=1";
				if ($query->param('purge')) { $hidden{'purge'} = '1' }
				foreach my $name (keys %hidden) {
					$refresh_url .= qq(&$name=$hidden{$name});
				}
				$page .= Forms->form_bottem_no_button();		
	
			} elsif ($query->param('refreshed') && $query->param('next') && $query->param('step') eq 'process_services') {
				use MonarchLoad;
				my @results = Load->process_services();
				$page .= Forms->main_page("Load Nagios Object Files");
				$page .= Forms->form_top('Load Nagios Object Files','');
				my $errors = 0;
				foreach my $msg (@results) {
					my $class = 'row1';
					if (@{$msg}[0] =~ /error/) { 
						$class = 'error';
						$errors = 1;
					}
					$page .= Forms->form_status(@{$msg}[0],@{$msg}[1],$class);
				}
				if ($errors) {
					$page .= Forms->form_doc("Processing of service files contain errors. Please note exceptions before continuing.");
				} else {
					$page .= Forms->form_doc("Processing service files has completed without errors. Next: process escalations.");
				}
				if ($query->param('purge')) { $hidden{'purge'} = '1' }
				$hidden{'step'} = 'process_escalations';
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%abort,\%next);		
			} elsif ($query->param('next') && $query->param('step') eq 'process_services') {
				$page .= Forms->main_page("Load Nagios Object Files");
				$page .= Forms->form_top('Load Nagios Object Files','');
				$page .= Forms->form_doc('Processing services...');
				my $now = time;
				$refresh_url = "?nocache=$now&refreshed=1&step=process_services&next=1";
				if ($query->param('purge')) { $hidden{'purge'} = '1' }
				foreach my $name (keys %hidden) {
					$refresh_url .= qq(&$name=$hidden{$name});
				}
				$page .= Forms->form_bottem_no_button();		
			} elsif ($query->param('refreshed') && $query->param('next') && $query->param('step') eq 'process_escalations') {
				use MonarchLoad;
				my @results = Load->process_escalations();
				$page .= Forms->main_page("Load Nagios Object Files");
				$page .= Forms->form_top('Load Nagios Object Files','');
				my $errors = 0;
				foreach my $msg (@results) {
					my $class = 'row1';
					if (@{$msg}[0] =~ /error/) { 
						$class = 'error';
						$errors = 1;
					}
					$page .= Forms->form_status(@{$msg}[0],@{$msg}[1],$class);
				}
				if ($errors) {
					$page .= Forms->form_doc("Processing of escalations files contain errors. Please note exceptions before continuing.");
				} else {
					$page .= Forms->form_doc("Processing escalations files has completed without errors.");
				}
				delete $hidden{'obj'};
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_one_button(\%continue);		
			} elsif ($query->param('next') && $query->param('step') eq 'process_escalations') {
				if ($query->param('purge')) {
					$page .= Forms->main_page("Load Nagios Object Files");
					$page .= Forms->form_top('Load Nagios Object Files','');
					$page .= Forms->form_doc('Processing escalations...');
					my $now = time;
					$refresh_url = "?nocache=$now&refreshed=1&step=process_escalations&next=1";
					foreach my $name (keys %hidden) {
						$refresh_url .= qq(&$name=$hidden{$name});
					}
					$page .= Forms->form_bottem_no_button();	
				} elsif ($query->param('done')) {
					$page .= Forms->main_page("Load Nagios Configuration");
					$page .= Forms->form_top('Load Nagios Configuration','');
					$hidden{'obj'} = undef;
					$page .= Forms->hidden(\%hidden);
					my @message = ("Load of Nagios files completed.");
					$page .= Forms->form_message("Done:",\@message ,'');
					$page .= Forms->form_bottem_one_button(\%continue);		
					$hidden{'obj'} = undef;
				} else {
					$page .= Forms->main_page("Load Nagios Object Files");
					$page .= Forms->form_top('Load Nagios Object Files','');
					$page .= Forms->form_doc('Escalations: You can keep the escalations as defined in Monarch or replace them as defined in your object files.');
					my %purge = ('name' => 'purge','value' => 'Replace Escalations');
					my %keep = ('name' => 'done','value' => 'Keep Escalations');
					$hidden{'step'} = 'process_escalations';
					$hidden{'next'} = '1';
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_two_button(\%keep,\%purge);		
				}
			} elsif (-e "$p{'value'}/nagios.cfg") {
				my @message = ();
				push @message, qq(You are about to update or drop all Nagios records in the database. Should you choose to continue it is strongly recommended that you first select the backup option.);
				push @message, qq(Are you sure you want to continue?);
				$page .= Forms->main_page("Load Nagios Configuration");
				$page .= Forms->form_top('Load Nagios Configuration','');
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_message("Load from nagios.cfg:",\@message ,'');
				$page .= Forms->form_bottem_three_button(\%abort,\%backup,\%load);		
			} else {
				$page .= Forms->main_page("Load Nagios Configuration");
				$page .= Forms->form_top('Error','');
				$hidden{'obj'} = undef;
				$page .= Forms->hidden(\%hidden);
				my @message = ("Unable to load $p{'value'}/nagios.cfg (update setup options).");
				$page .= Forms->form_message("Does not exist:",\@message ,'error');
				$page .= Forms->form_bottem_one_button(\%continue);		
			}
#
##################################################
# Pre Flight Test
#
		} elsif ($obj eq 'pre_flight_test') {
			my @results = ();
			use MonarchFile;
			my %nagios = StorProc->fetch_one('setup','name','nagios_etc');
			my %monarch_home = StorProc->fetch_one('setup','name','monarch_home');
			my $workspace = $monarch_home{'value'}.'/workspace';
			my %nagios_cfg = StorProc->fetch_one('setup','name','log_file');
			my %nagios_cgi = StorProc->fetch_one('setup','name','default_user_name');
			if ($nagios_cfg{'value'} && $nagios_cgi{'type'}) {
				if ($query->param('refreshed')) {
					my ($errors, $usefiles) = Files->build_files($user_acct,$workspace,\%property_list,$nagios_ver);
					@errors = @{$errors};
					my %use_file = %{$usefiles};
					unless ($errors[0]) { 
						@errors = Files->nagios_cfg($user_acct,'1',$nagios{'value'},$workspace,\%use_file); 
					}
					unless ($errors[0]) { 
						@results = StorProc->pre_flight_check($nagios_bin, $monarch_home{'value'});
					}
					$page .= Forms->main_page("Pre Flight Test");
					$page .= Forms->form_top('Nagios Pre Flight Test','');
					if (@errors) { $page .= Forms->form_message("Error(s) building file(s):",\@errors ,'error') }
					$page .= Forms->form_message("Results:",\@results ,'row1');
					$hidden{'obj'} = undef;
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_one_button(\%continue);
				} else {
					$page .= Forms->main_page();
					$page .= Forms->form_top('Nagios Pre Flight Test','');
					$page .= Forms->form_doc('Running pre-flight check...');
					my $now = time;
					$refresh_url = "?nocache=$now&refreshed=1";
					foreach my $name (keys %hidden) {
						$refresh_url .= qq(&$name=$hidden{$name});
					}
					$page .= Forms->form_bottem_no_button();		
				}
			} else {
				$page .= Forms->main_page("Pre Flight Test");
				$page .= Forms->form_top('Nagios Pre Flight Test','');
				unless ($nagios_cfg{'value'}) {
					push @errors, 'Nagios main configuration has not been defined.','Use Control->Nagios main configuration to load an existing file or set defaults.';
				}
				unless ($nagios_cgi{'type'}) {
					push @errors, 'Nagios cgi configuration has not been defined.','Use Control->Nagios cgi configuration to load an existing file or set defaults.';
				}	
				$page .= Forms->form_message("Error(s):",\@errors ,'error');
				$hidden{'obj'} = undef;
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_one_button(\%continue);
			}

#
##################################################
# Commit
#
		} elsif ($obj eq 'commit') {
			my @results = ();
			my %abort = ('name' => 'abort','value' => 'Abort');
			my %backup = ('name' => 'backup','value' => 'Backup');
			my %commit = ('name' => 'commit','value' => 'Commit');
			use MonarchFile;
			my %nagios = StorProc->fetch_one('setup','name','nagios_etc');
			my %monarch_home = StorProc->fetch_one('setup','name','monarch_home');
			my $workspace = $monarch_home{'value'}.'/workspace';
			my %nagios_cfg = StorProc->fetch_one('setup','name','log_file');
			my %nagios_cgi = StorProc->fetch_one('setup','name','default_user_name');

			if ($query->param('backup')) {
				$page .= Forms->main_page("Commit");
				$page .= Forms->form_top('Commit','');
				my %backup_home = StorProc->fetch_one('setup','name','backup_home');
				my ($backup, $errs) = Files->backup($nagios{'value'},$backup_home{'value'});
				push (@errors, @{$errs});
				if (@errors) {
					my @message = ("Problem(s) Backing up files and/or database to $backup.");
					push (@message, @errors);
					$page .= Forms->form_message("Backup error(s):",\@message ,'error');
				} else {
					my @message = ("Files backed up to $backup.");
					$page .= Forms->form_message("Backup complete:",\@message,'');
				}
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%abort,\%commit);		
			} elsif ($query->param('abort')) {
				$page .= Forms->main_page("Commit");
				$page .= Forms->form_top('Nagios Commit','');
				$hidden{'obj'} = undef;
				$page .= Forms->hidden(\%hidden);
				my @message = ("Commit aborted.");
				$page .= Forms->form_message("Action Canceled:",\@message ,'');
				$page .= Forms->form_bottem_one_button(\%continue);		
				$hidden{'obj'} = undef;
			} elsif ($query->param('commit')) {
				if ($query->param('refreshed')) {
					my ($errors, $usefiles) = Files->build_files($user_acct,$workspace,\%property_list,$nagios_ver);
					@errors = @{$errors};
					my %use_file = %{$usefiles};
					unless ($errors[0]) { 
						@errors = Files->nagios_cfg($user_acct,'1',$nagios{'value'},$workspace,\%use_file); 
					}
					unless ($errors[0]) { 
						@results = StorProc->pre_flight_check($nagios_bin, $monarch_home);
					}
					my $res_str = pop @results;
					push @results, $res_str;
					unless ($res_str =~ /Things look okay/) {
						push @errors, "Make the necessary corrections and run pre flight check";
					}
					unless ($errors[0]) { 
						@errors = Files->nagios_cfg($user_acct,'0',$nagios{'value'},$workspace,\%use_file); 
					}		
					my %nagios_ver = StorProc->fetch_one('setup','name','nagios_version');
					unless ($errors[0] && $nagios_ver eq '1.x') { 
						@errors = Files->nagios_cgi($user_acct,'0',$nagios{'value'},$workspace); 
					}		
					unless ($errors[0]) { 
						my @commit = StorProc->commit($monarch_home);
						push (@results, @commit);
					}
					$page .= Forms->main_page("Commit");
					$page .= Forms->form_top('Nagios Commit','');
					$page .= Forms->form_message("Results:",\@results ,'row1');
					if (@errors) { $page .= Forms->form_message("Error(s):",\@errors ,'error') }
					$hidden{'obj'} = undef;
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_one_button(\%continue);
				} else {
					$page .= Forms->main_page();
					$page .= Forms->form_top('Commit to Nagios','');
					$page .= Forms->form_doc('Running commit...');
					my $now = time;
					$refresh_url = "?nocache=$now&refreshed=1&commit=1";
					foreach my $name (keys %hidden) {
						$refresh_url .= qq(&$name=$hidden{$name});
					}
					$page .= Forms->form_bottem_no_button();		
				}
			} elsif ($nagios_cfg{'value'} && $nagios_cgi{'type'}) {
				$page .= Forms->main_page("Commit");
				$page .= Forms->form_top('Nagios Commit','');
				$page .= Forms->hidden(\%hidden);
				my @message = ("Are you sure you want to overwrite your active Nagios configuration and restart Nagios?");
				push @message, ("Should you choose to continue it is strongly recommended that you first select the backup option.");
				$page .= Forms->form_message("Nagios commit:",\@message ,'');
				$page .= Forms->form_bottem_three_button(\%abort,\%backup,\%commit);		

			} else {
				$page .= Forms->main_page("Commit");
				$page .= Forms->form_top('Nagios Commit','');
				unless ($nagios_cfg{'value'}) {
					push @errors, 'Nagios main configuration has not been defined.','Use Control->Nagios main configuration to load an existing file or set defaults.';
				}
				unless ($nagios_cgi{'type'}) {
					push @errors, 'Nagios cgi configuration has not been defined.','Use Control->Nagios cgi configuration to load an existing file or set defaults.';
				}	
				$page .= Forms->form_message("Error(s):",\@errors ,'error');
				$hidden{'obj'} = undef;
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_one_button(\%continue);
			}
#
##################################################
# Run Ext info scripts
#
		} elsif ($obj eq 'run_extended_info_scripts') {
			$page .= Forms->main_page("Run External Scripts");
			my $ext_info = $query->param('ext_info');
			my $type = $query->param('type');
			if ($ext_info) {
				my @results = ();
				if ($type eq 'host') {
					my %x = StorProc->fetch_one('extended_host_info_templates','name',$ext_info);
					my %w = ('hostextinfo_id' => $x{'hostextinfo_id'});
					my @hosts = StorProc->fetch_list_where('hosts','name',\%w);
					push @results, "Script $x{'script'} from $x{'name'} launched for:";
					push @results, "<hr />";
					foreach my $host (@hosts) {
						my $script = $x{'script'};
						$script =~ s/\$HOSTNAME\$/$host/g;
						system("$script &");
						push @results, "$host '$script'";
						push @results, "<br />";
					}
				} elsif ($type eq 'service') {
					my %x = StorProc->fetch_one('extended_service_info_templates','name',$ext_info);
					my %service_hosts = StorProc->fetch_service_extinfo($x{'serviceextinfo_id'});
					push @results, "Script $x{'script'} from $x{'name'} launched for:";
					push @results, "<hr />";
					foreach my $sid (keys %service_hosts) {
						my $script = $x{'script'};
						$script =~ s/\$HOSTNAME\$/$service_hosts{$sid}[0]/g;
						$script =~ s/\$SERVICENAME\$/$service_hosts{$sid}[1]/g;
						system("$script &");
						push @results, "$service_hosts{$sid}[0] $service_hosts{$sid}[1] '$script'";
						push @results, "<br />";
					}
				}
				$page .= Forms->form_top('External Script','');
				if (@errors) { $page .= Forms->form_message("Error(s):",\@errors ,'error') }
				$page .= Forms->form_message("Results:",\@results ,'row1');
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_one_button(\%continue);
			} else {
				my %scripts = StorProc->fetch_scripts('host');				
				$page .= Forms->table_script_links($user_acct,'host',\%scripts);
				%scripts = StorProc->fetch_scripts('service');				
				$page .= Forms->table_script_links($user_acct,'service',\%scripts);
			}
#
##################################################
# Run external scripts
#
		} elsif ($obj eq 'run_external_scripts') {
			use MonarchExternals;	
			my @errors = Externals->build_externals($user_acct);
			my @results = ("Externals module executed.");
			$page .= Forms->main_page("Externals");
			$page .= Forms->form_top('Run Externals','');
			$page .= Forms->form_message("Results:",\@results ,'row1');
			if (@errors) { $page .= Forms->form_message("Error(s):",\@errors ,'error') }
			$hidden{'obj'} = undef;
			$page .= Forms->hidden(\%hidden);
			$page .= Forms->form_bottem_one_button(\%continue);
		}
	}
	return $page;
}


sub login() {
	my $form = Forms->left_page();
	$form .= Forms->form_top('Login','','20%');
	if (@errors) { $form .= Forms->form_errors(\@errors) }
	$form .= Forms->text_box('User id:','user_acct',$user_acct,'15');
	$form .= Forms->password_box('Password:','password','15','');
	my %login = ('name' => 'submit', 'value' => 'Login');
	$form .= Forms->form_bottem_one_button(\%login);
	return $form;
}

my $javascript = undef;
sub do_task() {
	$body .= Forms->left_page();
	if ($top_menu eq 'common') {
		my @menus = ();
		foreach my $menu (@common_menus) {
			if ($auth_add{$menu} || $auth_modify{$menu}) { push @menus, $menu }
		}
		if ($auth_add{'escalations'} || $auth_modify{'escalations'}) {
			push @menus, 'escalation_templates';
			push @menus, 'escalation_trees';
		}
		if ($auth_add{'externals'} || $auth_modify{'externals'}) {
			push @menus, 'externals';
		}
		my %copy = ();
		my %modify = ();
		foreach my $menu (@menus) {
			if ($menu eq 'escalation_templates') { 
				if ($auth_add{'escalations'}) { $copy{'escalation_templates'} = 1 }
				if ($auth_modify{'escalations'}) { $modify{'escalation_templates'} = 1 }
				my @types = ('hostgroup','host','service');
				if ($auth_modify{'escalations'}) {
					foreach my $type (@types) {
						my %w = ('type' => $type);
						my @submenus = StorProc->fetch_list_where('escalation_templates','name',\%w);
						$modify{"escalation_templates-$type"} = [ @submenus ];
					}
				}
			} elsif ($menu eq 'escalation_trees') { 
				if ($auth_add{'escalations'}) { $copy{'escalation_trees'} = 1 }
				if ($auth_modify{'escalations'}) { $modify{'escalation_trees'} = 1 }
				my @types = ('hostgroup','host','service');
				if ($auth_modify{'escalations'}) {
					foreach my $type (@types) {
						my %w = ('type' => $type);
						my @submenus = StorProc->fetch_list_where('escalation_trees','name',\%w);
						$modify{"escalation_trees-$type"} = [ @submenus ];
					}
				}
			} else {
				my @submenus = ();
				my @submenus = StorProc->fetch_list($menu,'name');
				if ($auth_add{$menu}) {
					$copy{$menu} = [ @submenus ];
				}
				if ($auth_modify{$menu}) {
					$modify{$menu} = [ @submenus ];
				}
			}
		}
		my $detail = undef;
		($javascript, $detail) = Forms->left_menu($user_acct,$top_menu,$view,\@menus,\%copy,\%modify);
		$body .= $detail;
	} elsif ($top_menu eq 'hosts') {	
		my @menus = ();
		if ($auth_add{'hosts'}) { 
			push @menus, 'new_host_wizard';
			push @menus, 'clone_host';
		}
		foreach my $menu (@host_menus) {
			if ($auth_add{$menu} || $auth_modify{$menu}) { 
				if ($menu eq 'hosts') {
					push @menus, 'hosts_by_name';
					push @menus, 'hosts_by_address';
					push @menus, 'hosts_by_hostgroup';
					push @menus, 'hosts_by_parent';
				} elsif ($menu eq 'profiles') {
					push @menus, 'host_profiles';
				} else {
					push @menus, $menu;
				}
			}
		}
		my $num_hosts = StorProc->get_num_records('hosts');
		my %copy = ();
		my %modify = ();
		foreach my $menu (@menus) {
			if ($menu eq 'host_dependencies') { 
				my @submenus = ();
				my @submenus = StorProc->get_host_dep_parents();
				if ($auth_add{$menu}) {
					$copy{$menu} = [ @submenus ];
				}
				if ($auth_modify{$menu}) {
					$modify{$menu} = [ @submenus ];
				}
			} elsif ($menu eq 'host_profiles') { 
				my @submenus = ();
				my @submenus = StorProc->fetch_list('profiles_host','name');
				if ($auth_add{'profiles'}) {
					$copy{$menu} = 'new';
				}
				if ($auth_modify{'profiles'}) {
					$modify{$menu} = [ @submenus ];
				}
			} elsif ($menu eq 'hosts_by_address') { 
				my @submenus = ();
				my %subnets = ();
				my @subnets = StorProc->fetch_list('hosts','address');
				foreach my $sub (@subnets) {
					if ($sub =~ /^(\d+\.\d+\.\d+)/) { $subnets{$1} .= "$sub," }							
				}
				foreach my $net (sort keys %subnets) {
					push @submenus, $net;
					if ($hidden{'selected'} eq $net) {
						chop $subnets{$net};
						$modify{'selected'} = $hidden{'selected'};
						my @ips = split(/,/, $subnets{$net});
						my @hosts = ();
						foreach my $ip (@ips) {
							my %host = StorProc->fetch_one('hosts','address',$ip);
							push @hosts, $host{'address'};
							$copy{$host{'address'}} = $host{'name'}
						}
						$modify{$net} = [ @hosts ];
					}
				}
				$copy{$menu} = [ @submenus ];
			} elsif ($menu eq 'hosts_by_hostgroup') {
				my @submenus = ();
				my @submenus = StorProc->fetch_list('hostgroups','name');
				foreach my $hg (@submenus) {
					my @hosts = StorProc->get_host_hostgroup($hg);
					$copy{$menu} = [ @submenus ];
					$modify{$hg} = [ @hosts ];
					if ($hidden{'selected'} eq $hg) {
						$modify{'selected'} = $hidden{'selected'};
						my @hosts = StorProc->get_host_hostgroup($hg);
						$modify{$hg} = [ @hosts ];
					}
				}
			} elsif ($menu =~ /hosts_by_name|new_host_wizard|clone_host/) { 
				next;
			} elsif ($menu eq 'hosts_by_parent') { 
				my @submenus = ();
				my @submenus = StorProc->get_parents($menu,'name');
				foreach my $parent (@submenus) {
					my @hosts = StorProc->get_host_hostgroup($parent);
					$copy{$menu} = [ @submenus ];
					$modify{$parent} = [ @hosts ];
					if ($hidden{'selected'} eq $parent) {
						my %pid = StorProc->fetch_one('hosts','name',$parent);
						$modify{'selected'} = $hidden{'selected'};
						my @hosts = StorProc->get_children($pid{'host_id'});
						$modify{$parent} = [ @hosts ];
					}
				}
			} elsif ($menu eq 'parent_child') { 
				my @submenus = ();
				my @submenus = StorProc->get_parents($menu,'name');
				if ($auth_add{$menu}) {
					$copy{$menu} = 'new';
				}
				if ($auth_modify{$menu}) {
					$modify{$menu} = [ @submenus ];
				}
			} else {
				my @submenus = ();
				my @submenus = StorProc->fetch_list($menu,'name');
				if ($auth_add{$menu}) {
					$copy{$menu} = [ @submenus ];
				}
				if ($auth_modify{$menu}) {
					$modify{$menu} = [ @submenus ];
				}
			}
		}
		my $detail = undef;
		($javascript, $detail) = Forms->left_menu($user_acct,$top_menu,$view,\@menus,\%copy,\%modify);
		$body .= $detail;

	} elsif ($top_menu eq 'services') {	
		my @menus = ();
		if ($nagios_ver eq '2.x') { push @service_menus, 'servicegroups' }
		foreach my $menu (@service_menus) {
			if ($auth_add{$menu} || $auth_modify{$menu}) { 
					push @menus, $menu;
			}
		}
		my %copy = ();
		my %modify = ();
		my $num_services = StorProc->get_num_records('service_names');
		foreach my $menu (@menus) {
			if ($menu eq 'services') {
				my @services = StorProc->fetch_list('service_names','name');
				if ($auth_add{$menu}) {
					$copy{'new_service'} = 1;
				}
				if ($auth_modify{$menu}) {
					if ($num_services > 300) {
						my @submenus = ();
						my $cnt = 0;
						my $link = undef;
						my $service = undef;
						foreach $service (@services) {
							$cnt++;
							if ($cnt == 1) { $link = "$service" }
							if ($cnt == 50) { 
								$link .= " - $service";
								$cnt = 0;	
								push @submenus, $link;
							}
						}
						if ($cnt < 50) {
							$link .= " - $service";
							push @submenus, $link;
						}
						$modify{$menu} = [ @submenus ];
						my @s_links = ();
						my $got_select = 0;
						foreach my $service (@services) {
							if ($hidden{'selected'} =~ /^$service/) { $got_select = 1 }
							if ($got_select) { push @s_links, $service }
							if ($hidden{'selected'} =~ /- $service/) { $got_select = 0 }
						}
						$modify{'selected'} = $hidden{'selected'};
						$copy{$hidden{'selected'}} = [ @s_links ];
					} else {
						$copy{'fewer'} = 1;
						$modify{$menu} = [ @services ];
					}
				}
			} elsif ($menu eq 'profiles') {
				$menu = 'service_profiles';
				my @submenus = ();
				my @submenus = StorProc->fetch_list('profiles_service','name');
				if ($auth_add{'profiles'}) {
					$copy{$menu} = 'new';
				}
				if ($auth_modify{'profiles'}) {
					$modify{$menu} = [ @submenus ];
				}
			} elsif ($menu eq 'servicegroups') {
				my @submenus = StorProc->fetch_list($menu,'name');
				if ($auth_add{$menu}) {
					$copy{$menu} = 'new';
				}
				if ($auth_modify{$menu}) {
					$modify{$menu} = [ @submenus ];
				}


			} else {
				my @submenus = StorProc->fetch_list($menu,'name');
				if ($auth_add{$menu}) {
					$copy{$menu} = [ @submenus ];
				}
				if ($auth_modify{$menu}) {
					$modify{$menu} = [ @submenus ];
				}
			}

		}
		my $detail = undef;
		($javascript, $detail) = Forms->left_menu($user_acct,$top_menu,$view,\@menus,\%copy,\%modify);
		$body .= $detail;
	} elsif ($top_menu eq 'tools') {	
		my %copy = ();
		my %modify = ();
		my @menus = ();
		foreach my $menu (@tool_menus) {
			if ($auth_add{$menu} || $auth_modify{$menu}) { push @menus, $menu }
		}
		my $detail = undef;
		($javascript, $detail) = Forms->left_menu($user_acct,$top_menu,$view,\@menus,\%copy,\%modify);
		$body .= $detail;


	} elsif ($top_menu eq 'control') {	
		my %copy = ();
		my %modify = ();
		my @menus = ();
		if ($is_portal) { @control_menus = ('setup','nagios_cgi_configuration','nagios_main_configuration','nagios_resource_macros',
'load','files','pre_flight_test','commit');}
		foreach my $menu (@control_menus) {
			if ($auth_add{$menu} || $auth_modify{$menu}) { 
				if ($menu eq 'resource') {
					push @menus, 'nagios_resource_macros';
				} else {
					push @menus, $menu;
				}
			}
		}
		foreach my $menu (@menus) {
			if ($menu eq 'nagios_cgi_configuration') {
				my @submenus = ('load_nagios_cgi','set_defaults','view_edit');
				$modify{'nagios_cgi_configuration'} = [ @submenus ];
				$copy{$menu} = 'one_level';
			} elsif ($menu eq 'nagios_main_configuration') {
				my @submenus = ('load_nagios_cfg','set_defaults','view_edit');
				$modify{'nagios_main_configuration'} = [ @submenus ];
				$copy{$menu} = 'one_level';
			} elsif ($menu eq 'files') {
				my @submenus = ('file_add','file_assn');
				$modify{'files'} = [ @submenus ];
				$copy{$menu} = 'one_level';
			} elsif ($menu =~ /users|user_groups/) {
				my $name = 'user_acct';
				if ($menu eq 'user_groups') { $name = 'name' }
				my @submenus = ();
				my @submenus = StorProc->fetch_list($menu,$name);
				$copy{$menu} = 'new';
				$modify{$menu} = [ @submenus ];
			}
		}
		my $detail = undef;
		($javascript, $detail) = Forms->left_menu($user_acct,$top_menu,$view,\@menus,\%copy,\%modify);
		$body .= $detail;
	} else {
		my @empty = ();
		my %empty = ();
		$body .= Forms->left_menu($user_acct,'','',\@empty,\%empty,\%empty);
	}
# End left menu
	if ($view =~ /wizard/) {
#		$page_title = 'Monarch - Host Wizard';
#		$body = Forms->main_page();
		$body .= host_wizard();
	} elsif ($view eq 'manage') {
		$body .= manage();
	} elsif ($view eq 'design') {
		$body .= design();
	} elsif ($view eq 'control') {
		$body .= control();
	} else {
		$body .= Forms->main_page('<br><br>GroundWork Open Source Solutions');
	}
}

my $auth = StorProc->dbconnect();
if ($auth == 1) { 
	$user_acct = 'super_user';
}

sub get_configs() {
	my %where = ('type' => 'config');
	my %objects = StorProc->fetch_list_hash_array('setup',\%where);
	$is_portal = $objects{'is_portal'}[2];
	$nagios_ver = $objects{'nagios_version'}[2];
	$nagios_bin = $objects{'nagios_bin'}[2];
	$nagios_etc = $objects{'nagios_etc'}[2];
	$monarch_home = $objects{'monarch_home'}[2];
	$monarch_ver = $objects{'monarch_version'}[2];
	$backup_home = $objects{'backup_home'}[2];
	$upload_home = $objects{'upload_home'}[2];
	if ($is_portal) {
		$cgi_bin = undef;
		$doc_root = '/usr/local/groundwork/apache2/htdocs';
	}
}


if ($view eq 'logout') {
	my %values = ('session' => '0');
	my $err = StorProc->update_obj('users','user_acct',$user_acct,\%values);
	$body = login();
} elsif ($user_acct) {
	$userid = StorProc->check_user($user_acct,$password);
	if ($userid =~ /^\d+/) {
		my ($auth_add, $auth_modify, $auth_delete) = StorProc->auth_matrix($userid);
		%auth_add = %{$auth_add};
		%auth_modify = %{$auth_modify};
		%auth_delete = %{$auth_delete};
		my @top_menus = ('common','hosts','services','tools');
		if ($auth_add{'control'}) { push @top_menus, 'control' }
		push @top_menus, 'help';
		get_configs();
		if ($is_portal) {
			$body = Forms->top_menu_portal($user_acct,$top_menu,\@top_menus,$auth,$monarch_ver);
		} else {
			$body = Forms->top_menu($user_acct,$top_menu,\@top_menus,$auth,$monarch_ver);
		}
		do_task();
	} else {
		push @errors, $userid;
		$body = login();
	}
} else {
	$body = login();
}

unless ($is_portal) {
	print "Content-type: text/html \n\n";
}
if ($is_portal && $refresh_url) { $refresh_url = "/collage/portal/monarch-config.psml?file=monarch.cgi$refresh_url" }
print Forms->header($page_title,$auth,$user_acct,$view,$javascript,$refresh_url);
print $body;
print Forms->footer();

my $result = StorProc->dbdisconnect();

